<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Auth;
use App\models\CMS\FaqCategory;
use App\models\CMS\Faq;
use Illuminate\Http\Request;

class CmsController extends BaseController
{
    
  
     public function faq_question(Request $request){
          $requestData = $request->all();
          if(!isset($requestData['search'])){
              $requestData['search'] = '';
          }
          if(!isset($requestData['user'])){
              $requestData['user'] = 'Customer App';
          }
          $query = FaqCategory::whereNull('deleted_at')->where('mobile_user', $requestData['user']);
        
          if($requestData['search']){
            //$query->where('category', 'like', '%'.$requestData['search'].'%');
            $query->where('faq_category', 'like', '%'.$requestData['search'].'%');
            $query->orwhereRelation('faqs', 'question', 'like', '%'.$requestData['search'].'%');
            $query->orwhereRelation('faqs', 'search_answer', 'like', '%'.$requestData['search'].'%');
               
          }
          $faqCategoryList  = $query->get();
          
          return view('app.cms.faq_questions', compact('faqCategoryList'));
          
     }
   
     public function faqs(Request $request){
          $requestData = $request->all();
          if(!isset($requestData['user'])){
              $requestData['user'] = 'Customer App';
          }
          $faqCategoryList = FaqCategory::whereNull('deleted_at')->where('mobile_user', $requestData['user'])->get();
        
          return view('app.cms.faq', compact('faqCategoryList'));
          
     }
     public function faq_category($category){
          $requestData = $request->all();
          if(!isset($requestData['search'])){
              $requestData['search'] = '';
          }
          if($requestData['search']){

          }
          $faqCategory = FaqCategory::whereNull('deleted_at')->where('faq_category', $category)->first();
          
          return view('app.cms.faq_category', compact('faqCategory'));
     }
}
