<?php

namespace App\Http\Resources\Users;

use App\Http\Resources\JsonResource;
use App\Http\Resources\User as UserResource;


class UserDocuments extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        $response =  [
            'id' => $this->id,
            'doc_name' => $this->doc_name,
            'doc_number' => $this->doc_number,
           // 'doc_front_page' => empty($this->doc_front_page) ? null : base64_encode(file_get_contents(public_path().'/storage'.$this->doc_front_page, true)),
           // 'doc_back_page' => empty($this->doc_back_page) ? null : base64_encode(file_get_contents(public_path().'/storage'.$this->doc_back_page, true)),
        ];
        return $response;
    }
}
