<?php

namespace App\Imports;

use App\Models\PLReport;
use Maatwebsite\Excel\Concerns\ToModel;

class PLReportImport implements ToModel
{
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    public function model(array $row)
    {
     // dd($row[4],$row[3],$row[2],$row[1]);
        return new PLReport([
            
            'RunsheetId'     => $row[0],
            'ShipmentUpdate' => $row[1],
            'AgentName'      => $row[2],
            'EmployeeID'     => $row[3],
            'DeliveryHub'    => $row[4], 
            'City'           => $row[5],
            'Zone'           => $row[6],
            'State'          => $row[7],
            'ShipmentId'     => $row[8], 
            'ShipmentType'   => $row[9], 
            'ShipmentPrice'  => $row[10],
            'ShipmentStatus' => $row[11], 
       
        ]);
    }
}
