<?php

namespace App\Models\CMS;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class FormFieldCondition extends Model
{
    use HasFactory;
    
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'cms_form_field_condition';

    /**
    * The database primary key value.
    *
    * @var string
    */
    protected $primaryKey = 'id';

    /**
     * Attributes that should be mass-assignable.
     *
     * @var array
     */
    protected $fillable = [
        'field_id',
        'condition_field_id',
        'equal_value',
        'field_id_type',
        'equal_value_type',
    ];
    
    public function conditionField(){
        //return $this->hasOne('App\Models\CMS\FormFields', 'id', 'condition_field_id');
        
        return $this->belongsTo('App\Models\CMS\FormFields', 'condition_field_id');
    }

}
