<?php

namespace App\Models\Users;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UserCorporate extends Model
{
    use HasFactory;
    
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'user_corporate';
    public $timestamps = false;

    protected $fillable = [
        'user_id',
        'employee_id',
        'business_name',
        'business_model_id',
        'billing_cycle',
        'billing_type_id',
        'business_location_id',
        'business_for',
    ];
}
