<?php

namespace App\Models\Users;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UserData extends Model
{
    use HasFactory;
     /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'user_id',
        'first_name',
        'last_name',
        'phone_number',
        'business_model_id',
        'business_category_id',
        'employee_id',
        'contact_person',
        'gender',
        'referral_code',
        'referred_by',
        'user_country_code',
        'device_type',
        'device_id',
        'designation',
        'old_wallet_amount',
        'wallet_amount',
        'otp',
        'otp_verify'
    ];
    
}
