<?php

namespace App\Models\Users;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UserStaffLocationClassification extends Model
{
    use HasFactory;
    
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'user_staff_location_classification';
    

    public $timestamps = false;
    
    protected $fillable = [
        'user_id',
        'staff_location_id',
        'location_classification_id',
    ];
}
