<?php

namespace App\Models\Users;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UserSubscriptionParts extends Model
{
    use HasFactory;
    
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'user_subscription_parts';
    

    public $timestamps = false;
    
    protected $fillable = [
        'user_id',
        'user_subscription_id',
        'asset_id',
        'part_id',
        'part_type',
    ];
}
