<?php

namespace App\Models\Users;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UserSubscriptionVAService extends Model
{
    use HasFactory;
    
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'user_subscription_va_service';
    

    public $timestamps = false;
    
    protected $fillable = [
        'user_id',
        'user_subscription_id',
        'va_service_type_id',
    ];
}
