<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('user_corporate', function (Blueprint $table) {
            $table->id();
            $table->integer('user_id')->nullable();
            $table->string('business_name')->nullable();
            $table->integer('business_model_id')->nullable();
            $table->string('business_for')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('user_corporate');
    }
};
