<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('master_form_field_group', function (Blueprint $table) {
            $table->id();
            $table->string('field_group')->nullable();
            $table->string('title')->nullable();
            $table->string('sub_title')->nullable();
            $table->integer('priority')->nullable();
            $table->integer('created_by')->nullable();
            $table->timestamps();
            $table->timestamp('deleted_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('master_form_field_group');
    }
};
