<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('a_battery_images', function (Blueprint $table) {
            $table->id();
            $table->integer('battery_id')->nullable();
            $table->string('name')->nullable();
            $table->text('path')->nullable();
            $table->string('saved_as')->nullable();
            $table->integer('created_by')->nullable();
            $table->timestamps();
            $table->timestamp('deleted_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('a_battery_images');
    }
};
