<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('a_battery_parts', function (Blueprint $table) {
            $table->id();
            $table->integer('battery_id')->nullable();
            $table->integer('product_id')->nullable();
            $table->string('part_id')->nullable();
            $table->text('qr_code')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('a_battery_parts');
    }
};
