<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('a_charging_equipment_parts', function (Blueprint $table) {
            $table->id();
            $table->integer('charging_equipment_id')->nullable();
            $table->string('adapter_name')->nullable();
            $table->string('adapter_id')->nullable();
            $table->string('adapter_model')->nullable();
            $table->integer('plug_pin_points')->nullable();
            $table->text('adapter_description')->nullable();
            $table->text('vehicle_oem')->nullable();
            $table->text('market_vehicle_oem')->nullable();
            $table->text('market_vehicle_model')->nullable();
            $table->integer('product_id')->nullable();
            $table->string('part_id')->nullable();
            $table->text('qr_code')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('a_charging_equipment_parts');
    }
};
