<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cms_form_fields', function (Blueprint $table) {
            $table->id();
            $table->integer('form_id')->nullable();
            $table->integer('group_id')->nullable();
            $table->integer('type_id')->nullable();
            $table->string('title')->nullable();
            $table->string('name')->nullable();
            $table->string('place_holder')->nullable();
            $table->text('option')->nullable();
            $table->text('content')->nullable();
            $table->enum('have_condition',['Yes','No'])->nullable()->default('No');
            $table->timestamps();
            $table->timestamp('deleted_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cms_form_fields');
    }
};
