<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('users', function (Blueprint $table) {
            
            Schema::table('users', function($table) {
                $table->dropColumn('user_type');
            });
            Schema::table('users', function($table) {
                $table->enum('user_type', ['Staff','Driver','Vendor','Corporate Client','Corporate Rider','Rider'])->default('Rider')->after('email');
            });
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('users', function (Blueprint $table) {
            //
        });
    }
};
