<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('ps_battery', function (Blueprint $table) {
            $table->id();
            $table->integer('purchased_service_id')->nullable();
            $table->integer('location_id')->nullable();
            $table->integer('vendor_workshop_id')->nullable();
            $table->integer('asset_id')->nullable();
            $table->string('bill_number')->nullable();
            $table->double('service_cost',10,2)->nullable();
            $table->timestamp('start_date')->nullable();
            $table->timestamp('estimated_delivery_date')->nullable();
            $table->timestamp('actual_delivery_date')->nullable();
            $table->string('remarks')->nullable();
            $table->integer('created_by')->nullable();
            $table->integer('updated_by')->nullable();
            $table->timestamps();
            $table->timestamp('deleted_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('ps_battery');
    }
};
