<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cms_tab_menu_input_condition', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('tab_menu_input_id')->nullable();
            $table->integer('condition_input_id')->nullable();
            $table->string('equal_value')->nullable();
            $table->string('field_id_type')->nullable();
            $table->string('equal_value_type')->nullable();
            $table->integer('created_by')->nullable();
            $table->timestamps();

            $table->foreign('tab_menu_input_id')->references('id')->on('cms_tab_menu_inputs')->onDelete('cascade');

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cms_tab_menu_input_condition');
    }
};
