<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cms_walkaround_questions', function (Blueprint $table) {
            $table->id();
            $table->integer('walkaround_checklis_id')->nullable();
            $table->integer('walkaround_category_id')->nullable();
            $table->string('question')->nullable();
            $table->text('instructions')->nullable();
            $table->text('media')->nullable();
            $table->integer('created_by')->nullable();
            $table->integer('updated_by')->nullable();
            $table->timestamps();
            $table->timestamp('deleted_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cms_walkaround_questions');
    }
};
