<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('a_battery_vehicle_oem', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('battery_id')->nullable();
            $table->string('vehicle_oem_id')->nullable();
            $table->timestamps();

            $table->foreign('battery_id')->references('id')->on('a_battery')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('a_battery_vehicle_oem');
    }
};
