<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */  
  
    public function up()
    {
        Schema::create('3pl_attendance', function (Blueprint $table) {
            $table->id();
            $table->integer('user_id');
            $table->String('business_category_model');
            $table->string('user_name');
            $table->string('location_latitude');
            $table->string('location_longitude');
            $table->string('checkin'); 
            $table->string('checkout');
            $table->timestamps();
            $table->timestamp('deleted_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('3pl_attendance');
    }
};
