<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('p_l_reports', function (Blueprint $table) {

      
            $table->id();
            $table->integer('user_id');
            $table->string('customer_name');
            $table->integer('employee_id');
            $table->integer('cod');
            $table->integer('pp');
            $table->integer('rvp');
            $table->integer('total');
            $table->string('vehicle_no')->nullable(); 
            $table->string('total_hours')->nullable();
            $table->string('date')->nullable();
            $table->timestamps();
            $table->timestamp('deleted_at')->nullable();
           
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('p_l_reports');
    }
};
