<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('pl_reports', function (Blueprint $table) {

            $table->id();
            $table->string('RunsheetId');
            $table->string('ShipmentUpdate');
            $table->string('AgentName');
            $table->string('EmployeeID');
            $table->string('DeliveryHub');
            $table->string('City');
            $table->string('Zone'); 
            $table->string('State');
            $table->string('ShipmentId');
            $table->string('ShipmentType'); 
            $table->string('ShipmentPrice');
            $table->string('ShipmentStatus');
            $table->integer('created_by')->nullable();
            $table->timestamps();  
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('pl_reports');

    }
};
