<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {   
        Schema::create('flipkarts', function (Blueprint $table) {
            $table->id();
            $table->string('Date');
            $table->string('AgentName');
            $table->string('EmployeeID');
            $table->string('BusinessModel');
            $table->string('Cod');
            $table->string('PP'); 
            $table->string('Rvp');
            $table->string('Total');
            $table->string('CodPrice'); 
            $table->string('TotalHours')->nullable();
            $table->integer('created_by')->nullable();
            $table->timestamps();  
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('flipkarts');
    }
};
