
<div class="modal-dialog">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Vehicle QR Code</h5>
            <button type="button" class="close-asset-modal btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body" id="printSection modal_qr">
            <div class="mb-3 row"> 
                <div class="col-md-6">
                    <div class="mb-3 asset-row"> 
                        @if(request()->get('parts') )
                            @foreach($vehicle->parts as $parts)
                                Asset Name : {{ $parts?->product?->product_type }}
                                <br>
                                Part ID : {{ $parts->part_id }}

                            @endforeach

                        @else
                            Brand : {{ $vehicle->vendorOem->vendor_oem }}
                            <br>
                            Model Name : {{ $vehicle->model_name }}
                            <br>
                            Registration Number : {{ $vehicle->registeration_number }}
                            <br>
                            VIN Number : {{ $vehicle->vin_number }}
                        @endif
                    </div>
                </div>
                <div class="col-md-6">
                    {!! QrCode::size(100)->generate( 'vehicle,' . $vehicle->vendorOem->vendor_oem . ','. $vehicle->model_name . ','. $vehicle->registeration_number . ','. $vehicle->vin_number ) !!}
                </div>
            </div>
        </div>
        <div class="modal-footer">
            <button type="button" id="print_qr" class="btn btn-primary" onclick="window.print()">Print</button>
        </div>
    </div>
</div>