<!-- ========== Left Sidebar Start ========== -->
<div class="vertical-menu">

    <div data-simplebar class="h-100">

        <!--- Sidemenu -->
        <div id="sidebar-menu">
            <!-- Left Menu Start -->
            <ul class="metismenu list-unstyled" id="side-menu">
                <li class="menu-title" key="t-menu">@lang('translation.Menu')</li>

                <li>
                    <a href="{{ route('admin.dashboard') }}" class="waves-effect">
                        <i class="bx bx-file"></i>
                        <span key="t-file-manager">@lang('Dashboard')</span>
                    </a>
                </li>

                 <li>
                    <a href="javascript: void(0);" class="has-arrow waves-effect">
                        <i class="bx bx-calendar"></i>
                        <span key="t-dashboards">@lang('translation.Master')</span>
                    </a>
                    <ul class="sub-menu" aria-expanded="true">
                        <li>
                            <a href="javascript: void(0);" class="has-arrow"
                                key="t-zones">@lang('Asset Master')</a>
                            <ul class="sub-menu" aria-expanded="true">
                                <li><a href="{{ route('property-types.index') }}" key="t-zones">@lang('Asset Property')</a></li>
                                <li><a href="{{ route('product-types.index') }}"key="t-topbar-light">@lang('Electric Product')</a></li>
                                <li><a href="{{ route('vehicle.index') }}"key="t-topbar-light">@lang('OEM')</a></li>
                                <li><a href="{{ route('vehicleoemmodel.index') }}"key="t-topbar-light">@lang('OEM Model')</a></li>

                            </ul>
                        </li>

                        <li>
                            <a href="javascript: void(0);" class="has-arrow"
                                key="t-zones">@lang('translation.After Sale Service')</a>
                            <ul class="sub-menu" aria-expanded="true">
                                <li><a href="{{ route('emergency-services.index') }}" key="t-topbar-light">@lang('translation.Emergency Service')</a></li>
                                <li><a href="{{ route('insurance-types.index') }}"key="t-topbar-light">@lang('Insurance Type')</a></li>
                                <li><a href="{{ route('maintenance-types.index') }}" key="t-zones">@lang('Maintenance Type')</a></li>
                                <li><a href="{{ route('purchased-services.index') }}" key="t-topbar-light">@lang('translation.Purchased Service')</a></li>
                                <li><a href="{{ route('va-service-types.index') }}" key="t-topbar-light">@lang('translation.Value Added Service')</a></li>
                                <!-- <li><a href="{{ route('insurance-durations.index') }}"key="t-topbar-light">@lang('translation.Insurance Duration')</a></li> -->
                            </ul>
                        </li>

                        <li>
                            <a href="javascript: void(0);" class="has-arrow"
                                key="t-vertical">@lang('Business Master')</a>
                            <ul class="sub-menu" aria-expanded="true">
                                <li><a href="{{ route('business-categories.index') }}"key="t-light-sidebar">@lang('translation.Business Category')</a></li>
                                <li><a href="{{ route('business-models.index') }}"key="t-compact-sidebar">@lang('translation.Business Model')</a></li>
                            </ul>
                        </li>

                        <li>
                            <a href="javascript: void(0);" class="has-arrow"
                                key="t-zones">@lang('Finance Master')</a>
                            <ul class="sub-menu" aria-expanded="true">
                            <li><a href="{{ route('billing-types.index') }}" key="t-topbar-light">@lang('translation.Billing Type')</a></li>     
                            <li><a href="{{ route('payment-types.index') }}" key="t-topbar-light">@lang('Payment Type')</a></li>
                            <li><a href="{{ route('taxation-profile.index') }}" key="t-topbar-light">@lang('Taxation')</a></li>
                            <li><a href="{{ route('tax-percentage.index') }}" key="t-topbar-light">@lang('translation.Tax Percentage')</a></li>
                            </ul>
                        </li>

                        <li>
                            <a href="javascript: void(0);" class="has-arrow"
                                key="t-zones">@lang('Location Master')</a>
                            <ul class="sub-menu" aria-expanded="true">
                                <li><a href="{{ route('zones.index') }}" key="t-zones">@lang('Zone')</a></li>
                                <li><a href="{{ route('states.index') }}"key="t-topbar-light">@lang('translation.State')</a></li>
                                <li><a href="{{ route('districts.index') }}"key="t-boxed-width">@lang('translation.District')</a></li>
                                <li><a href="{{ route('cities.index') }}"key="t-preloader">@lang('translation.City')</a></li>
                                <li><a href="{{ route('location-classifications.index') }}" key="t-topbar-light">@lang('translation.Location Classification')</a></li>
                                <li><a href="{{ route('location.index') }}" key="t-tui-calendar">@lang('translation.Operation Location')</a></li>
                            </ul>
                        </li>

                        <li>
                            <a href="javascript: void(0);" class="has-arrow"
                                key="t-zones">@lang('Mobile Form Master')</a>
                            <ul class="sub-menu" aria-expanded="true">
                            <li><a href="{{ route('form-field-group.index') }}"key="t-topbar-light">@lang('translation.Form Field Group')</a></li>
                            <li><a href="{{ route('form-field-type.index') }}"key="t-topbar-light">@lang('translation.Form Field Type')</a></li>
                            </ul>
                        </li>

                        <li>
                            <a href="javascript: void(0);" class="has-arrow"
                                key="t-zones">@lang('Operation Master')</a>
                            <ul class="sub-menu" aria-expanded="true">
                                <li><a href="{{ route('activity-status.index') }}" key="t-topbar-light">@lang('translation.Activity Status')</a></li>
                                <li><a href="{{ route('master.angel-service.index')}}" key="t-tui-calendar">@lang('translation.Angel Service')</a></li>
                                <li><a href="{{ route('delivery-types.index') }}" key="t-topbar-light">@lang('Delivery Type')</a></li>
                                <li><a href="{{ route('designation.index') }}" key="t-topbar-light">@lang('Designation')</a></li>
                                <li><a href="{{ route('duration.index') }}" key="t-topbar-light">@lang('translation.Duration')</a></li>
                                <li><a href="{{ route('service-types.index') }}" key="t-topbar-light">@lang('Service Type')</a></li>
                                <li><a href="{{ route('sop-categories.index') }}" key="t-topbar-light">@lang('translation.SOP Category')</a></li>
                                <li><a href="{{ route('verification-mode.index') }}" key="t-topbar-light">@lang('Verification Mode')</a></li>
                                <li><a href="{{ route('verification-types.index') }}" key="t-topbar-light">@lang('Verification Parameter')</a></li>
                            </ul>
                        </li>

                        <li>
                            <a href="javascript: void(0);" class="has-arrow"
                                key="t-zones">@lang('Staff Master')</a>
                            <ul class="sub-menu" aria-expanded="true">
                            <li><a href="{{ route('admin.customers', 'Staff') }}" key="t-tui-staff">@lang('Staff')</a></li>
                            <li><a href="{{ route('permissions.index') }}" key="t-topbar-light">@lang('Staff Permission')</a></li>
                            <li><a href="{{ route('roles.index') }}" key="t-topbar-light">@lang('Staff Role')</a></li>    
                            </ul>
                        </li>
                    </ul>
                </li>

                <li>
                    <a href="javascript: void(0);" class="has-arrow waves-effect">
                        <i class="fas fa-users"></i>
                        <span key="t-dashboards">@lang('translation.Vendor Management')</span>
                    </a>
                    <ul class="sub-menu" aria-expanded="false">
                        <li><a href="{{ route('vendor-category.index')}}" key="t-tui-calendar">@lang('translation.Vendor Category')</a></li>
                        <li><a href="{{ route('vendor-oem.index')}}" key="t-tui-calendar">@lang('translation.Vendor OEM')</a></li>

                        <li><a href="{{ route('vehicles.index')}}" key="t-tui-calendar">@lang('translation.Vehicle Dealer')</a></li>
                        <li><a href="{{ route('battery.index')}}" key="t-tui-calendar">@lang('translation.Battery Dealer')</a></li>
                        <li><a href="{{ route('charging-station.index')}}" key="t-tui-calendar">@lang('translation.Charging Station Dealer')</a></li>
                        <li><a href="{{ route('ev-rental.index')}}" key="t-tui-calendar">@lang('translation.EV Rental')</a></li>
                        <li><a href="{{ route('manpower.index')}}" key="t-tui-calendar">@lang('translation.Manpower Vendor')</a></li>
                        <li><a href="{{ route('service-workshop.index')}}" key="t-tui-calendar">@lang('translation.Service Workshop')</a></li>
                    </ul>
                </li>

                <li>
                    <a href="javascript: void(0);" class="has-arrow waves-effect">
                        <i class="bx bxs-buildings"></i>
                        <span key="t-dashboards">@lang('translation.Assets Management')</span>
                    </a>
                    <ul class="sub-menu" aria-expanded="false">
                        <li><a href="{{ route('asset.vehicles.index')}}" key="t-tui-calendar">@lang('Vehicle')</a></li>
                        <li><a href="{{ route('asset.battery.index')}}" key="t-tui-calendar">@lang('translation.Battery')</a></li>
                        <li><a href="{{ route('asset.charger.index')}}" key="t-tui-calendar">@lang('translation.Charger')</a></li>
                        <li><a href="{{ route('asset.charging-equipment.index')}}" key="t-tui-calendar">@lang('translation.Charging Equipment')</a></li>
                        <li><a href="{{ route('asset.charging-station.index')}}" key="t-tui-calendar">@lang('translation.Charging Station')</a></li>
                        <!--<li><a href="{{ route('assets.index')}}" key="t-tui-calendar">@lang('translation.Asset List')</a></li>
                        <li><a href="{{ route('assets.categories')}}" key="t-tui-calendar">@lang('translation.Asset Categories')</a></li>-->
                    </ul>
                </li>

                <li>
                    <a href="javascript: void(0);" class="has-arrow waves-effect">
                        <i class="mdi mdi-hand-pointing-right"></i>
                        <span key="t-dashboards">@lang('Subscription Service')</span>
                    </a>
                    <ul class="sub-menu" aria-expanded="false">
                        <li><a href="{{ route('subscription-plan.vehicles.index')}}" key="t-tui-calendar">@lang('Vehicle')</a></li>
                        <li><a href="{{ route('subscription-plan.battery.index')}}" key="t-tui-calendar">@lang('translation.Battery Swap')</a></li>
                        <li><a href="{{ route('subscription-plan.charging-equipment.index')}}" key="t-tui-calendar">@lang('translation.Charging Equipment')</a></li>
                        <li><a href="{{ route('subscription-plan.angel-service.index')}}" key="t-tui-calendar">@lang('translation.Angel Service')</a></li>
                        <li><a href="{{ route('subscription-plan.value-added-service.index')}}" key="t-full-calendar">@lang('translation.Value Added Service')</a></li>
                    </ul>
                </li>

                <li>
                    <a href="javascript: void(0);" class="has-arrow waves-effect">
                        <i class="bx bx-cart-alt"></i>
                        <span key="t-dashboards">@lang('translation.Order Management')</span>
                    </a>
                    <ul class="sub-menu" aria-expanded="false">
                        <li><a href="{{ route('orders.vehicle.index')}}" key="t-full-calendar">@lang('EV Order')</a></li>
                        <li><a href="{{ route('orders.battery-swap.index')}}" key="t-full-calendar">@lang('translation.Battery Swap')</a></li>
                        <li><a href="{{ route('orders.charging-station.index')}}" key="t-full-calendar">@lang('translation.Charging Station')</a></li>
                        <li><a href="{{ route('orders.angel-service.index')}}" key="t-full-calendar">@lang('translation.Angel Service')</a></li>
                    </ul>
                </li>


                <li>
                    <a href="javascript: void(0);" class="has-arrow waves-effect">
                        <i class="bx bxs-user-detail"></i>
                        <span key="t-users">@lang('Rider Management')</span>
                    </a>
                    <ul class="sub-menu" aria-expanded="false">
                        <li><a href="{{ route('admin.customers', 'Corporate Client') }}" key="t-tui-staff">@lang('Client')</a></li>
                       <!-- <li><a href="{{ route('admin.customers', 'Corporate Rider') }}" key="t-tui-customers">@lang('B2B Rider')</a></li>-->
                        <li><a href="{{ route('admin.customers', 'Rider') }}" key="t-tui-customers">@lang('Rider')</a></li>
                        <!-- <li><a href="{{ route('plreport') }}" key="t-tui-customers">@lang('3PL')</a></li> -->

                    </ul>
                </li>

                <li>
                    <a href="javascript: void(0);" class="has-arrow waves-effect">
                        <i class="bx bxs-user-detail"></i>
                        <span key="t-users">@lang('3PL Management')</span>
                    </a>
                    <ul class="sub-menu" aria-expanded="false">
                        <li><a href="{{ route('plreport') }}" key="t-tui-customers">@lang('3PL Flipkart Attendance')</a></li>
                        <li><a href="{{ route('user.3plreport') }}" key="t-tui-customers">@lang('3PL Flipkart Work')</a></li>

                    </ul>
                </li>

                

                 <li>
                    <a href="javascript: void(0);" class="has-arrow waves-effect">
                        <i class="bx bxs-user-detail"></i>
                        <span key="t-cms">@lang('translation.Content Management')</span>
                    </a>
                    <ul class="sub-menu" aria-expanded="false">
                        <li><a href="{{ route('cms.forms.index')}}" key="t-tui-calendar">@lang('Form')</a></li>
                        <li><a href="{{ route('cms.input-attribute.index')}}" key="t-tui-calendar">@lang('Form Field Attribute')</a></li>
                        <li><a href="{{ route('cms.tab-menu.index')}}" key="t-tui-calendar">@lang('translation.Form Field Tab Menu')</a></li>
                        <li><a href="{{ route('cms.tab-menu-input.index')}}" key="t-tui-calendar">@lang('Tab Menu Input')</a></li>
                        <li><a href="{{ route('cms.menu.index')}}" key="t-tui-calendar">@lang('translation.Menu')</a></li>
                        <li><a href="{{ route('cms.announcement.index')}}" key="t-tui-calendar">@lang('translation.Announcement')</a></li>
                        <li><a href="{{ route('cms.banner.index')}}" key="t-tui-calendar">@lang('translation.Banner')</a></li>
                        <li><a href="{{ route('cms.incidental-info.index')}}" key="t-tui-calendar">@lang('translation.Incidental Information')</a></li>
                        <li><a href="{{ route('onboard.edit', ['onboard' => 1])}}" key="t-tui-calendar">@lang('translation.Onboard')</a></li>
                        <li><a href="{{ route('cms.walkaround-checklist.index')}}" key="t-tui-calendar">@lang('translation.Walkaround Checklist')</a></li>
                        <li><a href="{{ route('cms.emergency-service.index')}}" key="t-tui-calendar">@lang('translation.Emergency Service')</a></li>
                        <li><a href="{{ route('cms.faq.index')}}" key="t-tui-calendar">@lang('translation.FAQ')</a></li>
                        <li><a href="{{ route('cms.feedback-rating.index')}}" key="t-tui-calendar">@lang('translation.Feedback Rating')</a></li>
                        <li><a href="{{ route('cms.terms-condition.index')}}" key="t-tui-calendar">@lang('translation.Terms & Condition')</a></li>

                    </ul>
                </li> 

                <li>
                    <a href="javascript: void(0);" class="has-arrow waves-effect">
                        <i class="fas fa-handshake"></i>
                        <span key="t-dashboards">@lang('Purchase Service')</span>
                    </a>
                    <ul class="sub-menu" aria-expanded="false">
                        <li><a href="{{ route('purchased-service.vehicles.index')}}" key="t-tui-calendar">@lang('Vehicle')</a></li>
                        <li><a href="{{ route('purchased-service.battery.index')}}" key="t-tui-calendar">@lang('translation.Battery')</a></li>
                        <li><a href="{{ route('purchased-service.charging-station.index')}}" key="t-tui-calendar">@lang('translation.Charging Station')</a></li>
                        <li><a href="{{ route('purchased-service.manpower.index')}}" key="t-tui-calendar">@lang('translation.Manpower')</a></li>
                    </ul>
                </li>

                
                <li>
                    <a href="javascript: void(0);" class="has-arrow waves-effect">
                        <i class="mdi mdi-lightbulb-group-outline"></i>
                        <span key="t-dashboards">@lang('Marketing')</span>
                    </a>
                    <ul class="sub-menu" aria-expanded="false">
                        <li><a href="{{ route('marketing.cashback.index')}}" key="t-full-calendar">@lang('translation.Cashback')</a></li>
                        <li><a href="{{ route('marketing.discount.index')}}" key="t-full-calendar">@lang('translation.Discount')</a></li>
                        <li><a href="{{ route('marketing.reward.index')}}" key="t-tui-calendar">@lang('translation.Reward')</a></li>
                    </ul>
                </li>

                <li>
                    <a href="javascript: void(0);" class="has-arrow waves-effect">
                        <i class="bx bxs-user-detail"></i>
                        <span key="t-cms">@lang('Notification')</span>
                    </a>
                    <ul class="sub-menu" aria-expanded="false">
                        <li><a href="{{ route('email-templates.index')}}" key="t-tui-calendar">@lang('translation.Email Notification')</a></li>
                        <li><a href="#sms" key="t-tui-calendar">@lang('SMS Notification')</a></li>
                    </ul>
                </li>

                <li>
                    <a href="javascript: void(0);" class="has-arrow waves-effect">
                        <i class="bx bx-calendar"></i>
                        <span key="t-dashboards">@lang('Report')</span>
                    </a>
                    <ul class="sub-menu" aria-expanded="true">
                        <li>
                            <a href="javascript: void(0);" class="has-arrow"
                                key="t-zones">@lang('3PL')</a>
                            <ul class="sub-menu" aria-expanded="true">
                                <li><a href="{{ route('flipkart.report') }}" key="t-zones">@lang('Flipkart')</a></li>
                                <li><a href="{{ route('attendance.report') }}"key="t-topbar-light">@lang('Attendance')</a></li>
                            </ul>
                        </li>
                    </ul>
                </li>

                <li>
                    <a href="{{ route('settings.index')}}" class="waves-effect">
                    <i class="bx bx-cog"></i>
                        <span key="t-file-manager">@lang('Setting')</span>
                    </a>
                </li>
            </ul>
        </div>
        <!-- Sidebar -->
    </div>
</div>
<!-- Left Sidebar End -->