

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('translation.Verification Types'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<!-- select2 css -->
<link href="<?php echo e(URL::asset('/assets/libs/select2/select2.min.css')); ?>" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.css')); ?>" rel="stylesheet" type="text/css" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<div class="row content-panel-header">
    <div class="col-sm-4 page-title-box">
        <h4 class="mb-sm-0 font-size-18">verification PARAMETER</h4>
    </div>
</div>

<div class="row">
    <div class="col-12">
        
    <form  class="needs-validation" id="edit_form" action="<?php echo e(route('verification-types.update', ['verification_type' => $verificationType->id] )); ?>" method="post" enctype="multipart/form-data" novalidate>
    <?php echo method_field('put'); ?>
    <?php echo csrf_field(); ?>
    <input name="id" type="hidden"  value="<?php echo e($verificationType->id); ?>" />
        <div class="card">
            <div class="card-body">
                <div class="card-title content-card-title">Edit Verification parameter</div>
                <div class="mb-3 row">
                    <label for="verification_parameter" class="col-md-2 col-form-label">Name the Verification Parameter</label>
                    <div class="col-md-6">
                        <input id="verification_parameter" name="verification_parameter" type="text" class="form-control" placeholder="Name the Verification Type" value="<?php echo e($verificationType->verification_parameter); ?>"  required>
                        <div  id="verification_parameter_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="oblication" class="col-md-2 col-form-label">Obligation</label>
                    <div class="col-md-6">
                        <select name="oblication" id="oblication" class="form-control" required>
                            <option value="">Select...</option>
                            <option value="Photo Copy" <?php echo e($verificationType->oblication == 'Photo Copy' ? 'selected' : ''); ?>>Photo Copy</option>
                            <option value="Original" <?php echo e($verificationType->oblication == 'Original' ? 'selected' : ''); ?>>Original</option>
                        </select>
                        <div  id="oblication_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>

                <div class="mb-3 row">
                    <label for="proof_required" class="col-md-2 col-form-label">Proof Required</label>
                    <div class="col-md-6">
                        <input class="form-check-input" type="radio" name="proof_required" id="proof_required1" value="Yes" <?php echo e($verificationType->proof_required == 'Yes' ? 'checked' : ''); ?>>
                        <label class="form-check-label" for="proof_required1" >Yes</label>
                        <input class="form-check-input" type="radio" name="proof_required" id="proof_required2" value="No" <?php echo e($verificationType->proof_required == 'No' ? 'checked' : ''); ?>>
                        <label class="form-check-label" for="proof_required2">No</label>
                        <div  id="verification_parameter_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="user_role" class="col-md-2 col-form-label">User Role</label>
                    <div class="col-md-6">
                        <select id="user_role" name="user_role" class="form-control select2">
                            <option value=''>select...</option>
                            <?php $__currentLoopData = $roles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $role): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($role->id); ?>"  <?php echo e($verificationType->user_role == $role->id ? 'selected' : ''); ?>><?php echo e($role->name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                        </select>
                        <div  id="verification_parameter_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="card btn-card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2 btn-sm-end">
                    <button type="submit" class="btn btn-primary waves-effect waves-light">Update</button>
                </div>
            </div>
        </div>
    </form>
    </div>
</div>
<!-- end row -->

<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!-- select 2 plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/select2/select2.min.js')); ?>"></script>

    <!-- dropzone plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/ecommerce-select2.init.js')); ?>"></script>
    <!--tinymce js-->
    <script src="<?php echo e(URL::asset('/assets/libs/tinymce/tinymce.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/form-editor.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js')); ?>"></script>

    <script src="<?php echo e(URL::asset('/assets/js/pages/form-validation.init.js')); ?>"></script>
    
    <script src="<?php echo e(URL::asset('/assets/js/custom.js')); ?>"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        
        $( "#edit_form" ).submit(function( event ) {
            event.preventDefault();
            actionUrl = "<?php echo e(route('verification-type.validate')); ?>";
            form = $( "#edit_form" );
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: form.serialize(), // serializes the form's elements.
                success: function(data){ 
                    $('.needs-validation').addClass('validated');
                    form.unbind().submit(); 
                },
                error: function (data) {
                    console.log('An error occurred.');
                    response = data.responseJSON;
                    if(response.status == false){
                       
                        validationErrors(response);
                    }
                },
            });
        });
    });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\master\verification_types\edit.blade.php ENDPATH**/ ?>