

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('translation.Mobile Form'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<!-- select2 css -->
<link href="<?php echo e(URL::asset('/assets/libs/select2/select2.min.css')); ?>" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.css')); ?>" rel="stylesheet" type="text/css" />

<link href="<?php echo e(URL::asset('/assets/libs/spectrum-colorpicker/spectrum-colorpicker.min.css')); ?>" rel="stylesheet" type="text/css">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<div class="row content-panel-header">
    <div class="col-sm-4 page-title-box">
        <h4 class="mb-sm-0 font-size-18">Forms</h4>
    </div>
</div>


<?php
    $typeValues = ['string', 'integer', 'double','float',  'array', 'object', 'boolean']; 
?>
<div class="row">
    <div class="col-12">
        
    <form  class="needs-validation" id="create_form" action="<?php echo e(route('cms.forms.store')); ?>" method="post" enctype="multipart/form-data" novalidate>
    <?php echo csrf_field(); ?>
        <div class="card">
            <div class="card-body">
                <h4 class="card-title">Basic Information</h4>
                <p class="card-title-desc">Fill all information below</p>
                    
                <div class="row">
                    <div class="col-sm-6">
                        <div class="mb-3">
                            <div class="form-check form-switch form-switch-lg mb-3" dir="ltr">
                                <input class="form-check-input" type="checkbox" id="is_before_login" value="1" name="is_before_login">
                                <label class="form-check-label" for="is_before_login">Allow Befor Login</label>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="mb-3">
                            <div class="form-check form-switch form-switch-lg mb-3" dir="ltr">
                                <input class="form-check-input" type="checkbox" id="is_back_button" value="1" name="is_back_button" checked="">
                                <label class="form-check-label" for="is_back_button">Enable Back Button</label>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-6">
                        <div class="mb-3">
                            <div class="form-check form-switch form-switch-lg mb-3" dir="ltr">
                                <input class="form-check-input" type="checkbox" id="have_section" value="1" name="have_section">
                                <label class="form-check-label" for="have_section">Fields with in Section</label>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="mb-3">
                            <div class="form-check form-switch form-switch-lg mb-3" dir="ltr">
                                <input class="form-check-input" type="checkbox" id="fields_have_values" value="1" name="fields_have_values"/>
                                <label class="form-check-label" for="fields_have_values">User Fields with values</label>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-6">
                        <div class="mb-3">
                            <label for="slug">Slug</label>
                            <input id="slug" name="slug" type="text" class="form-control" placeholder="Slug" required>
                            <div  id="slug_errors"  class="invalid-feedback">
                                Required
                            </div>
                        </div>
                        <div class="mb-3">
                            <label for="title">Description</label>
                            <textarea name="description" id="description" class="form-control" id="elm1" rows="2" placeholder="Asset Description"></textarea>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="mb-3">
                            <label for="title">Title</label>
                            <input id="title" name="title" type="text" class="form-control" placeholder="Title" required>
                            <div  id="title_errors"  class="invalid-feedback">
                                Required
                            </div>
                        </div>
                        <div class="mb-3">
                            <label for="sub_title">Sub Title</label>
                            <input id="sub_title" name="sub_title" type="text" class="form-control" placeholder="Sub Title" required>
                            <div  id="sub_title_errors"  class="invalid-feedback">
                                Required
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- <div class="card">
            <div class="card-body">
                <h4 class="card-title mb-3">Page Content</h4>

                <textarea name="content" class="form-control" id="elm1" rows="5" placeholder="Asset Description"></textarea>
            </div>

        </div> -><!-- end card-->
        
        <div class="card">
            <div class="card-body">
                <h4 class="card-title">Form images</h4>
                <p class="card-title-desc">Fill all information below</p>
                    
                <div class="row">
                        <label class="col-sm-2" for="image">Image</label>
                    <div class="col-sm-6 mb-3">
                        <input type="file" name="image" class="form-control" id="image">
                    </div>
                </div>
                <div class="row">
                    <label class="col-sm-2" for="image_width">Image Width</label>
                    <div class="col-sm-3 mb-3">
                        <input id="image_width" name="image_width" type="text" class="form-control" placeholder="Image Width">
                    </div>
                    <div class="col-sm-3 mb-3">
                        <select id="image_width_type" name="image_width_type" class="form-select">
                            <option value=''>Select Type...</option>
                            <?php $__currentLoopData = $typeValues; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value='<?php echo e($option); ?>'><?php echo e($option); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                </div>
                <div class="row">
                    <label class="col-sm-2" for="image_height">Image Height</label>
                    <div class="col-sm-3 mb-3">
                        <input id="image_height" name="image_height" type="text" class="form-control" placeholder="Image Height">
                    </div>
                    <div class="col-sm-3 mb-3">
                        <select id="image_height_type" name="image_height_type" class="form-select">
                            <option value=''>Select Type...</option>
                            <?php $__currentLoopData = $typeValues; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value='<?php echo e($option); ?>'><?php echo e($option); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                </div>
                <div class="row">
                        <label class="col-sm-2" for="bottom_image">Bottom Image</label>
                    <div class="col-sm-6 mb-3">
                        <input type="file" name="bottom_image" class="form-control" id="image">
                    </div>
                </div>
                <div class="row">
                    <label class="col-sm-2" for="bottom_image_width">Bottom Image Width</label>
                    <div class="col-sm-3 mb-3">
                        <input id="bottom_image_width" name="bottom_image_width" type="text" class="form-control" placeholder="Bottom Image Width">
                    </div>
                    <div class="col-sm-3 mb-3">
                        <select id="bottom_image_width_type" name="bottom_image_width_type" class="form-select">
                            <option value=''>Select Type...</option>
                            <?php $__currentLoopData = $typeValues; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value='<?php echo e($option); ?>' ><?php echo e($option); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                </div>
                <div class="row">
                    <label class="col-sm-2" for="bottom_image_height">Image Height</label>
                    <div class="col-sm-3 mb-3">
                        <input id="bottom_image_height" name="bottom_image_height" type="text" class="form-control" placeholder="Bottom Image Height">
                    </div>
                    <div class="col-sm-3 mb-3">
                        <select id="bottom_image_height_type" name="bottom_image_height_type" class="form-select">
                            <option value=''>Select Type...</option>
                            <?php $__currentLoopData = $typeValues; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value='<?php echo e($option); ?>'><?php echo e($option); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                </div>

            </div>
        </div>

        <div class="card repeater" enctype="multipart/form-data">
            <div data-repeater-list="form-fields">
                <div class="mb-3 row" style="padding: 26px 0 0 20px;">
                    <div class="col-md-10">
                        <h4 class="card-title">Form Fields</h4>
                    </div>
                    <div class="col-md-2">
                        <input data-repeater-create type="button" class="btn btn-primary mt-3 mt-lg-0" value="Add Form Fields" />
                    </div>
                </div>
                <hr>
                <div data-repeater-item class="card data-item">
                    <div class="card-body">
                        <div class="mb-3 row">
                            <label for="group_id" class="col-md-2 col-form-label">Field Gropup</label>
                            <div class="col-md-6">
                                <select class="form-control group_id" name="group_id"  data-placeholder="Field Type" id="group_id">
                                    <option value="">Choose...</option>
                                    <?php $__currentLoopData = $formFieldGroups; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $formFieldGroup): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($formFieldGroup->id); ?>"> <?php echo e($formFieldGroup->field_group); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                </select>
                                <div  id="group_id_errors"  class="invalid-feedback">
                                    Required
                                </div>
                            </div>
                        </div>
                        <div class="mb-3 row">
                            <label for="field_name" class="col-md-2 col-form-label">Field Name</label>
                            <div class="col-md-6">
                                <input type="text" id="field_name" name="field_name" class="form-control" placeholder="Enter Your Field Name" />
                                <div  id="field_name_errors"  class="invalid-feedback">
                                    Required
                                </div>
                            </div>
                        </div>
                        <div class="mb-3 row">
                            <label for="type_id" class="col-md-2 col-form-label">Field Type</label>
                            <div class="col-md-6">                            
                                <select class="form-control type_id" name="type_id"  data-placeholder="Field Type" id="type_id">
                                    <option value="">Choose...</option>
                                    <?php $__currentLoopData = $formFieldTypes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $formFieldType): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($formFieldType->id); ?>"   data-option="<?php echo e($formFieldType->add_option); ?>" > <?php echo e($formFieldType->field_type); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                </select>
                                <div  id="type_id_errors"  class="invalid-feedback">
                                    Required
                                </div>
                            </div>
                        </div>
                        <div class="mb-3 row">
                            <label for="field_title" class="col-md-2 col-form-label">Field Title</label>
                            <div class="col-md-6">
                                <input type="text" id="field_title" name="field_title" class="form-control" placeholder="Enter Your Field Title" />
                            </div>
                        </div>
                        <div class="mb-3 row">
                            <label for="place_holder" class="col-md-2 col-form-label">Place Holder</label>
                            <div class="col-md-6">
                                <input id="place_holder" name="place_holder" type="text" class="form-control" placeholder="Place Holder" >
                            </div>
                        </div>
                        
                        <div class="mb-3 row option-field" style="display:none;">
                            <label for="place_holder" class="col-md-2 col-form-label">Options</label>
                            <div class="col-md-6">
                                <textarea id="option" name="option" type="text" row="2" class="form-control" placeholder="option1,option2,..." ></textarea>
                            </div>
                        </div>
                        
                        <div class="mb-3 row">
                            <label for="have_condition" class="col-md-2 col-form-label">Have Condition</label>
                            <div class="col-md-6">
                                <input class="form-check-input have_condition" type="radio" name="have_condition" id="have_condition1" value="Yes" >
                                <label class="form-check-label" for="have_condition1">Yes</label>
                                <input class="form-check-input have_condition" type="radio" name="have_condition" id="have_condition2" value="No"  >
                                <label class="form-check-label" for="have_condition2">No</label>
                            </div>
                            
                            <div class="condition-field-form" style="display:none">
                                <div class="mb-3 row">
                                    <label for="condition_field_name" class="col-md-4 col-form-label">Condition Field Name <i class="fas fa-question-circle" data-toggle="tooltip" data-placement="top" title="Should equal to any above field name"></i></label>
                                    <div class="col-md-6">
                                        <input type="text" id="condition_field_name" name="condition_field_name" class="form-control" placeholder="Condition Field Name"  value=""  />
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="equal_value" class="col-md-4 col-form-label">Equal Value</label>
                                    <div class="col-md-6">
                                        <input type="text" id="equal_value" name="equal_value" class="form-control" placeholder="Equal Value"  />
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="field_id_type" class="col-md-4 col-form-label">Condition Field Type</label>
                                    <div class="col-md-6">
                                        <input type="text" id="field_id_type" name="field_id_type" class="form-control" placeholder="Equal Value" />
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="equal_value_type" class="col-md-4 col-form-label">Equal Value Type</label>
                                    <div class="col-md-6">
                                        <input type="text" id="equal_value_type" name="equal_value_type" class="form-control" placeholder="Equal"  />
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="mb-3 row ">
                            <label for="priority" class="col-md-2 col-form-label">Priority</label>
                            <div class="col-md-6 priority-div">
                                <select id="priority" name="priority" class="priority form-select">
                                    <option value=''>Select...</option>
                                    <?php $__currentLoopData = range(1,20); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value='<?php echo e($option); ?>'><?php echo e($option); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <div  id="priority_errors"  class="invalid-feedback">
                                    Required
                                </div>
                            </div>
                        </div>
                        <div class="mb-3 row">
                            <div class="col-lg-10">
                            </div>
                            <div class="col-lg-2 align-self-center" style="margin-top: -70px;">
                                <div class="d-grid">
                                    <input data-repeater-delete type="button" class="btn btn-primary-borderd" value="Delete" />
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
        <div class="card">
            <div class="repeater" enctype="multipart/form-data">
                <div class="mb-3 row"  style="padding: 26px 0 0 20px;">
                    <div class="col-md-10">
                        <h4 class="card-title">Form Button</h4>
                    </div>
                    <div class="col-md-2">
                            <input data-repeater-create type="button" class="add-form-btn-btn btn btn-primary mt-3 mt-lg-0" value="Add Buttons" />
                    </div>
                </div>
                <hr>
                <div data-repeater-list="form-buttons">
                    <div data-repeater-item class="card data-item">
                        <div class="card-body">
                        <div class="row">
                            <div class="col-md-5">
                                <div class="mb-3 row">
                                    <label for="name" class="col-md-4 col-form-label">Button Name</label>
                                    <div class="col-md-4">
                                        <input type="text" id="name" name="name" class="form-control" placeholder="Value" />
                                    </div>
                                    <div class="col-md-4">
                                        <select id="name_type" name="name_type" class="name_type form-select">
                                            <option value=''>Select Type...</option>
                                            <?php $__currentLoopData = $typeValues; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value='<?php echo e($option); ?>'><?php echo e($option); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="type" class="col-md-4 col-form-label">Button Type</label>
                                    <div class="col-md-4">
                                        <input type="text" id="type" name="type" class="form-control" placeholder="Value" />
                                    </div>
                                    <div class="col-md-4">
                                        <select id="type_type" name="type_type" class="type_type form-select">
                                            <option value=''>Select Type...</option>
                                            <?php $__currentLoopData = $typeValues; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value='<?php echo e($option); ?>' ><?php echo e($option); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="title" class="col-md-4 col-form-label">Button Title</label>
                                    <div class="col-md-4">
                                        <input type="text" id="title" name="title" class="form-control" placeholder="Value" />
                                    </div>
                                    <div class="col-md-4">
                                        <select id="title_type" name="title_type" class="title_type form-select">
                                            <option value=''>Select Type...</option>
                                            <?php $__currentLoopData = $typeValues; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value='<?php echo e($option); ?>'><?php echo e($option); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="button_submit" class="col-md-4 col-form-label">Button Submit</label>
                                    <div class="col-md-4">
                                        <input type="text" id="on_submit" name="on_submit" class="form-control" placeholder="Value" />
                                    </div>
                                    <div class="col-md-4">
                                        <select id="on_submit_type" name="on_submit_type" class="form-select">
                                            <option value=''>Select Type...</option>
                                            <?php $__currentLoopData = $typeValues; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value='<?php echo e($option); ?>' ><?php echo e($option); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="on_pressed" class="col-md-4 col-form-label">On Pressed</label>
                                    
                                    <div class="col-md-4">
                                        <input type="text" id="on_pressed" name="on_pressed" class="form-control" placeholder="Value"  value="<?php echo e($attributes->on_pressed ?? ''); ?>"  />
                                    </div>
                                    <div class="col-md-4">
                                        <select id="on_pressed_type" name="on_pressed_type" class="form-select">
                                            <option value=''>Select Type...</option>
                                            <?php $__currentLoopData = $typeValues; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value='<?php echo e($option); ?>'><?php echo e($option); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="padding" class="col-md-4 col-form-label">Padding</label>
                                    
                                    <div class="col-md-4">
                                        <input type="text" id="padding" name="padding" class="form-control" placeholder="Value"  />
                                    </div>
                                    <div class="col-md-4">
                                        <select id="padding_type" name="padding_type" class="form-select">
                                            <option value=''>Select Type...</option>
                                            <?php $__currentLoopData = $typeValues; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value='<?php echo e($option); ?>' ><?php echo e($option); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="width" class="col-md-4 col-form-label">Width</label>
                                    
                                    <div class="col-md-4">
                                        <input type="text" id="width" name="width" class="form-control" placeholder="Value" />
                                    </div>
                                    <div class="col-md-4">
                                        <select id="width_type" name="width_type" class="form-select">
                                            <option value=''>Select Type...</option>
                                            <?php $__currentLoopData = $typeValues; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value='<?php echo e($option); ?>' ><?php echo e($option); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-5">
                                <div class="mb-3 row">
                                    <label for="background_color" class="col-md-4 col-form-label">Background Color</label>
                                    <div class="col-md-4">
                                        <input type="text" id="background_color" name="background_color" class="colorpicker-showinput-intial  form-control" placeholder="Value"  />
                                    </div>
                                    <div class="col-md-4">
                                        <select id="background_color_type" name="background_color_type" class="form-select">
                                            <option value=''>Select Type...</option>
                                            <?php $__currentLoopData = $typeValues; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value='<?php echo e($option); ?>'><?php echo e($option); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="foreground_color" class="col-md-4 col-form-label">Foreground Color</label>
                                    <div class="col-md-4">
                                        <input type="text" id="foreground_color" name="foreground_color" class="colorpicker-showinput-intial form-control" placeholder="Value"  />
                                    </div>
                                    <div class="col-md-4">
                                        <select id="foreground_color_type" name="foreground_color_type" class="form-select">
                                            <option value=''>Select Type...</option>
                                            <?php $__currentLoopData = $typeValues; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value='<?php echo e($option); ?>'}><?php echo e($option); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="color" class="col-md-4 col-form-label">Color</label>
                                    <div class="col-md-4">
                                        <input type="text" id="color" name="color" class="colorpicker-showinput-intial form-control" placeholder="Value" />
                                    </div>
                                    <div class="col-md-4">
                                        <select id="color_type" name="color_type" class="form-select">
                                            <option value=''>Select Type...</option>
                                            <?php $__currentLoopData = $typeValues; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value='<?php echo e($option); ?>'><?php echo e($option); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="border_radious" class="col-md-4 col-form-label">Border Radious</label>
                                    <div class="col-md-4">
                                        <input type="text" id="border_radious" name="border_radious" class="form-control" placeholder="Value"/>
                                    </div>
                                    <div class="col-md-4">
                                        <select id="border_radious_type" name="border_radious_type" class="form-select">
                                            <option value=''>Select Type...</option>
                                            <?php $__currentLoopData = $typeValues; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value='<?php echo e($option); ?>'><?php echo e($option); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="font_size" class="col-md-4 col-form-label">Font Size</label>
                                    
                                    <div class="col-md-4">
                                        <input type="text" id="font_size" name="font_size" class="form-control" placeholder="Value"/>
                                    </div>
                                    <div class="col-md-4">
                                        <select id="font_size_type" name="font_size_type" class="form-select">
                                            <option value=''>Select Type...</option>
                                            <?php $__currentLoopData = $typeValues; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value='<?php echo e($option); ?>'><?php echo e($option); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="font_weight" class="col-md-4 col-form-label">Font Weight</label>
                                    <div class="col-md-4">
                                        <input type="text" id="font_weight" name="font_weight" class="form-control" placeholder="Value" />
                                    </div>
                                    <div class="col-md-4">
                                        <select id="font_weight_type" name="font_weight_type" class="form-select">
                                            <option value=''>Select Type...</option>
                                            <?php $__currentLoopData = $typeValues; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value='<?php echo e($option); ?>'><?php echo e($option); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>

                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="redirect_url" class="col-md-4 col-form-label">Redirect URL</label>
                                    <div class="col-md-4">
                                        <input type="text" id="redirect_url" name="redirect_url" class="form-control" placeholder="Value" />
                                    </div>
                                    <div class="col-md-4">
                                        <select id="redirect_url_type" name="redirect_url_type" class="form-select">
                                            <option value=''>Select Type...</option>
                                            <?php $__currentLoopData = $typeValues; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value='<?php echo e($option); ?>' <?php echo e($option == 'string' ? 'selected' : ''); ?>><?php echo e($option); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>

                                    </div>
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="col-lg-3 align-self-center">
                                    <div class="d-grid">
                                        <input data-repeater-delete type="button" class="btn btn-primary-borderd" value="Delete" />
                                    </div>
                                </div>
                            </div>
                        </div>
                        </div>
                    </div>

                </div>
            </div>

        </div>
        <div class="d-flex flex-wrap gap-2">
            <button type="submit" class="btn btn-primary waves-effect waves-light">Save Changes</button>
            <button type="submit" class="btn btn-secondary waves-effect waves-light">Cancel</button>
        </div>
    </form>
    </div>
</div>
<!-- end row -->

<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!-- select 2 plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/select2/select2.min.js')); ?>"></script>

    <!-- dropzone plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/ecommerce-select2.init.js')); ?>"></script>
    <!--tinymce js-->
    <script src="<?php echo e(URL::asset('/assets/libs/tinymce/tinymce.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/form-editor.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js')); ?>"></script>

    <script src="<?php echo e(URL::asset('/assets/js/pages/form-validation.init.js')); ?>"></script>
    
<script src="<?php echo e(URL::asset('/assets/libs/jquery-repeater/jquery-repeater.min.js')); ?>"></script>

<script src="<?php echo e(URL::asset('/assets/libs/spectrum-colorpicker/spectrum-colorpicker.min.js')); ?>"></script>

<script src="<?php echo e(URL::asset('/assets/js/pages/form-repeater.int.js')); ?>"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        
        $(".colorpicker-showinput-intial").spectrum({
        showInitial: true,
        showInput: true
        });

        $(document).on('click', '.add-form-btn-btn', function(event) {
            event.preventDefault();
            
            $(".colorpicker-showinput-intial").spectrum({
            showInitial: true,
            showInput: true
            });
        });

        $('[data-toggle="tooltip"]').tooltip();
       // $('.have_condition').change(function(){
        //$('input.have_condition').on('change', function() {
        $(document).on("change", ".have_condition", function(){
            parentDiv = $(this).parents('.data-item');
            conditionField = parentDiv.find(".condition-field-form");
            if($(this).val() == 'Yes'){
                conditionField.show();
            }else{
                conditionField.hide();
            }
        }).trigger('change');
        $(document).on("change", ".type_id", function(){
            //addAption = $(this). attr('data-option');
            addAption = $(this).find("option:selected").attr('data-option');
            if(addAption == 'Yes'){
                parentDiv = $(this).parents('.data-item');
                optionField = parentDiv.find(".option-field");
                optionField.show();
            }else{
                parentDiv = $(this).parents('.data-item');
                optionField = parentDiv.find(".option-field");
                optionField.hide();
            }
        });
        $( "#create_form" ).submit(function( event ) {
            event.preventDefault();
            actionUrl = "<?php echo e(route('cms.forms.validate')); ?>";
            form = $( "#create_form" );
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: form.serialize(), // serializes the form's elements.
                success: function(data){ 
                    $('.needs-validation').addClass('validated');
                    form.unbind().submit(); 
                },
                error: function (data) {
                    console.log('An error occurred.');
                    response = data.responseJSON;
                    if(response.status == false){
                        $.each(response.errors, function(i, item) {
                            $('#'+i+'_errors').html(response.errors[i]); 
                            $('#'+i+'_errors').css('display', 'block');
                        });
                    }
                },
            });
        });
    });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\cms\forms\create.blade.php ENDPATH**/ ?>