

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('translation.Charging Equipment'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<!-- select2 css -->
<link href="<?php echo e(URL::asset('/assets/libs/select2/select2.min.css')); ?>" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="<?php echo e(URL::asset('/assets/css/custom-dropzone.css')); ?>" rel="stylesheet" type="text/css" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<div class="row content-panel-header">
    <div class="col-sm-4 page-title-box">
        <h4 class="mb-sm-0 font-size-18"> Charging Equipment Asset details</h4>
    </div>
</div>

<div class="row">
    <div class="col-12">
        
    <div class="card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2">
                    <a href="<?php echo e(url()->previous()); ?>" class="btn btn-primary waves-effect waves-light">Go Back</a>
                    <a href="<?php echo e(route('asset.charging-equipment.edit', ['charging_equipment' => $chargingEquipment->id])); ?>" class="btn btn-primary waves-effect waves-light">Edit</a>
                    <a  href="#" class="btn btn btn-primary-borderd waves-effect waves-light delete" data-url="<?php echo e(route('asset.charging-equipment.destroy', ['charging_equipment' => $chargingEquipment->id])); ?>">  Delete</i> </a>

                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <h5>Asset Details</h5><br>
                <div class="mb-3 row"> 
                    <label for="product_id" class="col-md-2 col-form-label">Asset/Electric Product</label>
                    <div class="col-md-6">
                       <?php echo e(isset($chargingEquipment->product) ? $chargingEquipment->product->product_type :''); ?>

                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="model_name" class="col-md-2 col-form-label">Name the Model</label>
                    <div class="col-md-6">
                        <?php echo e($chargingEquipment->model_name); ?>

                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="charging_equipment_type" class="col-md-2 col-form-label">Charging Equipment Type / Wats</label>
                    <div class="col-md-6">
                    <?php echo e($chargingEquipment->charging_equipment_type); ?>

                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="vin_number" class="col-md-2 col-form-label">Model number</label>
                    <div class="col-md-6">
                    <?php echo e($chargingEquipment->vin_number); ?>

                    </div>
                </div>
                
                <div class="mb-3 row">
                    <label for="qr_code" class="col-md-2 col-form-label">OR Code of the Asset</label>
                    <div class="col-md-6">
                    <!--<button type="button" id="view_QR" class="btn btn-primary waves-effect waves-light" onclick="window.print()">Print QR</button>-->
                    <button type="button" id="view_QR"  class="btn btn-primary waves-effect waves-light">View QR</button>
                    </div>
                </div> 
            </div>
        </div>
        <div class="card">
                <div class="card-body">

                    <h4 class="card-title">Asset Documents</h4>
                    <div>
                        <?php if(isset($chargingEquipment->images)): ?>
                            <?php $__currentLoopData = $chargingEquipment->images; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $images): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <img src="<?php echo e($images->path); ?>" alt="<?php echo e($images->saved_as); ?>" class="img-thumbnail" style="width: 200px;"/>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        <div class="card">
            <div class="card-body">
                <h5>OEM/Dealer Details</h5><br>
                <div class="mb-3 row">
                    <input id="category_id" name="category_id" type="hidden"  value="1">
                    <label for="oem_id" class="col-md-2 col-form-label">OEM</label>
                    <div class="col-md-6">
                       <?php echo e(isset($chargingEquipment->vendorOem) ? $chargingEquipment->vendorOem->vendor_oem :''); ?>

                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="charging_equipment_dealer_id" class="col-md-2 col-form-label">Dealer</label>
                    <div class="col-md-6">
                        <?php echo e(isset($chargingEquipment->chargingEquipmentDealer) ? $chargingEquipment->chargingEquipmentDealer->chargingEquipment_dealer :'',); ?>

                       
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="purchased_invoice_number" class="col-md-2 col-form-label">Purchase Invoice Number</label>
                    <div class="col-md-6">
                        <?php echo e($chargingEquipment->purchased_invoice_number); ?>                       
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="purchased_date" class="col-md-2 col-form-label">Purchased Date</label>
                    <div class="col-md-6">
                        <?php echo e($chargingEquipment->purchased_date); ?> 
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="repeater" enctype="multipart/form-data">
                    <div class="mb-3 row">
                        <div class="col-md-10">
                            <h5>Parts</h5>
                        </div>
                    </div>
                    <hr>
                    <?php if(isset($chargingEquipment->parts)): ?>
                        <?php if(isset($chargingEquipment->parts[0])): ?>
                        <?php $__currentLoopData = $chargingEquipment->parts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $parts): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="mb-3 row">
                            <label for="asset_part" class="col-md-2 col-form-label">Asset/Electric Part</label>
                            <div class="col-md-6">
                                    <?php echo e($parts?->product?->product_type); ?>

                            </div>
                        </div>
                        <div class="mb-3 row">
                            <label for="part_id" class="col-md-2 col-form-label">Part Id</label>
                            <div class="col-md-6">
                            <?php echo e($parts->part_id); ?>

                            </div>
                        </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                         <?php else: ?>
                        <p>No Parts Added yet</p>
                    <?php endif; ?>
                    <?php else: ?>
                        <p>No Parts Added yet</p>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <h5>Assign Location</h5><br>
                
                <div class="mb-3 row">
                    <label for="location_id" class="col-md-2 col-form-label">Location Name</label>
                    <div class="col-md-6">
                        <?php echo e(isset($chargingEquipment->location) ? $chargingEquipment->location->location :'',); ?>

                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="city_id" class="col-md-2 col-form-label">City</label>
                    <div class="col-md-6">
                        <?php echo e(isset($chargingEquipment->city) ? $chargingEquipment->city->city :'',); ?>

                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="district_id" class="col-md-2 col-form-label">District</label>
                    <div class="col-md-6">
                        <?php echo e(isset($chargingEquipment->district) ? $chargingEquipment->district->district :'',); ?>

                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="state_id" class="col-md-2 col-form-label">State</label>
                    <div class="col-md-6">
                        <?php echo e(isset($chargingEquipment->state) ? $chargingEquipment->state->state :'',); ?>

                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="zone_id" class="col-md-2 col-form-label">Zone</label>
                    <div class="col-md-6">
                        <?php echo e(isset($chargingEquipment->zone) ? $chargingEquipment->zone->zone :'',); ?>

                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="repeater" enctype="multipart/form-data">
                    <div class="mb-3 row">
                        <div class="col-md-10">
                            <h5>Service Maintenance  Plan</h5>
                        </div>
                        <div class="col-md-2">
                        </div>
                    </div>
                    <hr>
                    <?php if(isset($chargingEquipment->servicePlan)): ?>
                        <?php if(isset($chargingEquipment->servicePlan[0])): ?>
                        <?php $__currentLoopData = $chargingEquipment->servicePlan; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $servicePlan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="mb-3 row">
                                <label for="maintenance_type" class="col-md-2 col-form-label">Service Maintenance Type</label>  
                                <div class="col-md-6">
                                <?php echo e(isset($servicePlan->maintenanceTyp) ? $servicePlan->maintenanceType->maintenance_type : ''); ?>

                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="maintenance_duration" class="col-md-2 col-form-label">Maintenance Duration</label>
                                <div class="col-md-3">
                                <?php echo e(isset($servicePlan->duration) ? $servicePlan->duration->duration : ''); ?>

                                </div>
                                <label for="maintenance_duration_date" class="col-md-1 col-form-label" style="padding: 8px 0;">Start by Date</label>
                                <div class="col-md-2">
                                <?php echo e($servicePlan->maintenance_duration_date); ?>

                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="maintenance_cost" class="col-md-2 col-form-label">Maintenance Cost</label>
                                <div class="col-md-6">
                                <?php echo e($servicePlan->maintenance_cost); ?>

                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="service_reminder" class="col-md-2 col-form-label">Service Reminder</label>
                                <div class="col-md-3">
                                <?php echo e($servicePlan->service_reminder); ?>

                                </div>
                                <label for="service_reminder_date" class="col-md-1 col-form-label" style="padding: 8px 0;">Start by Date</label>
                                <div class="col-md-2">
                                <?php echo e($servicePlan->service_reminder_date); ?>

                                </div>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php else: ?>
                        <p> No Service Maintenance Plan and schedule added yet</p>
                        <?php endif; ?>
                    <?php else: ?>
                        <p> No Service Maintenance Plan and schedule added yet</p>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="repeater" enctype="multipart/form-data">
                    <div class="mb-3 row">
                        <div class="col-md-10">
                            <h5>Insurance Plan</h5>
                        </div>
                        <div class="col-md-2">
                        </div>
                    </div>
                    <hr>
                    <?php if(isset($chargingEquipment->insurancePlan)): ?>
                        <?php if(isset($chargingEquipment->insurancePlan[0])): ?>
                        <?php $__currentLoopData = $chargingEquipment->insurancePlan; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $insurancePlan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div data-repeater-list="asset-insurance" class="asset-insurance">
                        <div data-repeater-item class="row asset_insurance_item">
                            <div class="mb-3 row">
                                <label for="insurance_type_id" class="col-md-2 col-form-label">Insurance Type</label>  
                                <div class="col-md-6">
                                <?php echo e(isset($insurancePlan->insuranceType) ? $servicePlan->insuranceType->insurance_type : ''); ?>

                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="insurance_duration" class="col-md-2 col-form-label">Insurance Duration</label>
                                <div class="col-md-3">
                                <?php echo e(isset($insurancePlan->duration) ? $insurancePlan->duration->duration : ''); ?>

                                </div>
                                <label for="insurance_duration_date" class="col-md-1 col-form-label" style="padding: 8px 0;">Start by Date</label>
                                <div class="col-md-2">
                                <?php echo e($insurancePlan->insurance_duration_date); ?>

                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="insurance_service_reminder" class="col-md-2 col-form-label">Service Reminder</label>
                                <div class="col-md-3">
                                <?php echo e($insurancePlan->service_reminder); ?>

                                </div>
                                <label for="insurance_service_reminder_date" class="col-md-1 col-form-label" style="padding: 8px 0;">Start by Date</label>
                                <div class="col-md-2">
                                <?php echo e($insurancePlan->service_reminder_date); ?>

                                </div>
                            </div>
                        </div>
                    </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php else: ?>
                        <p> No Insurance Plan an schedule added yet</p>
                    <?php endif; ?>
                    <?php else: ?>
                        <p> No Insurance Plan an schedule added yet</p>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </form>
    </div>
</div>
<!-- end row -->
<!-- end row -->
<?php $__env->stopSection(); ?>

<?php $__env->startSection('modal'); ?>
<div class="modal fade" id="qr_code_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">QR Code</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body" id="printSection">
                <?php echo QrCode::size(300)->generate( 'Model Name : ' .  $chargingEquipment->model_name . 'Model Number : ' .  $chargingEquipment->vin_number ); ?>

            </div>
            <div class="modal-footer">
                <button type="button" id="save_description" class="btn btn-primary" onclick="window.print()">Print</button>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
<script type="text/javascript">
    $(document).ready(function(){  
        $(document).on('click', '#view_QR', function(event) {
            event.preventDefault();
            $('#qr_code_modal').modal('show');
        });

        $(document).on("click",".delete",function(e) {
                e.preventDefault();
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });
                var url = $(this).attr('data-url');
                // confirm then
                $.ajax({
                    url: url,
                    type: 'DELETE',
                    dataMode: 'json',
                    data: {
                      //  method: 'DELETE', 
                        submit: true,
                        "_token": "<?php echo e(csrf_token()); ?>"
                    }
                }).always(function (data) {
                    window.location.href = "<?php echo e(url()->previous()); ?>";
                });
            });
    });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\assets\charging_equipment\show.blade.php ENDPATH**/ ?>