

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('translation.Vendor Oem'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<!-- select2 css -->
<link href="<?php echo e(URL::asset('/assets/libs/select2/select2.min.css')); ?>" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.css')); ?>" rel="stylesheet" type="text/css" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<?php $__env->startComponent('components.breadcrumb'); ?>
<?php $__env->slot('li_1'); ?> Vendor Oem <?php $__env->endSlot(); ?>
<?php $__env->slot('title'); ?> Add Vendor Oem <?php $__env->endSlot(); ?>
<?php echo $__env->renderComponent(); ?>

<div class="row">
    <div class="col-12">
        
    <form  class="needs-validation" id="edit_form" action="<?php echo e(route('vendor-oem.update', ['vendor_oem' => $vendorOem->id] )); ?>" method="post" enctype="multipart/form-data" novalidate>
    <?php echo method_field('put'); ?>
    <?php echo csrf_field(); ?>
    <input name="id" type="hidden"  value="<?php echo e($vendorOem->id); ?>" />
        <div class="card">
            <div class="card-body">
                <div class="mb-3 row">
                    <label for="vendor_category_id" class="col-md-2 col-form-label">Name the Vendor Oem</label>
                    <div class="col-md-6">
                        <select id="vendor_category_id" name="vendor_category_id" class="form-control" required>
                                <option value=''>Select...</option>
                                <?php $__currentLoopData = $vendorCategoryList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vendorCategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($vendorCategory->id); ?>" <?php echo e($vendorCategory->id == $vendorOem->vendor_category_id ? 'selected' : ''); ?>><?php echo e($vendorCategory->vendor_category); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                            </select>
                        <div  id="vendor_category_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="vendor_oem" class="col-md-2 col-form-label">Name the Vendor Oem</label>
                    <div class="col-md-6">
                        <input id="vendor_oem" name="vendor_oem" type="text" class="form-control" placeholder="Name the Vendor Oem" value="<?php echo e($vendorOem->vendor_oem); ?>"  required>
                        <div  id="vendor_oem_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                
            </div>
        </div>

        <div class="card btn-card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2 btn-sm-end">
                    <button type="submit" class="btn btn-primary waves-effect waves-light">Update</button>
                </div>
            </div>
        </div>
    </form>
    </div>
</div>
<!-- end row -->

<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!-- select 2 plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/select2/select2.min.js')); ?>"></script>

    <!-- dropzone plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/ecommerce-select2.init.js')); ?>"></script>
    <!--tinymce js-->
    <script src="<?php echo e(URL::asset('/assets/libs/tinymce/tinymce.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/form-editor.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js')); ?>"></script>

    <script src="<?php echo e(URL::asset('/assets/js/pages/form-validation.init.js')); ?>"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        
        $( "#edit_form" ).submit(function( event ) {
            event.preventDefault();
            actionUrl = "<?php echo e(route('vendor-oem.validate')); ?>";
            form = $( "#edit_form" );
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: form.serialize(), // serializes the form's elements.
                success: function(data){ 
                    $('.needs-validation').addClass('validated');
                    form.unbind().submit(); 
                },
                error: function (data) {
                    console.log('An error occurred.');
                    response = data.responseJSON;
                    if(response.mode == false){
                        $.each(response.errors, function(i, item) {
                             $('#'+i+'_errors').html(response.errors[i]); 
                            $('#'+i+'_errors').css('display', 'block');
                        });
                    }
                },
            });
        });
    });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\vendor_oem\edit.blade.php ENDPATH**/ ?>