

<?php $__env->startSection('title'); ?>
    <?php echo app('translator')->get('translation.FAQ'); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<!-- select2 css -->
<link href="<?php echo e(URL::asset('/assets/css/custom.css')); ?>" rel="stylesheet" type="text/css" />
    <style>
        .bx{
            line-height: 1.5 !important;
        }
        .input-group-text{            
            background: #fff !important;
            border-right: unset !important;
            border-radius: 15px 0px 0px 15px !important;
            border: 2px solid #50dde2 !important;
            margin-right: -1px !important;
        }
        .form-control{
            border: 2px solid #50dde2 !important;
            border-left: unset !important;
            border-radius: 0px 15px 15px 0px !important;
        }
        .accordion{            
            padding: 10px;
        }
        .faq-title{
            padding: 10px;
        }
        .faq-head-title{
            padding: 25px 10px;
        }
    </style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('body'); ?>

    <body>
    <?php $__env->stopSection(); ?>

    <?php $__env->startSection('content'); ?>
        <div class="account-pages my-5 pt-sm-5">
            <div class="container">
                <h2 class="faq-head-title">FAQ</h2>
                
                 <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="inputGroup-sizing-default"><i class="bx bx-search-alt-2"></i></span>
                    </div>
                    <input type="search" class="form-control" id="search" placeholder="Search here" > 
                </div>
                <div class="accordion" id="accordionFaq">
                <?php $__currentLoopData = $faqCategoryList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cateKey => $faqCategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <h2 class="faq-title"><?php echo e($faqCategory->faq_category); ?></h2>
                    <?php $__currentLoopData = $faqCategory->faqs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $faqs): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        
                        <div class="accordion-item">
                            <h2 class="accordion-header" id="heading<?php echo e($cateKey.'-'.$key); ?>">
                            <button class="accordion-button <?php echo e(($cateKey == 0  && $key ==0)  ?  'collapsed' : ''); ?>" type="button" data-bs-toggle="collapse" data-bs-target="#collapse_<?php echo e($faqCategory->faq_category . $key); ?>" aria-expanded="false" aria-controls="collapse<?php echo e($key); ?>"><b><?php echo e($faqs->question); ?></b>
                            </button>
                            </h2>
                            <div id="collapse_<?php echo e($faqCategory->faq_category . $key); ?>" class="accordion-collapse collapse  <?php echo e(($cateKey == 0 && $key ==0)  ?  'show' : ''); ?>" aria-labelledby="heading<?php echo e($key); ?>" data-bs-parent="#accordionExample">
                            <div class="accordion-body">
                                <?php echo e($faqs->search_answer); ?>

                            </div>
                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                </div>

                </div>
            </div>
        </div>
        <!-- end account-pages -->

    <?php $__env->stopSection(); ?>

    <?php $__env->startSection('script'); ?>
    <!-- select 2 plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/select2/select2.min.js')); ?>"></script>

    <!-- dropzone plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/ecommerce-select2.init.js')); ?>"></script>
    <!--tinymce js-->
    <script src="<?php echo e(URL::asset('/assets/libs/tinymce/tinymce.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/form-editor.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js')); ?>"></script>

    <script src="<?php echo e(URL::asset('/assets/js/pages/form-validation.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/js/custom.js')); ?>"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        //updateNotification();
        $(document).on("change", "#search", function( event ){
            event.preventDefault();
            updateNotification();
         

        }).trigger('change');
        
    });
    function updateNotification(){
   
        $.ajax({
                type: "GET",
                url: "<?php echo e(route('cms.faq_question')); ?>",
                data: {
                    "search": $('#search').val(),
                    "_token": "<?php echo e(csrf_token()); ?>"
                }, 
                success: function(data){ 
                    $('#accordionFaq').html(data);
                },
                error: function (data) {
                   
                },
            });
    }
    
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master-without-nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\app\cms\faq.blade.php ENDPATH**/ ?>