

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('Business Model'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    <!-- DataTables -->
    <link href="<?php echo e(URL::asset('/assets/libs/datatables/datatables.min.css')); ?>" rel="stylesheet" type="text/css" />
    <!-- <link href="https://cdn.datatables.net/searchpanes/2.1.0/css/searchPanes.bootstrap4.min.css" rel="stylesheet" type="text/css" />
    <link href="https://cdn.datatables.net/select/1.5.0/css/select.bootstrap4.min.css" rel="stylesheet" type="text/css" /> -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

    <div class="row content-panel-header">
        <div class="col-sm-4 page-title-box">
            <h4 class="mb-sm-0 font-size-18">business models</h4>
        </div>
        <div class="col-sm-8">
            <div class="text-sm-end">
                <a href="<?php echo e(route('business-models.create')); ?>" class="btn btn-primary waves-effect waves-light"><i class="mdi mdi-plus me-1"></i> Create New</a>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                        <div class="col-sm-2">
                            <input type="hidden" id="category_id_input" />
                            <select id="category_id" class="form-control select2">
                                <option value=''>--By Category--</option>
                                <?php $__currentLoopData = $businessCategory; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($category->id); ?>"><?php echo e($category->business_category); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                            </select>
                        </div>
                        <div class="col-sm-2">
                            <input type="hidden" id="business_model_input" />
                            <select id="business_model" class="form-control select2">
                                <option value=''>--By Model--</option>
                                <?php $__currentLoopData = $businessModels; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $businessModel): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($businessModel->business_model); ?>"><?php echo e($businessModel->business_model); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                            </select>
                        </div>
                        <div class="col-sm-2">
                            <input type="hidden" id="category_id_input" />
                           
                        </div>
                        
                        <div class="col-sm-2">
                            <input type="hidden" id="category_id_input" />
                            
                        </div>
                        <div class="col-sm-2">
                            
                        </div>
                        <div class="col-sm-2">
                            <div class="text-sm-end">
                                <input type="search" class="form-control" id="search" placeholder="Search" aria-controls="datatable-buttons">
                            </div>
                        </div><!-- end col-->
                    </div>

                    <?php $i = 0 ?>
                    <div class="table-responsive">
                        <table id="agax_datatable" class="table align-middle table-nowrap">
                            <thead>
                                <tr>
                                    <th> id</th>
                                    <th> Business Category</th>
                                    <th> Business Model</th>
                                    <th> Model Assets </th>
                                    <th> Created At </th>
                                    <th> Updated At </th>
                                    <th> Action </th>
                                </tr>
                            </thead>
                        </table>
                    </div>
                    
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!-- Required datatable js -->
    <script src="<?php echo e(URL::asset('/assets/libs/datatables/datatables.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/jszip/jszip.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/pdfmake/pdfmake.min.js')); ?>"></script>
    <!-- Datatable init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/datatables.init.js')); ?>"></script>
    <!-- <script src="https://cdn.datatables.net/searchpanes/2.1.0/js/dataTables.searchPanes.min.js"></script>
    <script src="https://cdn.datatables.net/searchpanes/2.1.0/js/searchPanes.bootstrap4.min.js"></script>
    <script src="https://cdn.datatables.net/select/1.5.0/js/dataTables.select.min.js"></script> -->
    
    <script src="<?php echo e(URL::asset('/assets/js/custom.js')); ?>"></script>
    <script type="text/javascript">
        $(document).ready(function(){
            // var table = $('#datatable-assets').DataTable({
            //     searchPanes: true
            // });
            // table.searchPanes.container().prependTo(table.table().container());
            // table.searchPanes.resizePanes();
            updateTables();
           
            $('#category_id').on('change', function() {
                $('#category_id_input').val($(this).val());
                updateTables();
            });
            $('#business_model').on('change', function() {
                $('#business_model_input').val($(this).val());
                updateTables();
            });
            $("#search").change(function(){
                updateTables();
            });
            $(document).on("click",".delete",function(e) {
                e.preventDefault();
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });
                var url = $(this).attr('data-url');
                // confirm then
                $.ajax({
                    url: url,
                    type: 'DELETE',
                    dataType: 'json',
                    data: {
                      //  method: 'DELETE', 
                        submit: true,
                        "_token": "<?php echo e(csrf_token()); ?>"
                    }
                }).always(function (data) {
                    updateTables();
                });
            });
            
        });

        
        function updateTables() {
            $("#agax_datatable").DataTable().destroy();
            var table = $('#agax_datatable').DataTable( {
                serverSide: true,
                processing: true,
                searching:false,
                paging: true,
                "ajax": {
                    "url": "<?php echo e(route('business-model.tab-index')); ?>",
                    "type": "POST",
                    'data': {
                        "business_category_id": $('#category_id').val(),
                        "business_model": $('#business_model').val(),
                        "search": $('#search').val(),
                        "_token": "<?php echo e(csrf_token()); ?>"
                    }
                },
                dom: 'Blfrtip',
                "columns": [
                    { "data": "id" },
                    { "data": "business_category" },
                    { "data": "business_model" },
                    { "data": "asset_types" },
                    { "data": "created_at" },
                    { "data": "updated_at" },
                    { "data": "action" },

                ],
                "buttons":[

                ],
            });
            //table.draw(); 
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\master\business_models\index.blade.php ENDPATH**/ ?>