

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('Asset Vehicle'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    <!-- DataTables -->
    <link href="<?php echo e(URL::asset('/assets/libs/datatables/datatables.min.css')); ?>" rel="stylesheet" type="text/css" />
    <!-- <link href="https://cdn.datatables.net/searchpanes/2.1.0/css/searchPanes.bootstrap4.min.css" rel="stylesheet" type="text/css" />
    <link href="https://cdn.datatables.net/select/1.5.0/css/select.bootstrap4.min.css" rel="stylesheet" type="text/css" /> -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

<div class="row content-panel-header">
    <div class="col-sm-4 page-title-box">
        <h4 class="mb-sm-0 font-size-18">ASSets - VEHICLES</h4>
    </div>
    <div class="col-sm-8">
        <div class="text-sm-end">
            <a href="<?php echo e(route('asset.vehicles.create')); ?> " class="btn btn-primary waves-effect waves-light"><i class="mdi mdi-plus me-1"></i> Create New</a>
        </div>
    </div>
</div>
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                        <div class="col-sm-2">
                            <input id="category_id" name="category_id" type="hidden"  value="1">
                            <select id="oem_id" class="form-control select2">
                                <option value=''>--By OEM--</option>
                            </select>
                        </div> 
                        <div class="col-sm-2">
                            <select id="vehicle_dealer_id" class="form-control select2">
                                <option value=''>--By Dealer--</option>
                                <?php $__currentLoopData = $dealerList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dealer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($dealer->id); ?>"><?php echo e($dealer->vehicle_dealer); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                            </select>
                        </div> 
                        <div class="col-sm-2">
                            <select id="zone_id" class="form-control select2">
                                <option value=''>--By Zone--</option>
                                <?php $__currentLoopData = $zones; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $zone): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($zone->id); ?>"><?php echo e($zone->zone); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                            </select>
                        </div>
                        <div class="col-sm-2">
                            <select id="state_id" class="form-control select2">
                                <option value=''>--By State--</option>
                                <?php $__currentLoopData = $states; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $state): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($state->id); ?>"><?php echo e($state->state); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                            </select>
                        </div>
                        <div class="col-sm-2">
                            <select id="district_id" class="form-control select2">
                                <option value=''>--By District--</option>
                                <?php $__currentLoopData = $districts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $district): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($district->id); ?>"><?php echo e($district->district); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                            </select>
                        </div>
                        
                        <div class="col-sm-2">
                            <select id="city_id" class="form-control select2">
                                <option value=''>--By City--</option>
                                <?php $__currentLoopData = $cities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $city): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($city->id); ?>"><?php echo e($city->city); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                            </select>
                        </div><!-- end col-->
                    </div>
                    <div class="row mb-2">
                        <!--<label class="col-sm-1" >Search: </label>-->
                        <div class="col-sm-2">
                            <input type="search" class="form-control" id="search" placeholder="Search" aria-controls="datatable-buttons">
                        </div>
                        <div class="col-sm-8">
                        </div>
                    </div>

                    <div class="table-responsive">
                        <table id="agax_datatable" class="table align-middle table-nowrap">
                            <thead>
                                <tr>
                                    <th> id</th>
                                    <th> Product</th>
                                    <th>Vehicle Name</th>
                                    <th> Model Name</th>
                                    <th> Registraion Number</th>
                                    <th> VIN Number</th>
                                    <th> QR Code</th>
                                    <th> OEM</th>
                                    <th> Vehicle Dealer</th>
                                    <th> Purchased Invoice Number</th>
                                    <th> Purchased Date</th>
                                    <th> Location</th>
                                    <th> Parts</th>
                                    <th> Service Plan</th>
                                    <th> Insurance Plan</th>
                                    <th> Created At   </th>
                                    <th> Created By </th>
                                    <th> Updated At   </th>
                                    <th> Updated By </th>
                                    <th> Action </th>
                                </tr>
                            </thead>
                        </table>
                    </div>
                    
                </div>
            </div>
            <?php $__env->startSection('modal'); ?>
            <div class="modal fade" id="qr_code_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
            </div>
            <?php $__env->stopSection(); ?>
        </div>
    </div>
    <!-- end row -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!-- Required datatable js -->
    <script src="<?php echo e(URL::asset('/assets/libs/datatables/datatables.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/jszip/jszip.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/pdfmake/pdfmake.min.js')); ?>"></script>
    <!-- Datatable init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/datatables.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/js/custom.js')); ?>"></script>
    <script type="text/javascript">
        $(document).ready(function(){
            
            $(document).on('click', '.view_asset_qr', function(event) {
                event.preventDefault();
                id = $(this).attr('id');
                $.ajax({
                    type: "GET",
                    url: 'asset-vehicle-asset-qr/' + id,
                    success: function(data){ 
                        $('#qr_code_modal').html(data);
                        $('#qr_code_modal').modal('show');
                    },
                    error: function (data) {
                        console.log('An error occurred.');
                    },
                });
            });
            $(document).on('click', '.view_asset_parts_qr', function(event) {
                event.preventDefault();
                id = $(this).attr('id');
                $.ajax({
                    type: "GET",
                    url: 'asset-vehicle-asset-qr/' + id + '?parts=1',
                    success: function(data){ 
                        $('#qr_code_modal').html(data);
                        $('#qr_code_modal').modal('show');
                    },
                    error: function (data) {
                        console.log('An error occurred.');
                    },
                });
            });

            var actionUrl = "<?php echo e(route('vendor-oem.oem-by-category')); ?>";
            var token = "<?php echo e(csrf_token()); ?>";
            updateVendorOemOption(actionUrl, token);
            updateTables();
            $('#vehicle_dealer_id').on('change', function() {
                updateTables();
            });
            $('#oem_id').on('change', function() {
                updateTables();
            });
            $('#city_id').on('change', function() {
                updateTables();
            });
            $('#district_id').on('change', function() {
                updateTables();
            });
            $('#state_id').on('change', function() {
                updateTables();
            });
            $('#zone_id').on('change', function() {
                updateTables();
            });
            $('#search').on('change', function() {
                updateTables();
            });
            $(document).on("click",".delete",function(e) {
                e.preventDefault();
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });
                var url = $(this).attr('data-url');
                // confirm then
                $.ajax({
                    url: url,
                    type: 'DELETE',
                    dataMode: 'json',
                    data: {
                      //  method: 'DELETE', 
                        submit: true,
                        "_token": "<?php echo e(csrf_token()); ?>"
                    }
                }).always(function (data) {
                    updateTables();
                });
            });
            
        });

        
        function updateTables() {
            $("#agax_datatable").DataTable().destroy();
            var table = $('#agax_datatable').DataTable( {
                serverSide: true,
                processing: true,
                searching:false,
                paging: true,
                "ajax": {
                    "url": "<?php echo e(route('asset.vehicle.tab-index')); ?>",
                    "type": "POST",
                    'data': {
                        "oem_id": $('#oem_id').val(),
                        "vehicle_dealer_id": $('#vehicle_dealer_id').val(),
                        "city_id": $('#city_id').val(),
                        "district_id": $('#district_id').val(),
                        "state_id": $('#state_id').val(),
                        "zone_id": $('#zone_id').val(),
                        "search": $('#search').val(),
                        "_token": "<?php echo e(csrf_token()); ?>"
                    }
                },
                dom: 'Blfrtip',
                "columns": [
                    { "data": "id" },
                    { "data": "product_id" },
                    { "data": "vehicle_name" },
                    { "data": "model_name" },
                    { "data": "registeration_number" },
                    { "data": "vin_number" },
                    { "data": "qr_code" },
                    { "data": "oem_id" },
                    { "data": "vehicle_dealer_id" },
                    { "data": "purchased_invoice_number" },
                    { "data": "purchased_date" },
                    { "data": "location_id" },
                    { "data": "parts" },
                    { "data": "service_plan" },
                    { "data": "insurance_plan" },
                    { "data": "created_at" },
                    { "data": "created_by" },
                    { "data": "updated_at" },
                    { "data": "updated_by" },
                    { "data": "action" },

                ],
                "buttons":[

                ],
            });
            //table.draw(); 
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\assets\vehicles\index.blade.php ENDPATH**/ ?>