

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('Edit OEM Model'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<!-- select2 css -->
<link href="<?php echo e(URL::asset('/assets/libs/select2/select2.min.css')); ?>" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.css')); ?>" rel="stylesheet" type="text/css" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<div class="row content-panel-header">
    <div class="col-sm-4 page-title-box">
        <h4 class="mb-sm-0 font-size-18">Edit OEM Model</h4>
    </div>
</div>

<div class="row">
    <div class="col-12">
        
    <form  class="needs-validation" id="property_type_form" action="<?php echo e(route('vehicleoemmodel.update', ['vehicleoemmodel' => $vendorOemmodel->id])); ?>" method="post" enctype="multipart/form-data" novalidate>
    <?php echo method_field('put'); ?>
    <?php echo csrf_field(); ?>
        <div class="card">
            <div class="card-body">
                <div class="card-title content-card-title"></div>
                <div class="row">
                    <label class="col-sm-2" for="property_type"></label>
                    <div class="mb-3 row">
                    <label for="zone_id" class="col-md-2 col-form-label">Category Of Product</label>
                    <div class="col-md-6">
                        <select name="asset_product_id" id="zone_id" class="form-select" required>
                                <option value='' >Select...</option>
                       

                                <?php $__currentLoopData = $assetTypeList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $businessModels): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($businessModels->id); ?>"   ><?php echo e($businessModels->product_type ?? null); ?>

                    </option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                        <div  id="zone_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                
                <div class="mb-3 row">
                    <label for="zone_id" class="col-md-2 col-form-label">Oem</label>
                    <div class="col-md-6">
                        <select name="vehicle_oem_id" id="zone_id" class="form-select" required>
                                <option value='' >Select...</option>
                                <?php $__currentLoopData = $vehicleOemList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vendorCategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($vendorCategory->id ??''); ?>" <?php echo e($vendorOemmodel->asssetproduct->asset_product_id == $businessModels->id ? 'selected' : ''); ?>><?php echo e($vendorCategory->Vehicle_OEM ?? ''); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                        </select>
                        <div  id="zone_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="state" class="col-md-2 col-form-label">Oem Model</label>
                    <div class="col-md-6">
                        <input id="state" name="vehicle_oem_model" type="text" class="form-control" value="<?php echo e($vendorOemmodel->vehicle_oem_model); ?>" placeholder="Vehicle_oem_model" required>
                        <div  id="state_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                

                </div>
            </div>
        </div>
        <div class="card btn-card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2 btn-sm-end">
                    <button type="submit" class="btn btn-primary waves-effect waves-light">Update</button>
                </div>
            </div>
        </div>
    </form>
    </div>
</div>
<!-- end row -->

<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!-- select 2 plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/select2/select2.min.js')); ?>"></script>

    <!-- dropzone plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/ecommerce-select2.init.js')); ?>"></script>
    <!--tinymce js-->
    <script src="<?php echo e(URL::asset('/assets/libs/tinymce/tinymce.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/form-editor.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js')); ?>"></script>

    <script src="<?php echo e(URL::asset('/assets/js/pages/form-validation.init.js')); ?>"></script>
    
    <script src="<?php echo e(URL::asset('/assets/js/custom.js')); ?>"></script>
    <script type="text/javascript">
    $(document).ready(function(){
      
    });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\master\vehicle_model\edit.blade.php ENDPATH**/ ?>