

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('translation.Add_Asset'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<!-- select2 css -->
<link href="<?php echo e(URL::asset('/assets/libs/select2/select2.min.css')); ?>" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.css')); ?>" rel="stylesheet" type="text/css" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<?php $__env->startComponent('components.breadcrumb'); ?>
<?php $__env->slot('li_1'); ?> Ecommerce <?php $__env->endSlot(); ?>
<?php $__env->slot('title'); ?> Add Asset <?php $__env->endSlot(); ?>
<?php echo $__env->renderComponent(); ?>

<div class="row">
    <div class="col-12">
        
    <form  class="needs-validation" id="email_template_form" action="<?php echo e(route('email-templates.post.update',$mailTemplate->id)); ?>" method="post" enctype="multipart/form-data" novalidate>
    <?php echo csrf_field(); ?>
        <div class="card">
            <div class="card-body">
                <h4 class="card-title">Basic Information</h4>
                <p class="card-title-desc">Fill all information below</p>
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="mb-3">
                                <label for="Title">Title</label>
                                <input id="title" name="title" type="text" class="form-control" placeholder="Title" value="<?php echo e($mailTemplate->title); ?>" required>
                                <div  id="title_errors"  class="invalid-feedback">
                                    Required
                                </div>
                            </div>
                            <div class="mb-3">
                                <label for="subject">Subject</label>
                                <input id="subject" name="subject" type="text" class="form-control" placeholder="Manufacturer Name"  value="<?php echo e($mailTemplate->subject); ?>" >
                            </div>
                        </div>

                        <div class="col-sm-6">
                            
                        <div class="mb-3">
                                <label for="template_key"> Template Key</label>
                                <input id="template_key" name="template_key" type="text" class="form-control" placeholder="Manufacturer Template Key" value="<?php echo e($mailTemplate->template_key); ?>"  disabled>
                            </div>
                            <div class="mb-3">
                                <label for="duration"></label>
                                <div class="form-check  <?php echo e($mailTemplate['status'] == 1 ? 'form-radio-success' : 'form-radio-primary'); ?>  mb-3 user-status-field" >
                                    <input type="radio"  class="form-check-input"  name="status"  value="1" <?php echo e($mailTemplate['status'] == 1 ? 'checked' : ''); ?> id="mail_status">
                                    <label class="form-check-label" for="mail_status">
                                        <?php echo e($mailTemplate['status'] == 1 ? 'Activated' : 'Activate'); ?>

                                    </label>
                                </div>
                            </div>
                        </div>
                    </div>

            </div>
        </div>

        <div class="card">
            <div class="card-body">
                <h4 class="card-title mb-3">Mail Content</h4>

                <textarea class="form-control" id="elm1" rows="5" name="mail_content" placeholder="Asset Description"> <?php echo e($mailTemplate->mail_content); ?> </textarea>
            </div>

        </div> <!-- end card-->

        <div class="d-flex flex-wrap gap-2">
            <button type="submit" class="btn btn-primary waves-effect waves-light">Save Changes</button>
            <a href="<?php echo e(route('email-templates.index')); ?>" class="btn btn-secondary waves-effect waves-light">Cancel</a>
        </div>
    </form>
    </div>
</div>
<!-- end row -->

<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!--tinymce js-->
    <script src="<?php echo e(URL::asset('/assets/libs/tinymce/tinymce.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/form-editor.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js')); ?>"></script>

    <script src="<?php echo e(URL::asset('/assets/js/pages/form-validation.init.js')); ?>"></script>
    <script type="text/javascript">
    $(document).ready(function(){
       
    });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\mail_templates\edit.blade.php ENDPATH**/ ?>