

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('translation.Customers'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    <!-- DataTables -->
    <link href="<?php echo e(URL::asset('/assets/libs/datatables/datatables.min.css')); ?>" rel="stylesheet" type="text/css" />
    <!-- <link href="https://cdn.datatables.net/searchpanes/2.1.0/css/searchPanes.bootstrap4.min.css" rel="stylesheet" type="text/css" />
    <link href="https://cdn.datatables.net/select/1.5.0/css/select.bootstrap4.min.css" rel="stylesheet" type="text/css" /> -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

    <?php $__env->startComponent('components.breadcrumb'); ?>
        <?php $__env->slot('li_1'); ?> Ecommerce <?php $__env->endSlot(); ?>
        <?php $__env->slot('title'); ?> Customers <?php $__env->endSlot(); ?>
    <?php echo $__env->renderComponent(); ?>

            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">Asset <?php echo e($asset->id); ?></div>
                    <div class="card-body">

                        <a href="<?php echo e(url('/admin/assets')); ?>" title="Back"><button class="btn btn-warning btn-sm"><i class="fa fa-arrow-left" aria-hidden="true"></i> Back</button></a>
                        <a href="<?php echo e(url('/admin/assets/' . $asset->id . '/edit')); ?>" title="Edit Asset"><button class="btn btn-primary btn-sm"><i class="fa fa-pencil-square-o" aria-hidden="true"></i> Edit</button></a>

                        <form method="POST" action="<?php echo e(url('admin/assets' . '/' . $asset->id)); ?>" accept-charset="UTF-8" style="display:inline">
                            <?php echo e(method_field('DELETE')); ?>

                            <?php echo e(csrf_field()); ?>

                            <button type="submit" class="btn btn-danger btn-sm" title="Delete Asset" onclick="return confirm(&quot;Confirm delete?&quot;)"><i class="fa fa-trash-o" aria-hidden="true"></i> Delete</button>
                        </form>
                        <br/>
                        <br/>

                        <div class="table-responsive">
                            <table class="table">
                                <tbody>
                                    <tr>
                                        <th>ID</th><td><?php echo e($asset->id); ?></td>
                                    </tr>
                                    <!--<tr><th> Vendor Id </th><td> <?php echo e($asset->vendor_id); ?> </td></tr><tr><th> Category Id </th><td> <?php echo e($asset->category_id); ?> </td></tr>-->
                                    <tr><th> Name </th><td> <?php echo e($asset->name); ?> </td></tr>
                                    <tr><th>Manufacturer Name </th><td> <?php echo e($asset->manufacturer_name); ?> </td></tr>
                                    <tr><th>Model Name </th><td> <?php echo e($asset->model_name); ?> </td></tr>
                                    <tr><th>Model Number </th><td> <?php echo e($asset->model_number); ?> </td></tr>
                                    <tr><th>Registered Name </th><td> <?php echo e($asset->registered_number); ?> </td></tr>
                                    <tr><th> Brand </th><td> <?php echo e($asset->brand); ?> </td></tr>
                                    <tr><th> Duration </th><td> <?php echo e($asset->duration); ?> </td></tr>
                                    <tr><th> Asset Type </th><td> <?php echo e($asset->asset_type); ?> </td></tr>
                                    <tr><th> Cost </th><td> <?php echo e($asset->cost); ?> </td></tr>
                                    <tr><th> Description </th><td> <?php echo e($asset->description); ?> </td></tr>
                                    <tr><th> Image </th><td><img src="<?php echo e($asset->image); ?>" /> </td></tr>
                                    <tr><th> Name </th><td> <?php echo e($asset->slug); ?> </td></tr>


                                </tbody>
                            </table>
                        </div>

                    </div>
                </div>
            </div>
    <!-- end row -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!-- Required datatable js -->
    <script src="<?php echo e(URL::asset('/assets/libs/datatables/datatables.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/jszip/jszip.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/pdfmake/pdfmake.min.js')); ?>"></script>
    <!-- Datatable init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/datatables.init.js')); ?>"></script>
    <!-- <script src="https://cdn.datatables.net/searchpanes/2.1.0/js/dataTables.searchPanes.min.js"></script>
    <script src="https://cdn.datatables.net/searchpanes/2.1.0/js/searchPanes.bootstrap4.min.js"></script>
    <script src="https://cdn.datatables.net/select/1.5.0/js/dataTables.select.min.js"></script> -->
    <script type="text/javascript">
        $(document).ready(function(){
            // var table = $('#datatable-assets').DataTable({
            //     searchPanes: true
            // });
            // table.searchPanes.container().prependTo(table.table().container());
            // table.searchPanes.resizePanes();
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\vendors\show.blade.php ENDPATH**/ ?>