

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('translation.Incidental Information'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<!-- select2 css -->
<link href="<?php echo e(URL::asset('/assets/libs/select2/select2.min.css')); ?>" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.css')); ?>" rel="stylesheet" type="text/css" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<?php $__env->startComponent('components.breadcrumb'); ?>
<?php $__env->slot('li_1'); ?> Incidental Information <?php $__env->endSlot(); ?>
<?php $__env->slot('title'); ?> Edit Incidental Information <?php $__env->endSlot(); ?>
<?php echo $__env->renderComponent(); ?>

<div class="row">
    <div class="col-12">
        
    <form  class="needs-validation" id="edit_form" action="<?php echo e(route('cms.incidental-info.update', ['incidental_info' => $incidentalInfo->id] )); ?>" method="post" enctype="multipart/form-data" novalidate>
    <?php echo method_field('put'); ?>
    <?php echo csrf_field(); ?>
    <input name="id" type="hidden"  value="<?php echo e($incidentalInfo->id); ?>" />
    
        <div class="card">
            <div class="card-body">
                <h5>IncidentalInfo Details</h5><br>
                <div class="mb-3 row">
                    <label for="incidental_name" class="col-md-2 col-form-label">Incidental Name</label>
                    <div class="col-md-6">
                        <input id="incidental_name" name="incidental_name" type="text" class="form-control" placeholder="IncidentalInfo Name" value="<?php echo e($incidentalInfo->incidental_name); ?>" required>
                        <div  id="incidental_name_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="incidental_title" class="col-md-2 col-form-label">Incidental Title</label>
                    <div class="col-md-6">
                        <input id="incidental_title" name="incidental_title" type="text" class="form-control" placeholder="Incidental  Title" value="<?php echo e($incidentalInfo->incidental_title); ?>" required>
                        <div  id="incidental_title_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="mobile_user" class="col-md-2 col-form-label">Mobile User</label>
                    <div class="col-md-6">
                        <select id="mobile_user" name="mobile_user" class="form-select">
                            <option value=''>Select...</option>
                            <option value="Customer App" <?php echo e($incidentalInfo->mobile_user == 'Customer App' ? 'selected' : ''); ?>>Customer App</option>
                            <option value="Angel Driver" <?php echo e($incidentalInfo->mobile_user == 'Angel Driver' ? 'selected' : ''); ?>>Angel Driver</option>
                            <option value="OPS Angel" <?php echo e($incidentalInfo->mobile_user == 'OPS Angel' ? 'selected' : ''); ?>>OPS Angel</option>
                        </select>
                        <div  id="mobile_user_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <h5>IncidentalInfo Program Details</h5><br>
                <div class="mb-3 row">
                    <label for="image" class="col-md-2 col-form-label">Image</label>
                    <div class="col-md-6">
                        <?php if($incidentalInfo->image): ?>
                            <div  class="mb-3 row">
                                <img src="<?php echo e($incidentalInfo->image); ?>" style="width: 150px;" />
                            </div>
                        <?php endif; ?>
                        <input id="image" name="image" type="file" class="form-control"  />
                        <small>Choose an image from the computer</small>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="link_page" class="col-md-2 col-form-label">Linking Page</label>
                    <div class="col-md-6">
                        <input id="link_page" name="link_page" type="text" class="form-control" placeholder="Linking Page" value="<?php echo e($incidentalInfo->link_page); ?>" />
                        <small>Add/Type the URL which will open when the image is clicked on mobile APP</small>
                    </div>
                </div>
            </div>
        </div>
        
        <div class="card">
            <div class="card-body">
                <h5>Applicable Location</h5><br>
                <div class="mb-3 row">
                    <div class="col-md-2">
                        <input class="form-check-input location" type="radio" name="location" id="location1" value="All Locations"  <?php echo e($incidentalInfo->location == 'All Locations' ? 'checked' : ''); ?> />
                        <label class="form-check-label" for="location1">
                        All Locations
                        </label>
                    </div>
                    <div class="col-md-6">
                        <input class="form-check-input location" type="radio" name="location" id="location2"  value="Selected Location"  <?php echo e($incidentalInfo->location == 'Selected Location' ? 'checked' : ''); ?>  />
                        <label class="form-check-label" for="location2">
                            Selected Location
                        </label>
                    </div>
                </div>
                <div class="location-field"  style=" <?php echo e($incidentalInfo->location == 'All Locations' ? 'display:none;' : ''); ?>">
                    <div class="repeater" enctype="multipart/form-data">
                        <div data-repeater-list="location-field-list">
                            <?php if(isset($incidentalInfo->incidentalInfoLocation[0])): ?>
                            <?php $__currentLoopData = $incidentalInfo->incidentalInfoLocation; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $incidentalInfoLocation): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                            <div data-repeater-item class="row location-fields">
                                <div class="mb-3 row">
                                    <label for="city_id" class="col-md-2 col-form-label">City</label>
                                    <div class="col-md-6">
                                        <select id="city_id" name="city_id" class="location_city_id form-control" required>
                                            <option value=''>Select...</option>
                                            <?php $__currentLoopData = $cities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $city): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($city->id); ?>"  <?php echo e(((isset($incidentalInfoLocation->city_id)) ? ($incidentalInfoLocation->city_id == $city->id ) ? 'selected' : '' : '')); ?> ><?php echo e($city->city); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                        </select>
                                        <div  id="city_id_errors"  class="invalid-feedback">
                                            Required
                                        </div>
                                    </div>
                                </div>
                                <div class="mb-3 row loaction_district_field">
                                    <label for="district_id" class="col-md-2 col-form-label">District</label>
                                    <div class="col-md-6 loaction_district_field_div ">
                                        <select id="district_id" name="district_id" class="loaction_district_id form-control" required>
                                            <option value=''>Select...</option>
                                            <?php $__currentLoopData = $districts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $district): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($district->id); ?>"  <?php echo e(((isset($incidentalInfoLocation->district_id)) ? ($incidentalInfoLocation->district_id == $district->id ) ? 'selected' : '' : '')); ?> ><?php echo e($district->district); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                        </select>
                                        <div  id="district_id_errors"  class="invalid-feedback">
                                            Required
                                        </div>
                                    </div>
                                </div>
                                <div class="mb-3 row loaction_state_field">
                                    <label for="state_id" class="col-md-2 col-form-label">State</label>
                                    <div class="col-md-6 loaction_state_field_div ">
                                        <select name="state_id" class="loaction_state_id form-control" required>
                                            <option value=''>Select...</option>
                                            <?php $__currentLoopData = $states; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $state): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($state->id); ?>"  <?php echo e(((isset($incidentalInfoLocation->state_id)) ? ($incidentalInfoLocation->state_id == $state->id ) ? 'selected' : '' : '')); ?> ><?php echo e($state->state); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                        </select>
                                        <div  id="state_id_errors"  class="invalid-feedback">
                                            Required
                                        </div>
                                    </div>
                                </div>
                                <div class="mb-3 row loaction_zone_field">
                                    <label for="zone_id" class="col-md-2 col-form-label">Zone</label>
                                    <div class="col-md-6 loaction_zone_field_div">
                                        <select id="zone_id" name="zone_id" class="loaction_zone_id form-control" required>
                                            <option value=''>Select...</option>
                                            <?php $__currentLoopData = $zones; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $zone): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($zone->id); ?>"  <?php echo e(((isset($incidentalInfoLocation->zone_id)) ? ($incidentalInfoLocation->zone_id == $zone->id ) ? 'selected' : '' : '')); ?> ><?php echo e($zone->zone); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                        </select>
                                        <div  id="zone_id_errors"  class="invalid-feedback">
                                            Required
                                        </div>
                                    </div>
                                    <div class="col-md-2">
                                        <div class="d-grid">
                                            <input data-repeater-delete type="button" class="btn btn-primary-borderd" value="Delete" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php else: ?>                            
                                <div data-repeater-item class="row location-fields">
                                    <div class="mb-3 row">
                                        <label for="city_id" class="col-md-2 col-form-label">City</label>
                                        <div class="col-md-6">
                                            <select id="city_id" name="city_id" class="location_city_id form-control" required>
                                                <option value=''>Select...</option>
                                                <?php $__currentLoopData = $cities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $city): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($city->id); ?>"><?php echo e($city->city); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                            </select>
                                            <div  id="city_id_errors"  class="invalid-feedback">
                                                Required
                                            </div>
                                        </div>
                                    </div>
                                    <div class="mb-3 row loaction_district_field">
                                        <label for="district_id" class="col-md-2 col-form-label">District</label>
                                        <div class="col-md-6 loaction_district_field_div ">
                                            <select id="district_id" name="district_id" class="loaction_district_id form-control" required>
                                                <option value=''>Select...</option>
                                            </select>
                                            <div  id="district_id_errors"  class="invalid-feedback">
                                                Required
                                            </div>
                                        </div>
                                    </div>
                                    <div class="mb-3 row loaction_state_field">
                                        <label for="state_id" class="col-md-2 col-form-label">State</label>
                                        <div class="col-md-6 loaction_state_field_div ">
                                            <select name="state_id" class="loaction_state_id form-control" required>
                                                <option value=''>Select...</option>
                                            </select>
                                            <div  id="state_id_errors"  class="invalid-feedback">
                                                Required
                                            </div>
                                        </div>
                                    </div>
                                    <div class="mb-3 row loaction_zone_field">
                                        <label for="zone_id" class="col-md-2 col-form-label">Zone</label>
                                        <div class="col-md-6 loaction_zone_field_div">
                                            <select id="zone_id" name="zone_id" class="loaction_zone_id form-control" required>
                                                <option value=''>Select...</option>
                                            </select>
                                            <div  id="zone_id_errors"  class="invalid-feedback">
                                                Required
                                            </div>
                                        </div>
                                        <div class="col-md-2">
                                            <div class="d-grid">
                                                <input data-repeater-delete type="button" class="btn btn-primary-borderd" value="Delete" />
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            <?php endif; ?>
                        </div>
                        <input data-repeater-create type="button" class="btn btn-success mt-3 mt-lg-0" value="Add" />
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2">
                    <button type="submit" class="btn btn-primary waves-effect waves-light">Save Changes</button>
                </div>
            </div>
        </div>
   </form>
    </div>
</div>
<!-- end row -->

<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!-- select 2 plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/select2/select2.min.js')); ?>"></script>

    <!-- dropzone plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/ecommerce-select2.init.js')); ?>"></script>
    <!--tinymce js-->
    <script src="<?php echo e(URL::asset('/assets/libs/tinymce/tinymce.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/form-editor.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js')); ?>"></script>

    <script src="<?php echo e(URL::asset('/assets/js/pages/form-validation.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/jquery-repeater/jquery-repeater.min.js')); ?>"></script>

    <script src="<?php echo e(URL::asset('/assets/js/pages/form-repeater.int.js')); ?>"></script>
    <script type="text/javascript">
     
     function updateStateOptions(ele, locationDiv){
        let city_id = ele.val();
        let loaction_state_field = locationDiv.children('.loaction_state_field');
        let loaction_state_field_div = loaction_state_field.children('.loaction_state_field_div');
        let sel = loaction_state_field_div.children('.loaction_state_id');
        let states = [];
        actionUrl = "<?php echo e(route('city')); ?>";
        $.ajax({
            type: "POSt",
            url: actionUrl,
            data: {
                "city_id":city_id,
                "with":'state',
                "_token": "<?php echo e(csrf_token()); ?>"
            },
            success: function(data){ 
                if(data['data']){
                    sel.find('option').remove().end();
                    sel.append('<option value="">Select...</option>');
                    sel.append('<option value="'+ data['data'].id +'"selected>'+ data['data'].state +'</option>');
                }
            },
            error: function (data) {
                console.log(actionUrl+' Failes.');
            },
        });
    }
    function updateDistrictOptions(ele, locationDiv){
        let city_id = ele.val();
        let loaction_district_field = locationDiv.children('.loaction_district_field');
        let loaction_district_field_div = loaction_district_field.children('.loaction_district_field_div');
        let sel = loaction_district_field_div.children('.loaction_district_id ');
        let districs = [];
        actionUrl = "<?php echo e(route('city')); ?>";
        $.ajax({
            type: "POSt",
            url: actionUrl,
            data: {
                "city_id":city_id,
                "with":'district',
                "_token": "<?php echo e(csrf_token()); ?>"
            },
            success: function(data){ 
                if(data['data']){
                    sel.find('option').remove().end();
                // sel.append('<option value="">Select...</option>');
                    sel.append('<option value="'+ data['data'].id +'" selected>'+ data['data'].district +'</option>');
                }
            },
            error: function (data) {
                console.log(actionUrl+' Failes.');
            },
        });
    }
    function updateZoneOptions(ele, locationDiv){
        let city_id = ele.val();
        let loaction_zone_field = locationDiv.children('.loaction_zone_field');
        let loaction_zone_field_div = loaction_zone_field.children('.loaction_zone_field_div');
        let sel = loaction_zone_field_div.children('.loaction_zone_id');
        let zones = [];
        actionUrl = "<?php echo e(route('city')); ?>";
        $.ajax({
            type: "POSt",
            url: actionUrl,
            data: {
                "city_id":city_id,
                "with":'zone',
                "_token": "<?php echo e(csrf_token()); ?>"
            },
            success: function(data){ 
                if(data['data']){
                    sel.find('option').remove().end();
                // sel.append('<option value="">Select...</option>');
                    sel.append('<option value="'+ data['data'].id +'" selected>'+ data['data'].zone +'</option>');
                }
            },
            error: function (data) {
                console.log(actionUrl+' Failes.');
            },
        });
    }
    $(document).ready(function(){
        
        $(document).on("change", ".location", function(){
            conditionField = $(".location-field");
            if($(this).val() == 'Selected Location'){
                conditionField.show();
            }else{
                conditionField.hide();
            }
        }).trigger('change');

        $(document).on('change', '.location_city_id', function() {
            ele = $(this);
            alert(ele.val());
            let total = $('.location-fields').length;
            console.log(total);
            $(".location-fields").each(function(index) {
                console.log(index);
                if (index === total - 1) {
                    //ele = $(this);
                    updateStateOptions(ele, $(this));
                    updateDistrictOptions(ele, $(this));
                    updateZoneOptions(ele, $(this));
                }
            });
        }).trigger('change');
        
        $( "#edit_form" ).submit(function( event ) {
            event.preventDefault();
            actionUrl = "<?php echo e(route('cms.incidental-info.validate')); ?>";
            form = $( "#edit_form" );
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: form.serialize(), // serializes the form's elements.
                success: function(data){ 
                    $('.needs-validation').addClass('validated');
                    form.unbind().submit(); 
                },
                error: function (data) {
                    console.log('An error occurred.');
                    response = data.responseJSON;
                    if(response.mode == false){
                        $.each(response.errors, function(i, item) {
                             $('#'+i+'_errors').html(response.errors[i]); 
                            $('#'+i+'_errors').css('display', 'block');
                        });
                    }
                },
            });
        });
    });
    
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\cms\incidental_info\edit.blade.php ENDPATH**/ ?>