

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('Vendor Add Battery'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<!-- select2 css -->
<link href="<?php echo e(URL::asset('/assets/libs/select2/select2.min.css')); ?>" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.css')); ?>" rel="stylesheet" type="text/css" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<?php $__env->startComponent('components.breadcrumb'); ?>
<?php $__env->slot('li_1'); ?> Battery <?php $__env->endSlot(); ?>
<?php $__env->slot('title'); ?> Add Battery <?php $__env->endSlot(); ?>
<?php echo $__env->renderComponent(); ?>

<div class="row">
    <div class="col-12">
        
    <form  class="needs-validation" id="create_form" action="<?php echo e(route('battery.store')); ?>" method="post" enctype="multipart/form-data" novalidate>
    <?php echo csrf_field(); ?>
        <div class="card">
            <div class="card-body">
                <h5>Battery Dealers</h5><br>
                <div class="mb-3 row">
                    <label for="oem_id" class="col-md-2 col-form-label">Battery OEM</label>
                    <div class="col-md-6">
                        <select id="" name="oem_id" class="form-control" required>

                        <?php $__currentLoopData = $vehicleList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vendorCategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($vendorCategory->id); ?>"><?php echo e($vendorCategory->	Vehicle_OEM); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>                       </select>
                        <div  id="oem_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="battery" class="col-md-2 col-form-label">Name the Battery Dealer</label>
                    <div class="col-md-6">
                        <input id="category_id" name="category_id" type="hidden"  value="2">
                        <input id="battery_dealer" name="battery_dealer" type="text" class="form-control" placeholder="Name the Battery Dealer" required>
                        <div  id="battery_dealer_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <h5>Contact Details</h5><br>
                <div class="mb-3 row">
                    <label for="phone_number" class="col-md-2 col-form-label">Phone Number</label>
                    <div class="col-md-6">
                        <input id="phone_number" name="phone_number" type="text" class="form-control" placeholder="Phone Number" />
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="email" class="col-md-2 col-form-label">Email Id</label>
                    <div class="col-md-6">
                        <input id="email" name="email" type="text" class="form-control" placeholder="Email Id" />
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="address" class="col-md-2 col-form-label">Address</label>
                    <div class="col-md-6">
                        <input id="address" name="address" type="text" class="form-control" placeholder="Address" />
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="postal_code" class="col-md-2 col-form-label">Pin Code</label>
                    <div class="col-md-6">
                        <input id="postal_code" name="postal_code" type="text" class="form-control" placeholder="Pin Code" />
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="city_id" class="col-md-2 col-form-label">City</label>
                    <div class="col-md-6">
                        <select id="city_id" name="city_id" class="form-control" required>
                            <option value=''>Select...</option>
                            <?php $__currentLoopData = $cities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $city): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($city->id); ?>"><?php echo e($city->city); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                        </select>
                        <div  id="city_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="district_id" class="col-md-2 col-form-label">District</label>
                    <div class="col-md-6">
                        <select id="district_id" name="district_id" class="form-control" required>
                            <option value=''>Select...</option>
                        </select> 
                        <div  id="district_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="state_id" class="col-md-2 col-form-label">State</label>
                    <div class="col-md-6">
                        <select id="state_id" name="state_id" class="form-control" required>
                            <option value=''>Select...</option>
                        </select>
                        <div  id="state_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="zone_id" class="col-md-2 col-form-label">Zone</label>
                    <div class="col-md-6">
                        <select id="zone_id" name="zone_id" class="form-control" required>
                            <option value=''>Select...</option>
                        </select>
                        <div  id="zone_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
        <div class="card btn-card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2 btn-sm-end">
                    <button type="submit" class="btn btn-primary waves-effect waves-light">Create</button>
                </div>
            </div>
        </div>
    </form>
    </div>
</div>
<!-- end row -->

<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!-- select 2 plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/select2/select2.min.js')); ?>"></script>

    <!-- dropzone plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/ecommerce-select2.init.js')); ?>"></script>
    <!--tinymce js-->
    <script src="<?php echo e(URL::asset('/assets/libs/tinymce/tinymce.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/form-editor.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js')); ?>"></script>

    <script src="<?php echo e(URL::asset('/assets/js/pages/form-validation.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/js/custom.js')); ?>"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        
        
        var actionUrl = "<?php echo e(route('vendor-oem.oem-by-category')); ?>";
        var token = "<?php echo e(csrf_token()); ?>";
        updateVendorOemOption(actionUrl, token);
        $('#city_id').on('change', function() {
            actionUrl = "<?php echo e(route('city')); ?>";
            updateStateOptions(actionUrl, token);
            updateDistrictOptions(actionUrl, token);
            updateZoneOptions(actionUrl, token);
        });
        $( "#create_form" ).submit(function( event ) {
            event.preventDefault();
            actionUrl = "<?php echo e(route('vendor.battery.validate')); ?>";
            form = $( "#create_form" );
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: form.serialize(), // serializes the form's elements.
                success: function(data){ 
                    $('.needs-validation').addClass('validated');
                    form.unbind().submit(); 
                },
                error: function (data) {
                    console.log('An error occurred.');
                    response = data.responseJSON;
                    if(response.mode == false){
                        $.each(response.errors, function(i, item) {
                             $('#'+i+'_errors').html(response.errors[i]); 
                            $('#'+i+'_errors').css('display', 'block');
                        });
                    }
                },
            });
        });
    });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\vendors\battery\create.blade.php ENDPATH**/ ?>