

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('Email Notification'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    <!-- DataTables -->
    <link href="<?php echo e(URL::asset('/assets/libs/datatables/datatables.min.css')); ?>" rel="stylesheet" type="text/css" />
    <!-- <link href="https://cdn.datatables.net/searchpanes/2.1.0/css/searchPanes.bootstrap4.min.css" rel="stylesheet" type="text/css" />
    <link href="https://cdn.datatables.net/select/1.5.0/css/select.bootstrap4.min.css" rel="stylesheet" type="text/css" /> -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

    <?php $__env->startComponent('components.breadcrumb'); ?>
        <?php $__env->slot('li_1'); ?> Notification <?php $__env->endSlot(); ?>
        <?php $__env->slot('title'); ?> Email Notification <?php $__env->endSlot(); ?>
    <?php echo $__env->renderComponent(); ?>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                        <div class="col-sm-4">
                            <div class="search-box me-2 mb-2 d-inline-block">
                            </div>
                        </div>
                        <div class="col-sm-8">
                            <div class="text-sm-end">
                                <a href="<?php echo e(route('email-templates.create')); ?>" class="btn btn-success btn-rounded waves-effect waves-light mb-2 me-2"><i class="mdi mdi-plus me-1"></i> New Notification</a>
                            </div>
                        </div><!-- end col-->
                    </div>

                    <?php $i = 0 ?>
                    <div class="table-responsive">
                        <table id="datatable-buttons" class="table align-middle table-nowrap">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Title</th>
                                    <th>Subject</th>
                                    <th>Template Key</th>
                                    <th> Created At</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                            <?php if($mailTemplates): ?>
                                <?php $__currentLoopData = $mailTemplates; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mailTemplate): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e(++$i); ?></td>
                                        <td><?php echo e($mailTemplate->title); ?></td>
                                        <td><?php echo e($mailTemplate->subject); ?></td>
                                        <td><?php echo e($mailTemplate->template_key); ?></td>
                                        <td><?php echo e(date($settings['timestamp_format'], strtotime($mailTemplate->created_at))); ?></td>
                                        <td>
                                            <div class="dropdown">
                                                <a href="#" class="dropdown-toggle card-drop" data-bs-toggle="dropdown"
                                                    aria-expanded="false">
                                                    <i class="mdi mdi-dots-horizontal font-size-18"></i>
                                                </a>
                                                <ul class="dropdown-menu dropdown-menu-end">
                                                    <li><a href="<?php echo e(route('email-templates.edit', ['email_template' => $mailTemplate->id])); ?>" class="dropdown-item"><i
                                                                class="mdi mdi-pencil font-size-16 text-success me-1"></i>
                                                            Edit</a></li>
                                                    <li><a href="<?php echo e(route('email-templates.show', ['email_template' => $mailTemplate->id])); ?>" class="dropdown-item"><i
                                                                class="mdi mdi-eye font-size-16 text-danger me-1"></i>
                                                            View</a></li>
                                                    <li><a href="<?php echo e(url('edit/'. $mailTemplate->id)); ?>" class="dropdown-item"><i
                                                                class="mdi mdi-trash-can font-size-16 text-danger me-1"></i>
                                                            Delete</a></li>
                                                            
                                                </ul>
                                            </div>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                            </tbody>
                        </table>
                    </div>
                    
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!-- Required datatable js -->
    <script src="<?php echo e(URL::asset('/assets/libs/datatables/datatables.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/jszip/jszip.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/pdfmake/pdfmake.min.js')); ?>"></script>
    <!-- Datatable init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/datatables.init.js')); ?>"></script>
    <!-- <script src="https://cdn.datatables.net/searchpanes/2.1.0/js/dataTables.searchPanes.min.js"></script>
    <script src="https://cdn.datatables.net/searchpanes/2.1.0/js/searchPanes.bootstrap4.min.js"></script>
    <script src="https://cdn.datatables.net/select/1.5.0/js/dataTables.select.min.js"></script> -->
    <script type="text/javascript">
        $(document).ready(function(){
            // var table = $('#datatable-assets').DataTable({
            //     searchPanes: true
            // });
            // table.searchPanes.container().prependTo(table.table().container());
            // table.searchPanes.resizePanes();
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\mail_templates\index.blade.php ENDPATH**/ ?>