

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('translation.Menu'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<!-- select2 css -->
<link href="<?php echo e(URL::asset('/assets/libs/select2/select2.min.css')); ?>" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.css')); ?>" rel="stylesheet" type="text/css" />

<link href="<?php echo e(URL::asset('/assets/libs/spectrum-colorpicker/spectrum-colorpicker.min.css')); ?>" rel="stylesheet" type="text/css">

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<?php $__env->startComponent('components.breadcrumb'); ?>
<?php $__env->slot('li_1'); ?> Menu <?php $__env->endSlot(); ?>
<?php $__env->slot('title'); ?> Add Menu <?php $__env->endSlot(); ?>
<?php echo $__env->renderComponent(); ?>

<div class="row">
    <div class="col-12">
        
    <form  class="needs-validation" id="create_form" action="<?php echo e(route('cms.menu.store')); ?>" method="post" enctype="multipart/form-data" novalidate>
    <?php echo csrf_field(); ?>
        <div class="card">
            <div class="card-body">
                <h5>Menu Details</h5><br>
                <div class="mb-3 row">
                    <label for="title" class="col-md-2 col-form-label">Menu Title</label>
                    <div class="col-md-6">
                        <input id="title" name="title" type="text" class="form-control" placeholder="Menu Title" required>
                        <div  id="title_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="title_color" class="col-md-2 col-form-label">Menu Title Color</label>
                    <div class="col-md-6">
                        <input type="text" name="title_color" class="colorpicker-showinput-intial form-control" id="title_color" />
                        <div  id="title_color_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="mobile_user" class="col-md-2 col-form-label">Mobile User</label>
                    <div class="col-md-6">
                        <select id="mobile_user" name="mobile_user" class="form-select">
                            <option value=''>Select...</option>
                            <option value="Customer App">Customer App</option>
                            <option value="Angel Driver">Angel Driver</option>
                            <option value="OPS Angel">OPS Angel</option>
                        </select>
                        <div  id="mobile_user_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div> 
                
        
                
                <div class="mb-3 row" id="business_category_id" style="display:none"> 
                    <label for="business_model_id" class="col-md-2 col-form-label">Business Category<span class="req-sym">*</span></label>
                    <div class="col-md-6">
                        <select id="businesscategory" name="business_category_id" class="form-select" required>
                            <option value=''>Select...</option>
                            <?php $__currentLoopData = $businessCategoryList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $businessModels): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($businessModels->id); ?>" ><?php echo e($businessModels->business_category ?? null); ?></option>

                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                        <div  id="business_model_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
              

                <div class="mb-3 row" id="business_model_id" style="display:none"> 
                    <label for="business_model_id" class="col-md-2 col-form-label">Business Model<span class="req-sym">*</span></label>
                    <div class="col-md-6">
                        <select  name="business_model_id" class="form-select" required>
                            <option value=''>Select...</option>

                        </select>
                        <div  id="business_model_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
            
                <div class="mb-3 row">
                    <label for="have_suffix_title" class="col-md-2 col-form-label">Have Suffix</label>
                    
                    <div class="col-md-6  inline-flex-radio">
                        <div class="form-check mb-3">
                            <input class="form-check-input" type="radio" name="have_suffix_title" id="have_suffix_title1" value="Yes">
                            <label class="form-check-label" for="have_suffix_title1">
                                Yes
                            </label>
                        </div>

                        <div class="form-check mb-3">
                            <input class="form-check-input" type="radio" name="have_suffix_title" id="have_suffix_title2" value="No">
                            <label class="form-check-label" for="have_suffix_title2">
                                No
                            </label>
                        </div>
                        <div  id="have_suffix_title_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row have_suffix_field">
                    <label for="suffix_title" class="col-md-2 col-form-label">Suffix Title</label>
                    <div class="col-md-6">
                        <input id="suffix_title" name="suffix_title" type="text" class="form-control" placeholder="Suffix Title" />
                        <div  id="suffix_title_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row have_suffix_field">
                    <label for="suffix_title_color" class="col-md-2 col-form-label">Menu Title Color</label>
                    <div class="col-md-6">
                        <input type="text" name="suffix_title_color" class="colorpicker-showinput-intial form-control" id="suffix_title_color" />
                        <div  id="suffix_title_color_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="redirect_url" class="col-md-2 col-form-label">Redirect URL</label>
                    <div class="col-md-6">
                        <input id="redirect_url" name="redirect_url" type="text" class="form-control" placeholder="Redirect URL" />
                        <div  id="redirect_url_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="redirect_type" class="col-md-2 col-form-label">Redirect Type</label>
                    <div class="col-md-6">
                        <input id="redirect_type" name="redirect_type" type="text" class="form-control" placeholder="Redirect Type" />
                        <div  id="redirect_type_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="priority" class="col-md-2 col-form-label">Priority</label>
                    <div class="col-md-6">
                        <select id="priority" name="priority" class="form-select" required>
                            <option value=''>Select...</option>
                        </select>
                        <div  id="priority_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2">
                    <button type="submit" class="btn btn-primary waves-effect waves-light">Save Changes</button>
                </div>
            </div>
        </div>
    </form>
    </div>
</div>
<!-- end row -->

<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!-- select 2 plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/select2/select2.min.js')); ?>"></script>

    <!-- dropzone plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/ecommerce-select2.init.js')); ?>"></script>
    <!--tinymce js-->
    <script src="<?php echo e(URL::asset('/assets/libs/tinymce/tinymce.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/form-editor.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js')); ?>"></script>

    <script src="<?php echo e(URL::asset('/assets/js/pages/form-validation.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/spectrum-colorpicker/spectrum-colorpicker.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/js/custom.js')); ?>"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        
        $(".colorpicker-showinput-intial").spectrum({
        showInitial: true,
        showInput: true
        });
        $('.have_suffix_field').hide();

        $('input[type=radio][name=have_suffix_title]').change(function() {
            if (this.value == 'Yes') {
                $('.have_suffix_field').show();
            }else{
                $('.have_suffix_field').hide();

            }
        });

        
        $( "#create_form" ).submit(function( event ) {
            event.preventDefault();
            actionUrl = "<?php echo e(route('cms.menu.validate')); ?>";
            form = $( "#create_form" );
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: form.serialize(), // serializes the form's elements.
                success: function(data){ 
                    $('.needs-validation').addClass('validated');
                    form.unbind().submit(); 
                },
                error: function (data) {
                    console.log('An error occurred.');
                    response = data.responseJSON;
                    if(response.mode == false){
                        $.each(response.errors, function(i, item) {
                             $('#'+i+'_errors').html(response.errors[i]); 
                            $('#'+i+'_errors').css('display', 'block');
                        });
                    }
                },
            });
        });
        priorityListOption($('#priority'), true);
    });
    function priorityListOption(sel, newField){
        console.log(sel);
        actionUrl = "<?php echo e(route('cms-menu-priority-list')); ?>";
        $.ajax({
            type: "get",
            url: actionUrl,
            success: function(data){ 
                if(data['data']){
                    if(newField == true){
                        sel.find('option').remove().end();
                        sel.append('<option value="">Select...</option>');                        
                    }
                    $.each(data['data'], function(index, item) {
                        selected ='';
                        if(item != ''){
                            sel.append('<option value="'+ item +'">'+ item +'</option>');
                        }
                    });
                }
            },
            error: function (data) {
                console.log(actionUrl+' Failes.');
            },
        });
    }


    $('#businesscategory').change(function () {

var id = $(this).val();
var _token = '<?php echo csrf_token(); ?>';
var token = "<?php echo e(csrf_token()); ?>";
// alert(id);
$.ajax({
    method: "POST",
    data: {id: id, _token: _token},
    url: "<?php echo e(route('businessmodelwise')); ?>",
    success: function(products) {
         let text = '<option value="">Select Business Model</option>';
        for (let i = 0; i < products.length; i++) {
            text += '<option value="' + products[i].business_model + '">' + products[i].business_model +'</option>';
        }
        $("[name=business_model_id]").html(text);

    }
 
});
});

$('#businesscategory').change(function () {

var id = $(this).val();
var _token = '<?php echo csrf_token(); ?>';
var token = "<?php echo e(csrf_token()); ?>";
// alert(id);
$.ajax({
    method: "POST",
    data: {id: id, _token: _token},
    url: "<?php echo e(route('businessmodelmenuwise')); ?>",
    success: function(products) {
         let text = '<option value="">Select Business Model</option>';
        for (let i = 0; i < products.length; i++) {
            text += '<option value="' + products[i].business_model + '">' + products[i].business_model +'</option>';
        }
        $("[name=business_model_id]").html(text);

    }
 
});
});


          
$('#mobile_user').change(function () {
            var id = $(this).val();
           if(id == 'Customer App')
            {
                $('#business_category_id').show();
                $('#business_model_id').show();
               
            }
            else{
                $('#business_model_id').hide();
                $('#business_category_id').hide();
            }
            
        });
        
     
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\cms\menu\create.blade.php ENDPATH**/ ?>