

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('translation.Terms & Condition'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<!-- select2 css -->
<link href="<?php echo e(URL::asset('/assets/libs/select2/select2.min.css')); ?>" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.css')); ?>" rel="stylesheet" type="text/css" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>


<div class="row content-panel-header">
    <div class="col-sm-4 page-title-box">
        <h4 class="mb-sm-0 font-size-18">Walkaround Checklist</h4>
    </div>
</div>

<div class="row">
    <div class="col-12">
        
    <form  class="needs-validation" id="create_form" action="<?php echo e(route('cms.walkaround-checklist.store')); ?>" method="post" enctype="multipart/form-data" novalidate>
    <?php echo csrf_field(); ?>
        <div class="card">
            <div class="card-body">
                <h5>Create Walkaround Checklist Details</h5><br>
                <div class="mb-3 row">
                    <label for="product_type_id" class="col-md-2 col-form-label">Product Type<span class="required-sym">*</span></label>
                    <div class="col-md-6">
                        <select name="product_type_id" id="product_type_id" class="form-control select2" required>
                            <option value=''>Select</option>
                            <?php $__currentLoopData = $productTypeList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $productType): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($productType->id); ?>"><?php echo e($productType->product_type); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                        </select>
                        <div  id="product_type_id_errors"  class="invalid-feedback">
                            Product Type Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="product_model" class="col-md-2 col-form-label">Product Model<span class="required-sym">*</span></label>
                    <div class="col-md-6">
                        <select name="product_model" id="product_model" class="form-control select2" required>
                            <option value=''>Select</option>
                            <?php $__currentLoopData = $assetList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $asset): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($asset->model_name); ?>"><?php echo e($asset->model_name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                        </select>
                        <div  id="product_model_errors"  class="invalid-feedback">
                            Product Model Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="subscription_plan_id" class="col-md-2 col-form-label">Subscription Policy<span class="required-sym">*</span></label>
                    <div class="col-md-6">
                        <select name="subscription_plan_id" id="subscription_plan_id" class="form-control select2" required>
                            <option value=''>Select</option>
                            <?php $__currentLoopData = $subscriptionPolicyList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subscriptionPolicy): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($subscriptionPolicy->id); ?>"><?php echo e($subscriptionPolicy->plan_name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                        </select>
                        <div  id="subscription_plan_id_errors"  class="invalid-feedback">
                        Subscription Policy * Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="mobile_user" class="col-md-2 col-form-label">Mobile User<span class="required-sym">*</span></label>
                    <div class="col-md-6">
                        <select id="mobile_user" name="mobile_user" class="form-select" required>
                            <option value=''>Select...</option>
                            <option value="Customer App">Customer App</option>
                            <option value="Angel Driver">Angel Driver</option>
                            <option value="OPS Angel">OPS Angel</option>
                        </select>
                        <div  id="mobile_user_errors"  class="invalid-feedback">
                            Mobile User Required
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card btn-card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2 btn-sm-end">
                    <button type="submit" class="btn btn-primary waves-effect waves-light">Save & Continue</button>
                </div>
            </div>
        </div>
    </form>
    </div>
</div>
<!-- end row -->

<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!-- select 2 plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/select2/select2.min.js')); ?>"></script>

    <!-- dropzone plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/ecommerce-select2.init.js')); ?>"></script>
    <!--tinymce js-->
    <script src="<?php echo e(URL::asset('/assets/libs/tinymce/tinymce.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/form-editor.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js')); ?>"></script>

    <script src="<?php echo e(URL::asset('/assets/js/pages/form-validation.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/js/custom.js')); ?>"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        $('.html-link').hide();
        $('.pdf-doc').hide();

        $('input[type=radio][name=publish]').change(function() {
            if (this.value == 'Document') {
                $('.pdf-doc').show();
                $('.html-link').hide();
            }else if (this.value == 'HTML') {
                $('.pdf-doc').hide();
                $('.html-link').show();
            }
        });
        $( "#create_form" ).submit(function( event ) {
            event.preventDefault();
            actionUrl = "<?php echo e(route('cms.walkaround-checklist.validate')); ?>";
            form = $( "#create_form" );
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: form.serialize(), // serializes the form's elements.
                success: function(data){ 
                    $('.needs-validation').addClass('validated');
                    form.unbind().submit(); 
                },
                error: function (data) {
                    console.log('An error occurred.');
                    response = data.responseJSON;
                    if(response.mode == false){
                        $.each(response.errors, function(i, item) {
                             $('#'+i+'_errors').html(response.errors[i]); 
                            $('#'+i+'_errors').css('display', 'block');
                        });
                    }
                },
            });
        });
    });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\cms\walkaround_checklist\create.blade.php ENDPATH**/ ?>