

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('Vendor Oem'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<link href="<?php echo e(URL::asset('/assets/libs/select2/select2.min.css')); ?>" rel="stylesheet" type="text/css" />
<link href="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.css')); ?>" rel="stylesheet" type="text/css" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<?php $__env->startComponent('components.breadcrumb'); ?>
<?php $__env->slot('li_1'); ?> Vendor Oem <?php $__env->endSlot(); ?>
<?php $__env->slot('title'); ?> Add Vendor Oem <?php $__env->endSlot(); ?>
<?php echo $__env->renderComponent(); ?>

<div class="row">
    <div class="col-12">
        <form  class="needs-validation" id="create_form" action="<?php echo e(route('vendor-oem.store')); ?>" method="post" enctype="multipart/form-data" novalidate>
        <?php echo csrf_field(); ?>
        <div class="card">
            <div class="card-body">
                <div class="mb-3 row">
                    <label for="vendor_category_id" class="col-md-2 col-form-label">Vendor Category</label>
                    <div class="col-md-6">
                        <select id="vendor_category_id" name="vendor_category_id" class="form-control" required>
                                <option value=''>Select...</option>
                                <?php $__currentLoopData = $vendorCategoryList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vendorCategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($vendorCategory->id); ?>"><?php echo e($vendorCategory->vendor_category); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                            </select>
                        <div  id="vendor_category_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                
                <div id="vendor_oem"  class="mb-3 row">
                    <label for="vendor_oem" class="col-md-2 col-form-label">Oem</label>
                    <div class="col-md-6">
                    <select id="vendor_categoryid" name="vendor_oem" class="form-control" required>
                                <option value=''>Select...</option>
                                <?php $__currentLoopData = $vehicle_oemList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vendorCategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($vendorCategory->id); ?>"><?php echo e($vendorCategory->Vehicle_OEM); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                            </select>                        <div  id="vendor_oem_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>

                <div  class="mb-3 row">
                    <label for="vendor_oem" class="col-md-2 col-form-label">Oem Model</label>
                    <div class="col-md-6">
                    <select id="vendor_category_id" name="oem_model" class="form-control" required>
                                <option value=''>Select...</option>
                           
                            </select>
                            <div  id="vendor_oem_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
            </div>
        </div>


            </div>
        </div>


        <div class="card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2">
                    <button type="submit" class="btn btn-primary waves-effect waves-light">Add</button>
                </div>
            </div>
        </div>
    </form>
    </div>
</div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <!-- select 2 plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/select2/select2.min.js')); ?>"></script>
    <!-- dropzone plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.js')); ?>"></script>
    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/ecommerce-select2.init.js')); ?>"></script>
    <!--tinymce js-->
    <script src="<?php echo e(URL::asset('/assets/libs/tinymce/tinymce.min.js')); ?>"></script>
    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/form-editor.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/js/pages/form-validation.init.js')); ?>"></script>
    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>

    <script type="text/javascript">
   $('#vendor_categoryid').change(function () {
    var id = $(this).val();
    var _token = '<?php echo csrf_token(); ?>';

    $.ajax({
        method: "POST",
        data: {id: id, _token: _token},
        url: "<?php echo e(route('oemmodelwise')); ?>",
        success: function(oemmodel) {
            let text = '<option value="">Select OEM</option>';
            for (let i = 0; i < oemmodel.length; i++) {
                //text += '<option value="' + products[i].business_model + '">' + products[i].business_model +'</option>';

                let optionText = oemmodel[i].vehicle_oem_model;
              //  alert(optionText);
            text += '<option value="' + oemmodel[i].id + '">' + optionText + '</option>';
        }
            $("[name=oem_model]").html(text);
        }
    });
});


    $(document).ready(function(){
        
        $( "#create_form" ).submit(function( event ) {
            event.preventDefault();
            actionUrl = "<?php echo e(route('vendor-oem-validate]')); ?>";
            form = $( "#create_form" );
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: form.serialize(), // serializes the form's elements.
                success: function(data){ 
                    $('.needs-validation').addClass('validated');
                    form.unbind().submit(); 
                },
                error: function (data) {
                    console.log('An error occurred.');
                    response = data.responseJSON;
                    if(response.mode == false){
                        $.each(response.errors, function(i, item) {
                             $('#'+i+'_errors').html(response.errors[i]); 
                            $('#'+i+'_errors').css('display', 'block');
                        });
                    }
                },
            });
        });
    }); 
    </script>

<?php $__env->stopSection(); ?> 
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\vendor_oem\create.blade.php ENDPATH**/ ?>