

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('translation.Add_Asset'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<!-- select2 css -->
<link href="<?php echo e(URL::asset('/assets/libs/select2/select2.min.css')); ?>" rel="stylesheet }}" type="text/css" />

<!-- dropzone css -->
<link href="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.css')); ?>" rel="stylesheet }}" type="text/css" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<?php $__env->startComponent('components.breadcrumb'); ?>
<?php $__env->slot('li_1'); ?> Ecommerce <?php $__env->endSlot(); ?>
<?php $__env->slot('title'); ?> Add Asset <?php $__env->endSlot(); ?>
<?php echo $__env->renderComponent(); ?>

<div class="row">
    <div class="col-12">
        
    <form  class="needs-validation" id="vendor_form" action="<?php echo e(route('vendors.update',$vendor->id)); ?>" method="post" enctype="multipart/form-data" novalidate>
    <?php echo method_field('put'); ?>
    <?php echo csrf_field(); ?>
    <input name="id" type="hidden"  value="<?php echo e($vendor->id); ?>" />
    <div class="card">
            <div class="card-body">
                <h5>Vendor</h5><br>
                
                <div class="mb-3 row">
                    <label for="category_id" class="col-md-2 col-form-label">Vendor Category</label>
                    <div class="col-md-6">
                        <select id="category_id" name="category_id" class="form-control">
                            <option value=''>Select...</option>
                            <?php $__currentLoopData = $vendorCategoryList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vendorCategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($vendorCategory->id); ?>" <?php echo e($vendorCategory->id == $vendor->category_id ? 'selected' :''); ?>><?php echo e($vendorCategory->vendor_category); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                        </select>
                        <div  id="category_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="vendor_name" class="col-md-2 col-form-label">Vendor Name</label>
                    <div class="col-md-6">
                        <input id="vendor_name" name="vendor_name" type="text" class="form-control" placeholder="Name the Vendor Name" value="<?php echo e($vendor->vendor_name); ?>"  required>
                        <div  id="vendor_name_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                
                <div class="mb-3 row">
                    <label for="oem_id" class="col-md-2 col-form-label">Vendor OEM</label>
                    <div class="col-md-6">
                        <select id="oem_id" name="oem_id" data-selected="<?php echo e($vendor->oem_id); ?>" class="form-control">
                            <option value=''>Select...</option>
                        </select>
                        <div  id="oem_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <h5>Contact Details</h5><br>
                <div class="mb-3 row">
                    <label for="contact_phone" class="col-md-2 col-form-label">Phone Number</label>
                    <div class="col-md-6">
                        <input id="contact_phone" name="contact_phone" type="text" class="form-control" placeholder="Phone Number" value="<?php echo e($vendor->contact_phone); ?>" />
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="contact_email" class="col-md-2 col-form-label">Email Id</label>
                    <div class="col-md-6">
                        <input id="contact_email" name="contact_email" type="text" class="form-control" placeholder="Email Id" value="<?php echo e($vendor->contact_email); ?>" />
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="address" class="col-md-2 col-form-label">Address</label>
                    <div class="col-md-6">
                        <input id="address" name="address" type="text" class="form-control" placeholder="Address" value="<?php echo e($vendor->address); ?>" />
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="postal_code" class="col-md-2 col-form-label">Pin Code</label>
                    <div class="col-md-6">
                        <input id="postal_code" name="postal_code" type="text" class="form-control" placeholder="Pin Code" />
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="city_id" class="col-md-2 col-form-label">City</label>
                    <div class="col-md-6">
                        <select id="city_id" name="city_id" class="form-control">
                            <option value=''>Select...</option>
                            <?php $__currentLoopData = $cities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $city): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($city->id); ?>" <?php echo e($city->id == $vendor->city_id ? 'selected' :''); ?>><?php echo e($city->city); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                        </select>
                        <div  id="city_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="district_id" class="col-md-2 col-form-label">District</label>
                    <div class="col-md-6">
                        <select id="district_id" name="district_id" class="form-control">
                            <option value=''>Select...</option>
                        </select>
                        <div  id="district_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="state_id" class="col-md-2 col-form-label">State</label>
                    <div class="col-md-6">
                        <select id="state_id" name="state_id" class="form-control">
                            <option value=''>Select...</option>
                        </select>
                        <div  id="state_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="zone_id" class="col-md-2 col-form-label">Zone</label>
                    <div class="col-md-6">
                        <select id="zone_id" name="zone_id" class="form-control">
                            <option value=''>Select...</option>
                        </select>
                        <div  id="zone_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                
                <div class="d-flex flex-wrap gap-2">
                        <button type="submit" class="btn btn-primary waves-effect waves-light">Save Changes</button>
                        <a href="<?php echo e(route('vendors.index')); ?>" class="btn btn-secondary waves-effect waves-light">Cancel</a>
                    </div>
            </div>
        </div>
    

    </form>
    </div>
</div>
<!-- end row -->

<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!-- select 2 plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/select2/select2.min.js')); ?>"></script>

    <!-- dropzone plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/ecommerce-select2.init.js')); ?>"></script>
    <!--tinymce js-->
    <script src="<?php echo e(URL::asset('/assets/libs/tinymce/tinymce.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/form-editor.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js')); ?>"></script>

    <script src="<?php echo e(URL::asset('/assets/js/pages/form-validation.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/js/custom.js')); ?>"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        
        var actionUrl = "<?php echo e(route('city')); ?>";
        oemActionUrl = "<?php echo e(route('vendor-oem.oem-by-category')); ?>";
        var token = "<?php echo e(csrf_token()); ?>";
        updateStateOptions(actionUrl, token);
        updateDistrictOptions(actionUrl, token);
        updateZoneOptions(actionUrl, token);
        updateVendorOemOption(oemActionUrl, token);

        $('#category_id').on('change', function() {
            updateVendorOemOption(oemActionUrl, token);
        });
        $('#city_id').on('change', function() {
            updateStateOptions(actionUrl, token);
            updateDistrictOptions(actionUrl, token);
            updateZoneOptions(actionUrl, token);
        });
         $( "#vendor_form" ).submit(function( event ) {
             event.preventDefault();
             actionUrl = "<?php echo e(route('vendor.validate')); ?>";
             form = $( "#vendor_form" );
             $.ajax({
                 type: "POST",
                 url: actionUrl,
                 data: form.serialize(), // serializes the form's elements.
                 success: function(data){ 
                     $('.needs-validation').addClass('validated');
                     form.unbind().submit(); 
                 },
                 error: function (data) {
                     console.log('An error occurred.');
                     response = data.responseJSON;
                     if(response.status == false){
                         $.each(response.errors, function(i, item) {
                             $('#'+i+'_errors').html(response.errors[i]); 
                            $('#'+i+'_errors').css('display', 'block');
                         });
                     }
                 },
             });
         });
    });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\vendors\edit.blade.php ENDPATH**/ ?>