<?php

namespace App\Http\Resources\CMS;

use App\Http\Resources\JsonResource;


class IncidentalInfoLocation extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        $response =  [
            'id' => $this->id,
            'city_id' => $this->city_id,
            'city' => $this->city->city,
            'district_id' => $this->district_id,
            'district' => $this->district->district,
            'state_id' => $this->state_id,
            'state' => $this->state->state,
            'zone_id' => $this->zone_id,
            'zone' => $this->zone->zone,
        ];
        return $response;
    }
}
