<?php

namespace App\Http\Resources\CMS;

use App\Http\Resources\JsonResource;
use App\Http\Resources\User as UserResource;
use Illuminate\Support\Facades\Storage;


class PermissionDescription extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        $response = [
            'id' => $this->id,
            'title' => $this->title,
           // 'permission_description_image' => empty($this->permission_description_image) ? null : base64_encode(Storage::get($this->permission_description_image)),
           'image' => empty($this->image) ? null : base64_encode(Storage::disk('public')->get($this->image)),

           // 'image' => empty($this->image) ? null : base64_encode(file_get_contents(public_path().'/storage'.$this->image)),
        ];

        return $response;
    }
}
