<?php

namespace App\Http\Resources\CMS;

use App\Http\Resources\JsonResource;
use App\Http\Resources\User as UserResource;
use App\Models\User;
use App\Models\Location;
use App\Http\Resources\CMS\WalkaroundQuestion;

class WalkaroundCategory extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    
     protected $order;

     public function order($order){
         $this->order = $order;
         return $this;
     }

    public function toArray($request)
    {
        
        $user = auth('api')->user();
        $response = [
            'id' => $this->id,
            'category_name' => $this->category_name,
           // 'walkaround_questions' =>  WalkaroundQuestion::collection($this->walkaroundQuestions),
        ];
        
        $response['media'] = [];
        if($this->order){
            $order = $this->order;
            if($order->orderWalkaroundCategory){
               // print_r($order->orderWalkaround); exit;
                foreach($order->orderWalkaroundCategory as $orderWalkaroundCategory){
                    if($orderWalkaroundCategory->media && $this->category_name == $orderWalkaroundCategory->category_name){
                        if(file_exists(public_path().'/storage'.$orderWalkaroundCategory->media)){
                            $response['media'][] = base64_encode(file_get_contents(public_path().'/storage'.$orderWalkaroundCategory->media));
                        }
                    }
                }

            }
        }
        //print_r($this->walkaroundQuestions); exit;
        if($this->walkaroundQuestions){
            foreach($this->walkaroundQuestions as $walkaroundQuestions){
                $response['walkaround_questions'][] = (new WalkaroundQuestion($walkaroundQuestions))->order($this->order);

            }
        }
        return $response;
    }
}
