<?php

namespace App\Models\Assets;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\VehicleOem;
use App\Models\Master\ProductType;


class vendoroem_model extends Model
{
    use HasFactory;

    protected $table = 'vendoroem_models';

    
    protected $fillable = [
        'asset_product_id','vehicle_oem_id','vehicle_oem_model'

    
    ];


    

    public function asssetproduct()
    {
        return $this->belongsTo(ProductType::class, 'asset_product_id');
    }

    public function oem()
    {
        return $this->belongsTo(VehicleOem::class, 'vehicle_oem_id');
    }

    public function createQuery($request){
        $requestData = $request->all();
        $query = vendoroem_model::get();
        return $query;
   }





}
