<?php

namespace App\Models\Users;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UserDevices extends Model
{
    use HasFactory;
    

    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'user_devices';
    

    protected $fillable = [
        'user_id',
        'device_type',
        'device_id',
        'fcm_token',
        'model_name',
        'version',
        'is_physical_device',
        'screen_resolution',
        'last_vesited_date',
        'last_vesited_page',
        'login_token_id',
        'manufacturer',
    ];

    public function user(){
        return $this->belongsTo('App\Models\User', 'user_id');
    }
}
