<?php

namespace App\Models\Users;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UserNotification extends Model
{
    use HasFactory;
    

    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'user_notification';
    

    protected $fillable = [
        'user_id',
        'title',
        'message',
        'readed',
        'image',
        'deleted_at',
    ];

    public function user(){
        return $this->belongsTo('App\Models\User', 'user_id');
    }
}
