<?php

namespace App\Models\Users;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UserRole extends Model
{
    use HasFactory;
    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */

    protected $table = 'user_role';

    protected $fillable = [
        'user_id',
        'role_id',
    ];

    public function user(){
        return $this->belongsTo('App\Models\User', 'user_id');
    }
}
