<?php

namespace App\Models\Users;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UserStaffLocation extends Model
{
    use HasFactory;
    
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'user_staff_location';
    

    public $timestamps = false;
    
    protected $fillable = [
        'user_id',
        'location_id',
    ];

    public function locationClassification(){
        return $this->hasMany('App\Models\Users\UserStaffLocationClassification', 'user_id');
    }
}
