<?php

namespace App\Traits;


//class App

trait App
{
    
    protected static function booted()
    {
        static::creating(function ($model) {
            $model->created_by = auth()->user()->id;
        });
        static::updating(function ($model) {
            $model->updated_by = auth()->user()->id;
        });
    }
    
    public function createdUser(){
        return $this->belongsTo('App\Models\User', 'created_by');
    }
    public function updatedUser(){
        return $this->belongsTo('App\Models\User', 'updated_by');
    }

    
    protected $primaryKey = 'id';
   
}
