<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('user_documents', function (Blueprint $table) {            
            $table->id();
            $table->integer('user_id')->nullable();
            $table->string('doc_name')->nullable();
            $table->string('doc_number')->nullable();
            $table->string('doc_front_page')->nullable();
            $table->string('doc_back_page')->nullable();
            $table->enum('verify', [0,1])->default(0);
            $table->integer('created_by')->nullable();
            $table->integer('updated_by')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('user_documents', function (Blueprint $table) {
            //
        });
    }
};
