<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('user_subscription', function (Blueprint $table) {            
            $table->id();
            $table->integer('user_id')->nullable();
            $table->integer('subscription_plan_id')->nullable();
            $table->integer('asset_id')->nullable();
            $table->integer('order_id')->nullable();
            $table->string('model_name')->nullable();
            $table->string('registration_number')->nullable();
            $table->string('vin_number')->nullable();
            $table->string('battery_model_name')->nullable();
            $table->string('battery_model_number')->nullable();
            $table->string('charger_model_name')->nullable();
            $table->string('charger_model_number')->nullable();
            $table->string('billing_cycle')->nullable();
            $table->integer('billing_type_id')->nullable();
            $table->double('cost',10,2)->nullable();
            $table->integer('created_by')->nullable();
            $table->integer('updated_by')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('user_subscription', function (Blueprint $table) {
            //
        });
    }
};
