<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cms_form_field_condition', function (Blueprint $table) {
            $table->id();
            $table->integer('field_id')->nullable();
            $table->integer('condition_field_id')->nullable();
            $table->string('equal_value')->nullable();
            $table->string('field_id_type')->nullable();
            $table->string('equal_value_type')->nullable();
            $table->integer('created_by')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cms_form_field_condition');
    }
};
