<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('a_charging_equipment_insurance_plan', function (Blueprint $table) {
            $table->id();
            $table->integer('charging_equipment_id')->nullable();
            $table->integer('insurance_type_id')->nullable();
            $table->integer('insurance_duration')->nullable();
            $table->timestamp('insurance_duration_date')->nullable();
            $table->string('service_reminder')->nullable();
            $table->timestamp('service_reminder_date')->nullable();
            $table->timestamps();
            $table->timestamp('deleted_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('a_charging_equipment_insurance_plan');
    }
};
