<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cms_form_buttons', function (Blueprint $table) {
            $table->id();
            $table->integer('form_id')->nullable();
            $table->string('button_type')->nullable();
            $table->string('button_value')->nullable();
            $table->string('on_submit')->nullable();
            $table->timestamps();
            $table->timestamp('deleted_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cms_form_buttons');
    }
};
