<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cms_emergency_services', function (Blueprint $table) {
            $table->id();
            $table->string('emergency_services_name')->nullable();
            $table->string('mobile_user')->nullable();
            $table->text('description')->nullable();
            $table->text('steps_to_be_done')->nullable();
            $table->text('search_tag')->nullable();
            $table->string('phone_number')->nullable();
            $table->integer('created_by')->nullable();
            $table->integer('updated_by')->nullable();
            $table->timestamps();
            $table->timestamp('deleted_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cms_emergency_services');
    }
};
