<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cms_rating_impression_points', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('feedback_rating_id')->nullable();
            $table->string('impression_points')->nullable();
            $table->foreign('feedback_rating_id')->references('id')->on('cms_feedback_rating')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cms_rating_impression_points');
    }
};
