<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('user_vehicle', function (Blueprint $table) {
            $table->id();
            $table->integer('user_id')->nullable();
            $table->string('vehicle_make')->nullable();
            $table->string('model')->nullable();
            $table->string('registration_number')->nullable();
            $table->string('vehicle_identification_number')->nullable();
            $table->string('battery_brand')->nullable();
            $table->string('battery_number')->nullable();
            $table->string('battery_type')->nullable();
            $table->string('battery_volts_value')->nullable();
            $table->text('image')->nullable();
            $table->integer('created_by')->nullable();
            $table->integer('updated_by')->nullable();
            $table->timestamps();
            $table->timestamp('deleted_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('user_vehicle');
    }
};
