<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('cms_form_buttons', function($table) {
            
            $table->dropColumn('button_type');
            $table->dropColumn('button_value');
            $table->dropColumn('on_submit');
            $table->json('attributes')->nullable()->after('on_submit');

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
};
