<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    { 
        Schema::table('a_charging_equipment', function($table) {
            $table->dropColumn('vin_number');
            $table->string('model_number')->nullable()->after('model_name');
            $table->string('charger_type')->nullable()->after('model_number');
            $table->string('kwh_units')->nullable()->after('charger_type');
            $table->string('gun_type')->nullable()->after('kwh_units');
            //$table->string('updated_by')->nullable()->after('created_by');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
    }
};
