<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('a_charging_station_rating_points', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('cs_rating_id')->nullable();
            $table->integer('impression_point_id')->nullable();

            $table->foreign('cs_rating_id')->references('id')->on('a_charging_station_ratings')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('a_charging_station_rating_points');
    }
};
