<?php

namespace Database\Seeders;

// use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
//use Itstructure\LaRbac\Models\Permission;
//use Itstructure\LaRbac\Models\Role;
use Spatie\Permission\Models\Role;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     *
     * @return void
     */
    public function run()
    {
        $this->call(SettingsSeeder::class);
        $this->call(OnboardSeeder::class);
        // $permission = Permission::where('id', 1)->first();
        // if( empty($permission)){
        //     $this->call(PermissionSeeder::class);
        // }

        //$permission = Permission::where('id', 1)->first();
        $role = Role::where('id', 1)->first();

        if(empty($role)){
            $this->call(RoleSeeder::class);
        }
        $this->call(UserSeeder::class);
        $this->call(UserRoleSeeder::class);
        $this->call(FormFieldTypeSeeder::class);
        $this->call(VendorCategorySeeder::class);
        $this->call(BusinessCategorySeeder::class);

        // \App\Models\User::factory(10)->create();

        // \App\Models\User::factory()->create([
        //     'name' => 'Test User',
        //     'email' => 'test@example.com',
        // ]);
    }
}
