<?php
namespace Database\Seeders;

use Illuminate\Database\Seeder;
use App\Models\User;
use App\Models\Users\UserData;
use App\Models\UserRole;

/**
 * Class PermissionSeeder
 *
 * @author Andrey Girnik <girnikandrey@gmail.com>
 */
class UserSeeder extends Seeder
{
    /**
     * Run the database seeds.
     * @return void
     */
    public function run()
    {
        
      $user = User::where('id', 1)->first();
      if(empty($user)){
        $user = User::create([
          'name' => 'Rosy',
          'email' => 'rosy.dev96@gmail.com',
          'user_type' => 'Staff',
          'phone_number' => '9003355837',
          'email_verified_at' => null,
          'password' => '$2y$10$qs2JYKBDeetUPBFYWMtXzuXjCLsvpX7DkyHtDKaFCWUiMzv6adJjK',
          //'role' => 1,
        ]);

        if($user){          
          $userDataUpdate = [
            'user_id' => $user->id,
            'phone_number' => '9003355837',
          ];
          $userData = UserData::create($userDataUpdate);
        }
        $user->assignRole('super-admin');
        
      }
    }

    /**
     * Create permission record in database.
     * @param string $slug
     * @param string $description
     * @return void
     */
  
}
