
function updateStateOptions(actionUrl, token){
    console.log('updateStateOptions');

    let city_id = $('#city_id').val();
    let states = [];
    $.ajax({
        type: "POSt",
        url: actionUrl,
        data: {
            "city_id":city_id,
            "with":'state',
            "_token": token
        },
        success: function(data){ 
            console.log(data['data']);
            console.log(data['data'].id);
            if(data['data']){
                let sel = $("#state_id");
                sel.find('option').remove().end();
                sel.append('<option value="">Select...</option>');
                sel.append('<option value="'+ data['data'].id +'"selected>'+ data['data'].state +'</option>');
            }
        },
        error: function (data) {
            console.log(actionUrl+' Failes.');
        },
    });
}
function updateDistrictOptions(actionUrl, token){
    console.log('updateDistrictOptions');

    let city_id = $('#city_id').val();
    let states = [];
    $.ajax({
        type: "POSt",
        url: actionUrl,
        data: {
            "city_id":city_id,
            "with":'district',
            "_token": token
        },
        success: function(data){ 
            if(data['data']){
                let sel = $("#district_id");
                sel.find('option').remove().end();
               // sel.append('<option value="">Select...</option>');
                sel.append('<option value="'+ data['data'].id +'" selected>'+ data['data'].district +'</option>');
            }
        },
        error: function (data) {
            console.log(actionUrl+' Failes.');
        },
    });
}
function updateZoneOptions(actionUrl,  token){
    console.log('updateZoneOptions');
    let city_id = $('#city_id').val();
    let states = [];
    $.ajax({
        type: "POSt",
        url: actionUrl,
        data: {
            "city_id":city_id,
            "with":'zone',
            "_token": token
        },
        success: function(data){ 
            if(data['data']){
                let sel = $("#zone_id");
                sel.find('option').remove().end();
               // sel.append('<option value="">Select...</option>');
                sel.append('<option value="'+ data['data'].id +'" selected>'+ data['data'].zone +'</option>');
            }
        },
        error: function (data) {
            console.log(actionUrl+' Failes.');
        },
    });
}

function updateVendorOemOption(actionUrl,  token){
    console.log('updateVendorOemOption');
    let category_id = $('#category_id').val();
    let states = [];
    $.ajax({
        type: "POSt",
        url: actionUrl,
        data: {
            "vendor_category_id":category_id,
            "with":'zone',
            "_token": token
        },
        success: function(data){ 
            if(data['data']){
                let sel = $("#oem_id");
                dataSelected = sel.attr('data-selected');
                sel.find('option').remove().end();
                sel.append('<option value="">Select...</option>');
               $.each(data['data'], function(index, item) {
                    selected ='';
                    if(dataSelected == item.id ){
                        selected = 'selected';
                    }
                    if(item.vendor_oem != ''){
                        sel.append('<option value="'+ item.id +'" '+selected+'>'+ item.vendor_oem +'</option>');
                    }
                });
                sel.trigger("change");
            }

        },
        error: function (data) {
            console.log(actionUrl+' Failes.');
        },
    });
    
}

function updateProductProperyOption(actionUrl,  token){
    console.log('updateProductProperyOption');
    $.ajax({
        type: "POSt",
        url: actionUrl,
        data: {
            "_token": token
        },
        success: function(data){ 
            if(data['data']){
                let sel = $("#name");
                dataSelected = sel.attr('data-selected');
                sel.find('option').remove().end();
                sel.append('<option value="">Select...</option>');
               $.each(data['data'], function(index, item) {
                    selected ='';
                    if(dataSelected == item.id ){
                        selected = 'selected';
                    }
                    if(item.vendor_oem != ''){
                        sel.append('<option value="'+ item.id +'" '+selected+'>'+ item.vendor_oem +'</option>');
                    }
                });
            }
        },
        error: function (data) {
            console.log(actionUrl+' Failes.');
        },
    });
    
}
function updateCityOptionByCityID(actionUrl, token){
    console.log('updateCityOptionByCityID');
    
    let city_id = $('#location_id').find("option:selected").attr('data-city_id');
    $.ajax({
        type: "POSt",
        url: actionUrl,
        data: {
            "city_id":city_id,
            "with":'city',
            "_token": token
        },
        success: function(data){ 
            console.log(data['data']);
            console.log(data['data'].id);
            if(data['data']){
                let sel = $("#city_id");
                sel.find('option').remove().end();
                sel.append('<option value="">Select...</option>');
                sel.append('<option value="'+ data['data'].id +'"selected>'+ data['data'].city +'</option>');
                sel.trigger("change");
            }
        },
        error: function (data) {
            console.log(actionUrl+' Failes.');
        },
    });
    
}
function updateDealerOptionsByOem(actionUrl,  token){
    console.log('updateDealerOptionsByOem');
    let oem_id =  $('#oem_id').find("option:selected").val();
    if(oem_id){
        $.ajax({
            type: "POSt",
            url: actionUrl,
            data: {
                "oem_id" : oem_id,
                "with" : 'vehicle',   //Vehicle category
                "_token": token
            },
            success: function(data){ 
                if(data['data']){
                    let sel = $("#vehicle_dealer_id");
                    dataSelected = sel.attr('data-selected');
                    sel.find('option').remove().end();
                    sel.append('<option value="">Select...</option>');
                    $.each(data['data'], function(index, item) {
                        selected ='';
                        if(dataSelected == item.id ){
                            selected = 'selected';
                        }
                        if(item.vehicle_dealer != ''){
                            sel.append('<option value="'+ item.id +'" '+selected+'>'+ item.vehicle_dealer +'</option>');
                        }
                    });
                }
            },
            error: function (data) {
                console.log(actionUrl+' Failes.');
            },
        });
    }
    
}
function updateBatteryDealerOptionsByOem(actionUrl,  token){
    console.log('updateBatteryDealerOptionsByOem');
    let oem_id =  $('#oem_id').find("option:selected").val();
    if(oem_id){
        $.ajax({
            type: "POSt",
            url: actionUrl,
            data: {
                "oem_id" : oem_id,
                "with" : 'battery',   //battery category
                "_token": token
            },
            success: function(data){ 
                if(data['data']){
                    let sel = $("#battery_dealer_id");
                    dataSelected = sel.attr('data-selected');
                    sel.find('option').remove().end();
                    sel.append('<option value="">Select...</option>');
                    $.each(data['data'], function(index, item) {
                        selected ='';
                        if(dataSelected == item.id ){
                            selected = 'selected';
                        }
                        if(item.battery_dealer != ''){
                            sel.append('<option value="'+ item.id +'" '+selected+'>'+ item.battery_dealer +'</option>');
                        }
                    });
                }
            },
            error: function (data) {
                console.log(actionUrl+' Failes.');
            },
        });
    }
    
}
function updateChargerDealerOptionsByOem(actionUrl,  token){
    console.log('updateChargerDealerOptionsByOem');
    let oem_id =  $('#oem_id').find("option:selected").val();
    if(oem_id){
        $.ajax({
            type: "POSt",
            url: actionUrl,
            data: {
                "oem_id" : oem_id,
                "with" : 'chargingStation',   //battery category
                "_token": token
            },
            success: function(data){ 
                if(data['data']){
                    let sel = $("#charger_dealer_id");
                    dataSelected = sel.attr('data-selected');
                    sel.find('option').remove().end();
                    sel.append('<option value="">Select...</option>');
                    $.each(data['data'], function(index, item) {
                        selected ='';
                        if(dataSelected == item.id ){
                            selected = 'selected';
                        }
                        if(item.station_dealer != ''){
                            sel.append('<option value="'+ item.id +'" '+selected+'>'+ item.station_dealer +'</option>');
                        }
                    });
                }
            },
            error: function (data) {
                console.log(actionUrl+' Failes.');
            },
        });
    }
    
}
function updateChargingEquipmentDealerOptionsByOem(actionUrl,  token){
    console.log('updateChargingEquipmentDealerOptionsByOem');
    let oem_id =  $('#oem_id').find("option:selected").val();
    if(oem_id){
        $.ajax({
            type: "POSt",
            url: actionUrl,
            data: {
                "oem_id" : oem_id,
                "with" : 'chargingStation',   //battery category
                "_token": token
            },
            success: function(data){ 
                if(data['data']){
                    let sel = $("#charging_equipment_dealer_id");
                    dataSelected = sel.attr('data-selected');
                    sel.find('option').remove().end();
                    sel.append('<option value="">Select...</option>');
                    $.each(data['data'], function(index, item) {
                        console.log(item);
                        selected ='';
                        if(dataSelected == item.id ){
                            selected = 'selected';
                        }
                        if(item.station_dealer != ''){
                            sel.append('<option value="'+ item.id +'" '+selected+'>'+ item.station_dealer +'</option>');
                        }
                    });
                }
            },
            error: function (data) {
                console.log(actionUrl+' Failes.');
            },
        });
    }
    
}
function updateChargingStationDealerOptionsByOem(actionUrl,  token){
    console.log('updateChargingStationDealerOptionsByOem');
    let oem_id =  $('#oem_id').find("option:selected").val();
    if(oem_id){
        $.ajax({
            type: "POSt",
            url: actionUrl,
            data: {
                "oem_id" : oem_id,
                "with" : 'chargingStation',   //battery category
                "_token": token
            },
            success: function(data){ 
                if(data['data']){
                    let sel = $("#charging_station_dealer_id");
                    dataSelected = sel.attr('data-selected');
                    sel.find('option').remove().end();
                    sel.append('<option value="">Select...</option>');
                    $.each(data['data'], function(index, item) {
                        console.log(item);
                        selected ='';
                        if(dataSelected == item.id ){
                            selected = 'selected';
                        }
                        if(item.station_dealer != ''){
                            sel.append('<option value="'+ item.id +'" '+selected+'>'+ item.station_dealer +'</option>');
                        }
                    });
                }
            },
            error: function (data) {
                console.log(actionUrl+' Failes.');
            },
        });
    }
    
}
function updateFormFieldByForm(actionUrl,  token){
    console.log('updateFormFieldByForm');
    let form_id =  $('#form_id').find("option:selected").val();
    if(form_id){
        $.ajax({
            type: "POSt",
            url: actionUrl,
            data: {
                "form_id" : form_id,
                "_token": token
            },
            success: function(data){ 
                if(data['data']){
                    let sel = $("#form_field_id");
                    dataSelected = sel.attr('data-selected');
                    sel.find('option').remove().end();
                    sel.append('<option value="">Select...</option>');
                    $.each(data['data'], function(index, item) {
                        selected ='';
                        if(dataSelected == item.id ){
                            selected = 'selected';
                        }
                        if(item.name != ''){
                            sel.append('<option value="'+ item.id +'" '+selected+'>'+ item.name +'</option>');
                        }
                    });
                    
                    sel.trigger("change");
                }
            },
            error: function (data) {
                console.log(actionUrl+' Failes.');
            },
        });
    }
    
}
function updateTabMenuieldByFormField(actionUrl,  token){
    console.log('updateTabMenuieldByFormField');
    let form_field_id =  $('#form_field_id').find("option:selected").val();
    if(form_id){
        $.ajax({
            type: "POSt",
            url: actionUrl,
            data: {
                "form_field_id" : form_field_id,
                "_token": token
            },
            success: function(data){ 
                if(data['data']){
                    let sel = $("#tab_menu_id");
                    dataSelected = sel.attr('data-selected');
                    sel.find('option').remove().end();
                    sel.append('<option value="">Select...</option>');
                    $.each(data['data'], function(index, item) {
                        selected ='';
                        if(dataSelected == item.id ){
                            selected = 'selected';
                        }
                        if(item.menu != ''){
                            sel.append('<option value="'+ item.id +'" '+selected+'>'+ item.menu +'</option>');
                        }
                    });
                }
            },
            error: function (data) {
                console.log(actionUrl+' Failes.');
            },
        });
    }
    
}
function updateAssetByType(actionUrl,  token, attrb="vin_number"){
    console.log('updateAssetByType');
    let asset_type_id =  $('#asset_type_id').find("option:selected").val();
    if(asset_type_id){
        $.ajax({
            type: "POSt",
            url: actionUrl,
            data: {
                "asset_type_id" : asset_type_id,
                "_token": token
            },
            success: function(data){ 
                if(data['data']){
                    let sel = $("#asset_id");
                    dataSelected = sel.attr('data-selected');
                    sel.find('option').remove().end();
                    if (data['data'].length === 0) {
                        sel.append('<option value="">No item Found...</option>');
                    }else{
                        sel.append('<option value="">Select...</option>');
                        $.each(data['data'], function(index, item) {
                            console.log(item);
                            selected ='';
                            if(dataSelected == item.id ){
                                selected = 'selected';
                            }
                            if(item.station_dealer != ''){
                                sel.append('<option value="'+ item.id +'"' + attrb + '="'+ item.vin_number +'"' +selected+'>'+ item.model_name +'</option>');
                            }
                        });
                        
                    sel.trigger("change");
                    }
                }
            },
            error: function (data) {
                console.log(actionUrl+' Failes.');
            },
        });
    }
    
}
function updateAssetPartsByAsset(actionUrl,  token, sel){
    console.log('updateAssetPartsByAsset');
    let asset_id =  $('#asset_id').find("option:selected").val();
    if(asset_type_id){
        $.ajax({
            type: "POSt",
            url: actionUrl,
            data: {
                "asset_id" : asset_id,
                "_token": token
            },
            success: function(data){ 
                if(data['data']){
                    dataSelected = sel.attr('data-selected');
                    sel.find('option').remove().end();
                    if (data['data'].length === 0) {
                        sel.append('<option value="">No item Found...</option>');
                    }else{
                        sel.append('<option value="">Select...</option>');
                        $.each(data['data'], function(index, item) {
                            console.log(item);
                            selected ='';
                            if(dataSelected == item.id ){
                                selected = 'selected';
                            }
                            if(item.station_dealer != ''){
                                sel.append('<option value="'+ item.id +'"' +selected+'>'+ item.product.product_type +'</option>');
                            }
                        });
                        
                    sel.trigger("change");
                    }
                }
            },
            error: function (data) {
                console.log(actionUrl+' Failes.');
            },
        });
    }

}

function validationErrors(response){
    console.log('validationErrors')
    var error_id = ''
    $(".invalid-feedback").each(function() {
        $(this).hide();
    });
    $(".was-validated-invalid").each(function() {
        $(this).removeClass('was-validated-invalid');
    });
    $.each(response.errors, function(i, item) {
        if(error_id == ''){
            error_id = '#'+i+'_errors';
        }
        message = response.errors[i];
        message = message.toString().replace('id','');
        $('#'+i+'_errors').html(message); 
        $('#'+i+'_errors').css('display', 'block');
        $('#'+i).addClass('was-validated-invalid');

    });
    
    if(response.toast == true){
        $.toast({
            heading: response.message,
            text: message,
            showHideTransition: 'fade',
            icon: 'error'
        })
    }
    if(error_id != ''){
        $([document.documentElement, document.body]).animate({
            scrollTop: $(error_id).offset().top - 500
        },1);
    }
}
function subscriptionPlanValidationErrors(response){
    console.log('validationErrors')
    
    $(".invalid-feedback").each(function() {
        $(this).hide();
    });
    $(".was-validated-invalid").each(function() {
        $(this).removeClass('was-validated-invalid');
    });
    if(response.mode == false){
        var error_id = ''
        basePlanError = false;
        $.each(response.errors, function(i, item) {
            if(error_id == ''){
                error_id = '#'+i+'_errors';
            }
            console.log(error_id);
            if(error_id == '#base_plan_errors' || error_id == '#have_convenience_price' || error_id == '#have_delivery_charge' || error_id == '#fixed_price'){
                basePlanError = true;
            }
            message = response.errors[i];
            message = message.toString().replace('id','');
            $('#'+i+'_errors').html(message); 
            $('#'+i+'_errors').css('display', 'block');
            $('#'+i).addClass('was-validated-invalid');
        });
        
        
        if(basePlanError == true){
            $.toast({
                heading: 'Error',
                text: "Base Plan fields are required",
                showHideTransition: 'fade',
                icon: 'error'
            })
        }
        if(error_id != ''){
            $([document.documentElement, document.body]).animate({
                scrollTop: $(error_id).offset().top - 500
            },1);
        }
    }
}