@extends('layouts.master-without-nav')

@section('title')
    @lang('translation.FAQ')
@endsection

@section('css')
<!-- select2 css -->
<link href="{{ URL::asset('/assets/css/custom.css') }}" rel="stylesheet" type="text/css" />
@endsection

@section('body')

    <body>
    @endsection

    @section('content')
        <div class="account-pages my-5 pt-sm-5">
            <div class="container">
                <div class="accordion" id="accordionExample">
                
                @foreach($faqCategoryList as $key => $faqCategory)
                    <h2>{{ $faqCategory->faq_category }}</h2>
                    @foreach($faqCategory->faqs as $key => $faqs)
                        
                        <div class="accordion-item">
                            <h2 class="accordion-header" id="heading{{$key}}">
                            <button class="accordion-button {{ ($key == 0)  ?  'collapsed' : ''}}" type="button" data-bs-toggle="collapse" data-bs-target="#collapse{{$key}}" aria-expanded="false" aria-controls="collapse{{$key}}"><b>{{ $faqs->question }}</b>
                            </button>
                            </h2>
                            <div id="collapse{{$key}}" class="accordion-collapse collapse  {{ ($key == 0)  ?  'show' : ''}}" aria-labelledby="heading{{$key}}" data-bs-parent="#accordionExample">
                            <div class="accordion-body">
                                {{ $faqs->search_answer }}
                            </div>
                            </div>
                        </div>
                    @endforeach 
                @endforeach 

                </div>
            </div>
        </div>
        <!-- end account-pages -->

    @endsection
