

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('3PL Attendance'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    <!-- DataTables -->
    <link href="<?php echo e(URL::asset('/assets/libs/datatables/datatables.min.css')); ?>" rel="stylesheet" type="text/css" />
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

    <?php $__env->startComponent('components.breadcrumb'); ?>
        <?php $__env->slot('li_1'); ?> Users <?php $__env->endSlot(); ?>
        <?php $__env->slot('title'); ?> 3PL - Flipkart Attendance Report <?php $__env->endSlot(); ?>
    <?php echo $__env->renderComponent(); ?>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                    <div class="col-sm-4">
                   
                        </div>
                        <div class="col-sm-4">
                
    
        </div>               
                        <div class="col-sm-4">
                        <label for="file">Search</label>
                            <input type="search" id="search" name="search" class="form-control" placeholder="Employee Name Search">
                        </div>
                        <div class="col-sm-2">
                            <div class="text-sm-end">
                                <?php if(Route::current()->getName() == 'admin.customers'): ?>
                                <a href="<?php echo e(route('add_customer_form')); ?>" class="btn btn-success btn-rounded waves-effect waves-light mb-2 me-2"><i class="mdi mdi-plus me-1"></i> New Customers</a>
                                <?php elseif(Route::current()->getName() == 'admin.angels'): ?>
                                <a href="<?php echo e(route('add_customer_form')); ?>" class="btn btn-success btn-rounded waves-effect waves-light mb-2 me-2"><i class="mdi mdi-plus me-1"></i> New Angels</a>
                                <?php endif; ?>
                            </div>
                        </div><!-- end col-->
                    </div>

                    <?php $i = 0 ?>
                    <div class="table-responsive">
                        <table id="user_datatable" class="table align-middle table-nowrap">
                            <thead>
                                <tr>
                                    <th> Id </th>
                                    <th> Date </th>
                                    <th> User Id </th>
                                    <th> Rider</th>
                                    <th> Employee Name</th>
                                    <th> Check In </th>
                                    <th> Check Out </th>
                                    <th> Login Time </th>
                                  
                                </tr>
                            </thead>
                        </table>
                    </div>
                    
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!-- Required datatable js -->
    <script src="<?php echo e(URL::asset('/assets/libs/datatables/datatables.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/jszip/jszip.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/pdfmake/pdfmake.min.js')); ?>"></script>
    <!-- Datatable init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/datatables.init.js')); ?>"></script>
    <script type="text/javascript">
        $(document).ready(function(){
            showAssets();
            $('#category_id').on('change', function() {
                $('#category_id_input').val($(this).val());
                showAssets();
            });
            $("#search").change(function(){
                showAssets();
            });
            
        });

        
        function showAssets() {
            $("#user_datatable").DataTable().destroy();
            var table = $('#user_datatable').DataTable( {
                serverSide: true,
                processing: true,
                searching:false,
                paging: true,
                "ajax": {
                    "url": "<?php echo e(route('admin.3pldata')); ?>",
                    "type": "POST",
                    'data': {
                        "category_id": $('#category_id').val(),
                        "search": $('#search').val(),
                        "_token": "<?php echo e(csrf_token()); ?>"
                    }
                },
                dom: 'Blfrtip',
                "columns": [
                    { "data": "id" },
                    { "data": "date" },
                    { "data": "user_id" },
                    { "data": "business_category_model" },
                    { "data": "user_name" },
                    { "data": "checkin" },
                    { "data": "checkout" },
                    { "data": "report" },
              

                ],
                "buttons":[

                ],
            });
            //table.draw(); 
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\users\3pl\index.blade.php ENDPATH**/ ?>