

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('Angel Subscription'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<!-- select2 css -->
<link href="<?php echo e(URL::asset('/assets/libs/select2/select2.min.css')); ?>" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="<?php echo e(URL::asset('/assets/css/custom-dropzone.css')); ?>" rel="stylesheet" type="text/css" />
<style>
    .nav-tabs .nav-link.active span.tab-title{
        color:#50DDE2;
    }
    .tab-title{
        color:#000;
    }
    .tab-header{
        margin-bottom: 50px;
    }
    </style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<div class="row content-panel-header">
    <div class="col-sm-4 page-title-box">
        <h4 class="mb-sm-0 font-size-18">ANGEL SERVICES - subscriptions</h4>
    </div>
</div>


<?php

    $time = new DateTime("00.15");
    $close = new DateTime("03.00");
    while ($time < $close) {
        $day[] = $time->format('H:i');
        $time->modify('+15 minutes');
    }
    
?>
<div class="row">
    <div class="col-12">
    
    <?php if($angelService->id): ?>
    <form  class="needs-validation" id="edit_form" action="<?php echo e(route('subscription-plan.angel-service.update', ['angel_service' => $angelService->id] )); ?>" method="post" enctype="multipart/form-data" novalidate>
    <?php echo method_field('put'); ?>
    <?php else: ?>
    <form  class="needs-validation" id="edit_form" action="<?php echo e(route('subscription-plan.angel-service.store')); ?>" method="post" enctype="multipart/form-data" novalidate>
    <?php endif; ?>
    <?php echo csrf_field(); ?>

    <input name="id" type="hidden"  value="<?php echo e($angelService->id); ?>" />
   
        <div class="card">
            <div class="card-body">
                <div class="card-title content-card-title">Create / Edit  Vehicle Subscription Details</div>
                <div class="mb-3 row">
                    <label for="plan_name" class="col-md-2 col-form-label">Plan Name<span class="required-sym">*</span></label>
                    <div class="col-md-6">
                        <input id="plan_name" name="plan_name" type="text" class="form-control" placeholder="Type here" value="<?php echo e($angelService->plan_name); ?>" required>
                        <div  id="plan_name_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row"> 
                    <label for="business_category_id" class="col-md-2 col-form-label">Business Category<span class="required-sym">*</span></label>
                    <div class="col-md-6">
                        <select id="business_category_id" name="business_category_id" class="form-select" required>
                            <option value=''>Select...</option>
                                <?php $__currentLoopData = $businessCategoryList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $businessCategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($businessCategory->id); ?>" <?php echo e($angelService->business_category_id ==  $businessCategory->id ? 'selected' : ''); ?>><?php echo e($businessCategory->business_category); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                        </select>
                        <div  id="business_category_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row"> 
                    <label for="business_model_id" class="col-md-2 col-form-label">Business Model<span class="required-sym">*</span></label>
                    <div class="col-md-6">
                        <select id="business_model_id" name="business_model_id" class="form-select" required>
                            <option value=''>Select...</option>
                                <?php $__currentLoopData = $businessModelsList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $businessModels): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($businessModels->id); ?>" <?php echo e($angelService->business_model_id ==  $businessModels->id ? 'selected' : ''); ?>><?php echo e($businessModels->business_model); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                        </select>
                        <div  id="business_model_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <h4 class="card-title">Subscription Policy</h4>
                <div>
                    <!-- Nav tabs -->
                    <ul class="nav nav-tabs" role="tablist">
                        <li class="nav-item">
                            <a class="nav-link active" data-bs-toggle="tab" href="#product_tab" role="tab">
                                <span class="d-none d-sm-block tab-title">Service</span>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" data-bs-toggle="tab" href="#base_plan_tab" role="tab">
                                <span class="tab-title d-none d-sm-block">Base Plan</span>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" data-bs-toggle="tab" href="#location_regions_tab" role="tab">
                                <span class="tab-title d-none d-sm-block">Location / Regions</span>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" data-bs-toggle="tab" href="#terms_condition_tab" role="tab">
                                <span class="tab-title d-none d-sm-block">Terms & Condition</span>
                            </a>
                        </li>
                    </ul>
                    <!-- Tab panes -->
                    <div class="tab-content p-3 text-muted">
                        <!-- User Details -->
                        <!--<h3>Product</h3>
                        <section>-->
                        <div class="tab-pane active" id="product_tab" role="tabpanel">
                            <div class="tab-header">
                                <h5 class="tab-title">Product</h5>
                                <small>Select the product that you want to create subscription for</small>
                            </div>

                            <div class="mb-3 row">
                                <input id="category_id" name="category_id" type="hidden"  value="4">
                                <label for="oem_id" class="col-md-2 col-form-label">Angel Service Type<span class="required-sym">*</span></label>
                                <div class="col-md-6">
                                    <select id="service_type_id" name="service_type_id" class="form-select" required>
                                        <option value=''>Select...</option>
                                            <?php $__currentLoopData = $serviceTypeList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $serviceType): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($serviceType->id); ?>" <?php echo e($angelService->service_type_id ==  $serviceType->id ? 'selected' : ''); ?>><?php echo e($serviceType->service_type); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <div id="service_type_id_errors" class="invalid-feedback">
                                    </div>
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="product_overview" class="col-md-2 col-form-label">Subscription Overview<span class="required-sym">*</span></label>
                                <div class="col-md-6">
                                    <textarea class="form-control" name="product_overview" id="product_overview" placeholder="Type here" required><?php echo e($angelService->product_overview); ?></textarea>
                                    <div  id="product_overview_errors"  class="invalid-feedback">
                                        Required
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!--</section>
                        <h3>Product</h3>
                        <section>-->
                            
                        
                        <div class="tab-pane" id="base_plan_tab" role="tabpanel">
                            
                            <div class="tab-header">
                                <h5 class="tab-title">Base Plan Price</h5>
                                <small>The cost or the amount of money that the business will charge (excluding the tax). Tax will be computed based on the locations’ taxes</small>
                            </div>
                            <div class="mb-3 row">
                                <label for="fixed_price" class="col-md-2 col-form-label">Fixed Price</label>
                                <div class="col-md-6">
                                    <input id="fixed_price" name="fixed_price" type="text" class="form-control" placeholder="Type here" value="<?php echo e($angelService?->fixed_price); ?>" required>
                                    <div  id="fixed_price_errors"  class="invalid-feedback">
                                        Required
                                    </div>
                                </div>
                            </div>
                            <div class="mb-3 row" >
                                <label for="fixed_price_taxation_profile_id" class="col-md-2 col-form-label">Taxation Profile for Fixed Price</label>
                                <div class="col-md-6">
                                    <select id="fixed_price_taxation_profile_id" name="fixed_price_taxation_profile_id" class="fixed_price_taxation_profile_id form-select" >
                                        <option value=''>Select...</option>
                                            <?php $__currentLoopData = $taxationProfileList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $taxationProfile): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($taxationProfile['id'] ?? ''); ?>" data-percentage="<?php echo e($taxationProfile['tax-percentage']); ?>" <?php echo e($angelService->fixed_price_taxation_profile_id == $taxationProfile['id'] ? 'selected' :''); ?> ><?php echo e($taxationProfile['taxation_profile']); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>  
                                    </select>
                                    <small class="fixed-price-tax-percentage"></small>
                                </div>
                                <div  id="fixed_price_taxation_profile_id_errors"  class="invalid-feedback">
                                    Required
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="convenience_price" class="col-md-2 col-form-label">Convenience price</label>
                                <div class="col-md-6">
                                    <input type="radio" name="have_convenience_price"  id="have_convenience_price1" value="Yes"  <?php echo e($angelService->have_convenience_price == "Yes" ? 'checked' : ''); ?> />
                                    <label for="have_convenience_price1">Yes</label>
                                    <input type="radio" name="have_convenience_price"  id="have_convenience_price2" value="No" />
                                    <label for="have_convenience_price2">No</label>
                                    <div class="have_convenience_price_yes_fields" style="<?php echo e($angelService?->have_convenience_price == 'Yes' ? '' : 'display:none;'); ?>" >
                                        <input id="convenience_price" name="convenience_price" type="text" class="form-control" placeholder="Type here" value="<?php echo e($angelService?->convenience_price); ?>">
                                        <small>Please enter the amount with decimals. e.g : 199.00 / 99.50</small>
                                    </div>
                                </div>
                            </div>
                            <div class="mb-3 row have_convenience_price_yes_fields" style="<?php echo e($angelService?->have_convenience_price == 'Yes' ? '' : 'display:none;'); ?>" >
                                <label for="convenience_price_taxation_profile_id" class="col-md-2 col-form-label">Taxation Profile for Convenience price</label>
                                <div class="col-md-6">
                                    <select id="convenience_price_taxation_profile_id" name="convenience_price_taxation_profile_id" class="convenience_price_taxation_profile_id form-select" >
                                        <option value=''>Select...</option>
                                            <?php $__currentLoopData = $taxationProfileList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $taxationProfile): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($taxationProfile['id'] ?? ''); ?>" data-percentage="<?php echo e($taxationProfile['tax-percentage']); ?>" <?php echo e($angelService->convenience_price_taxation_profile_id == $taxationProfile['id'] ? 'selected' :''); ?> ><?php echo e($taxationProfile['taxation_profile']); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>  
                                    </select>
                                    <small class="convenience-price-tax-percentage"></small>
                                </div>
                                <div  id="convenience_price_taxation_profile_id_errors"  class="invalid-feedback">
                                    Required
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="delivery_charge" class="col-md-2 col-form-label">Delivery Charge</label>
                                <div class="col-md-6">
                                    <input type="radio" name="have_delivery_charge"  id="have_delivery_charge1" value="Yes"  <?php echo e($angelService->have_delivery_charge == "Yes" ? 'checked' : ''); ?> />
                                    <label for="have_delivery_charge1">Yes</label>
                                    <input type="radio" name="have_delivery_charge"  id="have_delivery_charge2" value="No" />
                                    <label for="have_delivery_charge2">No</label>
                                    <div class="have_delivery_charge_yes_fields" style="<?php echo e($angelService?->have_delivery_charge == 'Yes' ? '' : 'display:none;'); ?>" >
                                        <input id="delivery_charge" name="delivery_charge" type="text" class="form-control" placeholder="Type here" value="<?php echo e($angelService?->delivery_charge); ?>">
                                        <small>Please enter the amount with decimals. e.g : 199.00 / 99.50</small>
                                    </div>
                                </div>
                            </div>
                            <div class="mb-3 row have_delivery_charge_yes_fields" style="<?php echo e($angelService?->have_delivery_charge == 'Yes' ? '' : 'display:none;'); ?>" >
                                <label for="delivery_charge_taxation_profile_id" class="col-md-2 col-form-label">Taxation Profile for Delivery Charge</label>
                                <div class="col-md-6">
                                    <select id="delivery_charge_taxation_profile_id" name="delivery_charge_taxation_profile_id" class="delivery_charge_taxation_profile_id form-select" >
                                        <option value=''>Select...</option>
                                            <?php $__currentLoopData = $taxationProfileList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $taxationProfile): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($taxationProfile['id'] ?? ''); ?>" data-percentage="<?php echo e($taxationProfile['tax-percentage']); ?>" <?php echo e($angelService->delivery_charge_taxation_profile_id == $taxationProfile['id'] ? 'selected' :''); ?> ><?php echo e($taxationProfile['taxation_profile']); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>  
                                    </select>
                                    <small class="delivery-charge-tax-percentage"></small>
                                </div>
                                <div  id="delivery_charge_taxation_profile_id_errors"  class="invalid-feedback">
                                    Required
                                </div>
                            </div>
                        </div>
                        
                        
                        <!--</section>
                        <h3>Product</h3>
                        <section>-->
                        <div class="tab-pane" id="location_regions_tab" role="tabpanel">
                            
                            <div class="repeater" enctype="multipart/form-data">
                                <div data-repeater-list="location_regions_list" class="location_regions_tab">
                                    <div class="row">
                                    <div class="tab-header col-md-10 ">
                                        <h5 class="tab-title">Location / Regions</h5>
                                        <small>The location where the plan is applicable</small>
                                    </div>
                                    
                                    <div class="col-md-2">
                                        <input data-repeater-create type="button"  class="add_parts btn btn-primary waves-effect waves-light" value="Add Location" />
                                    </div>
                                    </div>
                                    <?php if($angelService->location->count() > 0): ?>
                                    <?php $__currentLoopData = $angelService->location; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $locationReg): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div data-repeater-item class="row asset_location_item">
                                        <div class="mb-3 row">
                                            <label for="location_id" class="col-md-2 col-form-label">Choose Location</label>
                                            <div class="col-md-6">
                                                <input name="angel_service_location_id" type="hidden"  value="<?php echo e($locationReg->id); ?>" />

                                                <select id="location_id" name="location_id" class="form-select">
                                                    <option value=''>Select...</option>
                                                        <?php $__currentLoopData = $locationList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $location): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($location->id); ?>" <?php echo e($locationReg->location_id == $location->id ? 'selected' :''); ?>><?php echo e($location->location); ?></option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                                </select>
                                                <small>Please choose the location</small>
                                            </div>
                                        </div>
                                        <div class="mb-3 row">
                                            <label for="base_price" class="col-md-2 col-form-label">Location Base Price</label>
                                            <div class="col-md-6">
                                                <input id="base_price" name="base_price" type="text" class="form-control" placeholder="Type here" value="<?php echo e($locationReg->base_price); ?>" required>
                                                <small>Add the amount as required to the location and cliend relationship</small>
                                            </div>
                                        </div>
                                            
                                        <div class="mb-3 row" >
                                            <label for="base_price_taxation_profile_id" class="col-md-2 col-form-label">Taxation Profile for Location Base Price</label>
                                            <div class="col-md-6">
                                                <select id="base_price_taxation_profile_id" name="base_price_taxation_profile_id" class="base_price_taxation_profile_id form-select" >
                                                    <option value=''>Select...</option>
                                                        <?php $__currentLoopData = $taxationProfileList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $taxationProfile): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($taxationProfile['id'] ?? ''); ?>" data-percentage="<?php echo e($taxationProfile['tax-percentage']); ?>" <?php echo e($locationReg->base_price_taxation_profile_id == $taxationProfile['id'] ? 'selected' :''); ?> ><?php echo e($taxationProfile['taxation_profile']); ?></option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>  
                                                </select>
                                                <small class="base-price-tax-percentage"></small>
                                            </div>
                                            <div  id="base_price_taxation_profile_id_errors"  class="invalid-feedback">
                                                Required
                                            </div>
                                        </div>
                                        <div class="mb-3 row">
                                            <label for="convenience_fee" class="col-md-2 col-form-label">Convenience Fee</label>
                                            <div class="col-md-6">
                                                <input id="convenience_fee" name="convenience_fee" type="text" class="convenience_fee form-control" placeholder="Type here" value="<?php echo e($locationReg->convenience_fee); ?>">
                                                <small>Add the amount as required to the location and client relationship</small>
                                            </div>
                                        </div>
                                        <div class="mb-3 row" >
                                            <label for="convenience_fee_taxation_profile_id" class="col-md-2 col-form-label">Taxation Profile for Convenience Fee</label>
                                            <div class="col-md-6">
                                                <select id="convenience_fee_taxation_profile_id" name="convenience_fee_taxation_profile_id" class="convenience_fee_taxation_profile_id form-select" >
                                                    <option value=''>Select...</option>
                                                        <?php $__currentLoopData = $taxationProfileList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $taxationProfile): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($taxationProfile['id'] ?? ''); ?>" data-percentage="<?php echo e($taxationProfile['tax-percentage']); ?>" <?php echo e($locationReg->convenience_fee_taxation_profile_id == $taxationProfile['id'] ? 'selected' :''); ?> ><?php echo e($taxationProfile['taxation_profile']); ?></option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>  
                                                </select>
                                                <small class="convenience-fee-tax-percentage"></small>
                                                <div  id="convenience_fee_taxation_profile_id_errors"  class="invalid-feedback">
                                                    Required
                                                </div>
                                            </div>
                                        </div>
                                        <div class="mb-3 row">
                                            <label for="delivery_fee" class="col-md-2 col-form-label">Delivery Fee</label>
                                            <div class="col-md-6">
                                                <input id="delivery_fee" name="delivery_fee" type="text" class="delivery_fee form-control" placeholder="Type here" value="<?php echo e($locationReg->delivery_fee); ?>">
                                                <small>Add the amount as required to the location and client relationship</small>
                                            </div>
                                        </div>
                                        <div class="mb-3 row" >
                                            <label for="delivery_fee_taxation_profile_id" class="col-md-2 col-form-label">Taxation Profile for Convenience Fee</label>
                                            <div class="col-md-6">
                                                <select id="delivery_fee_taxation_profile_id" name="delivery_fee_taxation_profile_id" class="delivery_fee_taxation_profile_id form-select" >
                                                    <option value=''>Select...</option>
                                                        <?php $__currentLoopData = $taxationProfileList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $taxationProfile): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($taxationProfile['id'] ?? ''); ?>" data-percentage="<?php echo e($taxationProfile['tax-percentage']); ?>" <?php echo e($locationReg->delivery_fee_taxation_profile_id == $taxationProfile['id'] ? 'selected' :''); ?> ><?php echo e($taxationProfile['taxation_profile']); ?></option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>  
                                                </select>
                                                <small class="delivery-fee-tax-percentage"></small>
                                                <div  id="delivery_fee_taxation_profile_id_errors"  class="invalid-feedback">
                                                    Required
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <input data-repeater-delete type="button" class="delete-location btn btn-primary-borderd" value="Delete Location"  data-id="<?php echo e($locationReg->id); ?>" data-url="<?php echo e(route('subscription-plan.angel-service.delete-location', $locationReg->id)); ?>"/>
                                            </div>
                                        </div>
                                    </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php else: ?>
                                    <div data-repeater-item class="row asset_location_item">
                                        <div class="mb-3 row">
                                            <label for="location_id" class="col-md-2 col-form-label">Choose Location</label>
                                            <div class="col-md-6">
                                                <select id="location_id" name="location_id" class="form-select">
                                                    <option value=''>Select...</option>
                                                        <?php $__currentLoopData = $locationList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $location): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($location->id); ?>"><?php echo e($location->location); ?></option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                                </select>
                                                <small>Please choose the location</small>
                                            </div>
                                        </div>
                                        <div class="mb-3 row">
                                            <label for="base_price" class="col-md-2 col-form-label">Location Base Price</label>
                                            <div class="col-md-6">
                                                <input id="base_price" name="base_price" type="text" class="form-control" placeholder="Type here" required>
                                                <small>Add the amount as required to the location and cliend relationship</small>
                                            </div>
                                        </div>
                                        <div class="mb-3 row" >
                                            <label for="base_price_taxation_profile_id" class="col-md-2 col-form-label">Taxation Profile for Location Base Price</label>
                                            <div class="col-md-6">
                                                <select id="base_price_taxation_profile_id" name="base_price_taxation_profile_id" class="base_price_taxation_profile_id form-select" >
                                                    <option value=''>Select...</option>
                                                        <?php $__currentLoopData = $taxationProfileList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $taxationProfile): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($taxationProfile['id'] ?? ''); ?>" data-percentage="<?php echo e($taxationProfile['tax-percentage']); ?>"  ><?php echo e($taxationProfile['taxation_profile']); ?></option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>  
                                                </select>
                                                <small class="base-price-tax-percentage"></small>
                                            </div>
                                            <div  id="base_price_taxation_profile_id_errors"  class="invalid-feedback">
                                                Required
                                            </div>
                                        </div>
                                        <div class="mb-3 row">
                                            <label for="convenience_fee" class="col-md-2 col-form-label">Convenience Fee</label>
                                            <div class="col-md-6">
                                                <input id="convenience_fee" name="convenience_fee" type="text" class="convenience_fee form-control" placeholder="Type here" >
                                                <small>Add the amount as required to the location and client relationship</small>
                                            </div>
                                        </div>
                                        <div class="mb-3 row" >
                                            <label for="convenience_fee_taxation_profile_id" class="col-md-2 col-form-label">Taxation Profile for Convenience Fee</label>
                                            <div class="col-md-6">
                                                <select id="convenience_fee_taxation_profile_id" name="convenience_fee_taxation_profile_id" class="convenience_fee_taxation_profile_id form-select" >
                                                    <option value=''>Select...</option>
                                                        <?php $__currentLoopData = $taxationProfileList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $taxationProfile): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($taxationProfile['id'] ?? ''); ?>" data-percentage="<?php echo e($taxationProfile['tax-percentage']); ?>"  ><?php echo e($taxationProfile['taxation_profile']); ?></option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>  
                                                </select>
                                                <small class="convenience-fee-tax-percentage"></small>
                                                <div  id="convenience_fee_taxation_profile_id_errors"  class="invalid-feedback">
                                                    Required
                                                </div>
                                            </div>
                                        </div>
                                        <div class="mb-3 row">
                                            <label for="delivery_fee" class="col-md-2 col-form-label">Delivery Fee</label>
                                            <div class="col-md-6">
                                                <input id="delivery_fee" name="delivery_fee" type="text" class="delivery_fee form-control" placeholder="Type here" >
                                                <small>Add the amount as required to the location and client relationship</small>
                                            </div>
                                        </div>
                                        <div class="mb-3 row" >
                                            <label for="delivery_fee_taxation_profile_id" class="col-md-2 col-form-label">Taxation Profile for Delivery Fee</label>
                                            <div class="col-md-6">
                                                <select id="delivery_fee_taxation_profile_id" name="delivery_fee_taxation_profile_id" class="delivery_fee_taxation_profile_id form-select" >
                                                    <option value=''>Select...</option>
                                                        <?php $__currentLoopData = $taxationProfileList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $taxationProfile): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($taxationProfile['id'] ?? ''); ?>" data-percentage="<?php echo e($taxationProfile['tax-percentage']); ?>"  ><?php echo e($taxationProfile['taxation_profile']); ?></option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>  
                                                </select>
                                                <small class="delivery-fee-tax-percentage"></small>
                                                <div  id="delivery_fee_taxation_profile_id_errors"  class="invalid-feedback">
                                                    Required
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <input data-repeater-delete type="button" class="btn btn-primary-borderd" value="Delete Location" />
                                            </div>
                                        </div>
                                    </div>
                                    <?php endif; ?>

                                </div>
                            </div>
                        </div>
                        
                        <!--</section>
                        <h3>Product</h3>
                        <section>-->
                        <div class="tab-pane" id="terms_condition_tab" role="tabpanel">
                            
                            <div class="repeater" enctype="multipart/form-data">
                                <div data-repeater-list="terms_condition_list" class="terms_condition_tab">
                                    <div class="row">
                                    <div class="tab-header col-md-10 ">
                                        <h5 class="tab-title">Terms & Condition</h5>
                                        <small>Set Terms and condition for this plan</small>
                                    </div>
                                    
                                    <div class="col-md-2">
                                        <input data-repeater-create type="button"  class="add_parts btn btn-primary waves-effect waves-light" value="Add Terms & Condition" />
                                    </div>
                                    </div>
                                    
                                    <?php if(isset($angelService->terms[0])): ?>
                                    <?php $__currentLoopData = $angelService->terms; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $terms): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                    <div data-repeater-item class="row asset_part_item">
                                        <div class="mb-3 row">
                                            <label for="image" class="col-md-2 col-form-label">Image</label>
                                            <div class="col-md-6">
                                                <input name="terms_conditionn_id" type="hidden"  value="<?php echo e($terms->id); ?>" />
                                               <div class="<?php echo e($terms->image ? ' ' :'collapse '); ?>terms_image /">
                                                <img src="<?php echo e('/storage' .$terms->image); ?>" style="width: 80px;" />
                                                <input  type="button" class="terms-condition-image btn btn-primary-borderd" value="Delete Image" data-id="<?php echo e($terms->id); ?>" data-url="<?php echo e(route('subscription-plan.angel-service.terms-condition-image', $terms->id)); ?>" />
                                                </div>
                                               <div class="<?php echo e($terms->image ? 'collapse ' :''); ?>terms_image_field ">
                                                <input type="file" name="image" class="form-control" id="image" />
                                                <small>Choose an image of zice 200 x 200 to upload as icon</small>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="mb-3 row">
                                            <label for="terms_condition" class="col-md-2 col-form-label">T & C Text</label>
                                            <div class="col-md-6">
                                                <input id="terms_condition" name="terms_condition" type="text" class="form-control" placeholder="Type here" value="<?php echo e($terms->terms_condition); ?>" />
                                                <small></small>
                                            </div>
                                            <div class="col-md-4">
                                                <input data-repeater-delete type="button" class="terms-condition btn btn-primary-borderd" value="Delete Terms & Condition" data-id="<?php echo e($terms->id); ?>" data-url="<?php echo e(route('subscription-plan.angel-service.terms-condition', $terms->id)); ?>" />
                                            </div>
                                        </div>
                                    </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php else: ?>
                                    <div data-repeater-item class="row asset_part_item">
                                        <div class="mb-3 row">
                                            <label for="image" class="col-md-2 col-form-label">Image</label>
                                            <div class="col-md-6">
                                                <input type="file" name="image" class="form-control" id="image" />
                                                <small>Choose an image of zice 200x200 to upload as icon</small>
                                            </div>
                                        </div>
                                        <div class="mb-3 row">
                                            <label for="terms_condition" class="col-md-2 col-form-label">T & C Text</label>
                                            <div class="col-md-6">
                                                <input id="terms_condition" name="terms_condition" type="text" class="form-control" placeholder="Type here" />
                                                <small></small>
                                            </div>
                                            <div class="col-md-4">
                                                <input data-repeater-delete type="button" class="btn btn-primary-borderd" value="Delete Terms & Condition" />
                                            </div>
                                        </div>
                                    </div>
                                    <?php endif; ?>

                                </div>
                            </div>
                            
                
                        </div>
                        <!--</section>-->
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2" style="float: right;">
                    <a href="<?php echo e(route('subscription-plan.angel-service.index')); ?>" type="button" class="save_changes btn btn-secondary waves-effect waves-light">Cancel</a>
                    <button type="submit" class="save_changes btn btn-primary waves-effect waves-light">Save Changes</button>
                </div>
            </div>
        </div> 
    
   </form>
    </div>
</div>
<!-- end row -->

<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!-- select 2 plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/select2/select2.min.js')); ?>"></script>

    <!-- dropzone plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.js')); ?>"></script>

<!-- init js -->
<script src="<?php echo e(URL::asset('/assets/js/pages/ecommerce-select2.init.js')); ?>"></script>
<!--tinymce js-->
<script src="<?php echo e(URL::asset('/assets/libs/tinymce/tinymce.min.js')); ?>"></script>

<!-- init js -->
<script src="<?php echo e(URL::asset('/assets/js/pages/form-editor.init.js')); ?>"></script>
<script src="<?php echo e(URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js')); ?>"></script>

<script src="<?php echo e(URL::asset('/assets/js/pages/form-validation.init.js')); ?>"></script>
<script src="<?php echo e(URL::asset('/assets/libs/jquery-repeater/jquery-repeater.min.js')); ?>"></script>

<script src="<?php echo e(URL::asset('/assets/js/pages/form-repeater.int.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/js/custom.js')); ?>"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        
        var actionUrl = "<?php echo e(route('vendor-oem.oem-by-category')); ?>";
        var token = "<?php echo e(csrf_token()); ?>";
        updateVendorOemOption(actionUrl, token);
        
       
        
        
        $('.KWH_Units_fields').hide();
        $('.by_duration_fields').hide();
        $('.by_cot_fields').hide();
        base_plan_change($('input[type=radio][name=base_plan]:checked').val());
        $('input[type=radio][name=base_plan]').on('change', function() { 
            base_plan_change($(this).val());
        });
        $('input[type=radio][name=have_convenience_price]').on('change', function() {
            if($(this).val() == 'Yes'){
                $('.have_convenience_price_yes_fields').show();
            }else{
                $('.have_convenience_price_yes_fields').hide();
            }

        });
        $('#convenience_price').on('change', function() {
            convenience_fee = $('.convenience_fee').val();
            if(convenience_fee == ''){
                $('.convenience_fee').val($(this).val());
            }
        });
        $('input[type=radio][name=have_delivery_charge]').on('change', function() {
            if($(this).val() == 'Yes'){
                $('.have_delivery_charge_yes_fields').show();
            }else{
                $('.have_delivery_charge_yes_fields').hide();
            }

        });
        $('#delivery_charge').on('change', function() {
            
            deliveryCharge = $('.delivery_fee ').val();
            if(deliveryCharge == ''){
                $('.delivery_fee ').val($(this).val());
            }
        });
        $('#fixed_price').on('change', function() {
            
            base_price = $('.base_price ').val();
            if(base_price == ''){
                $('.base_price ').val($(this).val());
            }
        });
        $(document).on('change', '.taxation_profile_id', function(event) {
            taxPercentage = $(this).find(":selected").attr('data-percentage');
            if(taxPercentage != ''){
                $(this).next().text( taxPercentage);
            }
        });
        $( "#edit_form" ).submit(function( event ) {
            event.preventDefault();
            actionUrl = "<?php echo e(route('subscription-plan.angel-service.validate')); ?>";
            form = $( "#edit_form" );
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: form.serialize(), // serializes the form's elements.
                success: function(data){ 
                    $('.needs-validation').addClass('validated');
                    form.unbind().submit();
                   
                },
                error: function (data) {
                    response = data.responseJSON;
                    if(response.mode == false){
                       
                        validationErrors(response);
                    }
                },
            });
        });
        
        $(document).on('click', '.delete-location', function(event) {
            event.preventDefault();
            id = $(this).attr('data-id');
            actionUrl = $(this).attr('data-url');
            $.ajax({
                type: "GET",
                url: actionUrl,
                success: function(data){ 
                    $(this).parent('.row').addClass('collapse');
                },
                error: function (data) {
                    
                },
            });
        });
        $(document).on('click', '.terms-condition', function(event) {
            event.preventDefault();
            id = $(this).attr('data-id');
            actionUrl = $(this).attr('data-url');
            $.ajax({
                type: "GET",
                url: actionUrl,
                success: function(data){ 
                    $(this).parent('.row').addClass('collapse');
                },
                error: function (data) {
                    
                },
            });
        });
        
        $(document).on('click', '.terms-condition-image', function(event) {
            event.preventDefault();
            button = $(this);
            id = $(this).attr('data-id');
            actionUrl = $(this).attr('data-url');
            $.ajax({
                type: "GET",
                url: actionUrl,
                success: function(data){
                    fieldDiv = button.next('div.terms_image_field ');
                    fieldDiv.removeClass('collapse')
                    console.log(fieldDiv);
                },
                error: function (data) {
                    
                },
            });
        });
        
    });
    
    function base_plan_change(base_plan){
        
        if(base_plan == 'KWH Units'){              
                $('.KWH_Units_fields').show();
                $('.by_duration_fields').hide();
                $('.by_cot_fields').hide();
            }else if(base_plan == 'Duration'){
                $('.KWH_Units_fields').hide();
                $('.by_duration_fields').show();
                $('.by_cot_fields').hide();
            }else if(base_plan == 'Cost'){               
                $('.KWH_Units_fields').hide();
                $('.by_cot_fields').show();
                $('.by_duration_fields').hide();
            }
    }

    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\subscription_plan\angel_service\edit.blade.php ENDPATH**/ ?>