

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('translation.Feedback Rating'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<!-- select2 css -->
<link href="<?php echo e(URL::asset('/assets/libs/select2/select2.min.css')); ?>" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.css')); ?>" rel="stylesheet" type="text/css" />
<style>
    .impression-add{
        
    float: right;
    text-align: right;    
    margin-top: -50px !important;
    margin-left: -50px;
    }
    </style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<?php $__env->startComponent('components.breadcrumb'); ?>
<?php $__env->slot('li_1'); ?> Feedback Rating <?php $__env->endSlot(); ?>
<?php $__env->slot('title'); ?> Edit Feedback Rating <?php $__env->endSlot(); ?>
<?php echo $__env->renderComponent(); ?>

<div class="row">
    <div class="col-12">
        
    <form  class="needs-validation" id="edit_form" action="<?php echo e(route('cms.feedback-rating.update', ['feedback_rating' => $feedbackRating->id] )); ?>" method="post" enctype="multipart/form-data" novalidate>
    <?php echo method_field('put'); ?>
    <?php echo csrf_field(); ?>
    <input name="id" type="hidden"  value="<?php echo e($feedbackRating->id); ?>" />
    
    <div class="card">
            <div class="card-body">
                <h5>Feedback Rating Details</h5><br>
                <div class="mb-3 row">
                    <label for="feedback_rating_for" class="col-md-2 col-form-label">Feedback Rating Category</label>
                    <div class="col-md-6">
                        <select id="feedback_rating_for" name="feedback_rating_for" class="form-select" required>
                            <option value=''>Select...</option>
                            <option value="1" <?php echo e($feedbackRating->feedback_rating_for == '1' ? 'selected' : ''); ?>>Order Booking Process</option>
                            <option value="2" <?php echo e($feedbackRating->feedback_rating_for == '2' ? 'selected' : ''); ?>>Order Fullfillment</option>
                            <option value="3" <?php echo e($feedbackRating->feedback_rating_for == '3' ? 'selected' : ''); ?>>Delivery by Angel</option>
                        </select>
                        <div  id="feedback_rating_for_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="mobile_user" class="col-md-2 col-form-label">Mobile User</label>
                    <div class="col-md-6">
                        <select id="mobile_user" name="mobile_user" class="form-select">
                            <option value=''>Select...</option>
                            <option value="Customer App" <?php echo e($feedbackRating->mobile_user == 'Customer App' ? 'selected' : ''); ?>>Customer App</option>
                            <option value="Angel Driver" <?php echo e($feedbackRating->mobile_user == 'Angel Driver' ? 'selected' : ''); ?>>Angel Driver</option>
                            <option value="OPS Angel" <?php echo e($feedbackRating->mobile_user == 'OPS Angel' ? 'selected' : ''); ?>>OPS Angel</option>
                        </select>
                        <div  id="mobile_user_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <h5>Information Details</h5><br>
                
                <div class="mb-3 row">
                    <label for="star_rating" class="col-md-2 col-form-label">Star Rating</label>
                    <div class="col-md-6">
                        <input id="star_rating" name="star_rating" type="text" class="form-control" placeholder="Star Rating" value="<?php echo e($feedbackRating->star_rating); ?>"/>
                    </div>
                </div>

                <div class="repeater" enctype="multipart/form-data">
                    <div data-repeater-list="impression-points" class="impression-points">
                        
                        <?php if($feedbackRating->ratingImpression): ?>
                        <?php $__currentLoopData = $feedbackRating->ratingImpression; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ratingImpression): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                        <div data-repeater-item class="row" >
                            <div class="mb-3 row">
                                <label for="impression_points" class="col-md-2 col-form-label">Impression Points</label>
                                <div class="col-md-6" style="z-index: 1000;">
                                    <input type="hidden" value="<?php echo e($ratingImpression->id); ?>" name="impression_id" />
                                    <input id="impression_points" name="impression_points" type="text" class="form-control" placeholder="Impression Points" value="<?php echo e($ratingImpression->impression_points); ?>"/>
                                </div>
                            </div>
                        </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php else: ?>
                        <div data-repeater-item class="row">
                            <div class="mb-3 row">
                                <label for="impression_points" class="col-md-2 col-form-label">Impression Points</label>
                                <div class="col-md-6" style="z-index: 1000;">
                                    <input id="impression_points" name="impression_points" type="text" class="form-control" placeholder="Impression Points" />
                                </div>
                            </div>
                        </div>

                        <?php endif; ?>
                        
                    </div>
                    <div class="row">
                    
                        <div class="col-md-9 impression-add">
                            <input data-repeater-create type="button"  class="impression-point-add-btn btn btn-primary waves-effect waves-light" value="Add" />
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="allow_remark" class="col-md-2 col-form-label">Allow Remark</label>
                    <div class="col-md-1">
                        <input class="form-check-input" type="radio" name="allow_remark"  value="Yes" id="allow_remark1" <?php echo e($feedbackRating->allow_remark == 'Yes' ? 'checked' : ''); ?> />
                        <label class="form-check-label" for="allow_remark1">
                            Yes
                        </label>
                    </div>
                    <div class="col-md-1">
                        <input class="form-check-input" type="radio" name="allow_remark"  value="No" id="allow_remark2" <?php echo e($feedbackRating->allow_remark == 'No' ? 'checked' : ''); ?> />
                        <label class="form-check-label" for="allow_remark2">
                            No
                        </label>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2">
                    <button type="submit" class="btn btn-primary waves-effect waves-light">Save Changes</button>
                </div>
            </div>
        </div>
   </form>
    </div>
</div>
<!-- end row -->

<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!-- select 2 plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/select2/select2.min.js')); ?>"></script>

    <!-- dropzone plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/ecommerce-select2.init.js')); ?>"></script>
    <!--tinymce js-->
    <script src="<?php echo e(URL::asset('/assets/libs/tinymce/tinymce.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/form-editor.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js')); ?>"></script>

    <script src="<?php echo e(URL::asset('/assets/js/pages/form-validation.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/jquery-repeater/jquery-repeater.min.js')); ?>"></script>

    <script src="<?php echo e(URL::asset('/assets/js/pages/form-repeater.int.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/js/custom.js')); ?>"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        
        $( "#edit_form" ).submit(function( event ) {
            event.preventDefault();
            actionUrl = "<?php echo e(route('cms.feedback-rating.validate')); ?>";
            form = $( "#edit_form" );
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: form.serialize(), // serializes the form's elements.
                success: function(data){ 
                    $('.needs-validation').addClass('validated');
                    form.unbind().submit(); 
                },
                error: function (data) {
                    console.log('An error occurred.');
                    response = data.responseJSON;
                    if(response.mode == false){
                        $.each(response.errors, function(i, item) {
                             $('#'+i+'_errors').html(response.errors[i]); 
                            $('#'+i+'_errors').css('display', 'block');
                        });
                    }
                },
            });
        });
    });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\cms\feedback_rating\edit.blade.php ENDPATH**/ ?>