<!-- ========== Left Sidebar Start ========== -->
<div class="vertical-menu">

    <div data-simplebar class="h-100">

        <!--- Sidemenu -->
        <div id="sidebar-menu">
            <!-- Left Menu Start -->
            <ul class="metismenu list-unstyled" id="side-menu">
                <li class="menu-title" key="t-menu"><?php echo app('translator')->get('translation.Menu'); ?></li>

                <li>
                    <a href="<?php echo e(route('admin.dashboard')); ?>" class="waves-effect">
                        <i class="bx bx-file"></i>
                        <span key="t-file-manager"><?php echo app('translator')->get('Dashboard'); ?></span>
                    </a>
                </li>

                 <li>
                    <a href="javascript: void(0);" class="has-arrow waves-effect">
                        <i class="bx bx-calendar"></i>
                        <span key="t-dashboards"><?php echo app('translator')->get('translation.Master'); ?></span>
                    </a>
                    <ul class="sub-menu" aria-expanded="true">
                        <li>
                            <a href="javascript: void(0);" class="has-arrow"
                                key="t-zones"><?php echo app('translator')->get('Asset Master'); ?></a>
                            <ul class="sub-menu" aria-expanded="true">
                                <li><a href="<?php echo e(route('property-types.index')); ?>" key="t-zones"><?php echo app('translator')->get('Asset Property'); ?></a></li>
                                <li><a href="<?php echo e(route('product-types.index')); ?>"key="t-topbar-light"><?php echo app('translator')->get('Electric Product'); ?></a></li>
                                <li><a href="<?php echo e(route('vehicle.index')); ?>"key="t-topbar-light"><?php echo app('translator')->get('OEM'); ?></a></li>
                                <li><a href="<?php echo e(route('vehicleoemmodel.index')); ?>"key="t-topbar-light"><?php echo app('translator')->get('OEM Model'); ?></a></li>

                            </ul>
                        </li>

                        <li>
                            <a href="javascript: void(0);" class="has-arrow"
                                key="t-zones"><?php echo app('translator')->get('translation.After Sale Service'); ?></a>
                            <ul class="sub-menu" aria-expanded="true">
                                <li><a href="<?php echo e(route('emergency-services.index')); ?>" key="t-topbar-light"><?php echo app('translator')->get('translation.Emergency Service'); ?></a></li>
                                <li><a href="<?php echo e(route('insurance-types.index')); ?>"key="t-topbar-light"><?php echo app('translator')->get('Insurance Type'); ?></a></li>
                                <li><a href="<?php echo e(route('maintenance-types.index')); ?>" key="t-zones"><?php echo app('translator')->get('Maintenance Type'); ?></a></li>
                                <li><a href="<?php echo e(route('purchased-services.index')); ?>" key="t-topbar-light"><?php echo app('translator')->get('translation.Purchased Service'); ?></a></li>
                                <li><a href="<?php echo e(route('va-service-types.index')); ?>" key="t-topbar-light"><?php echo app('translator')->get('translation.Value Added Service'); ?></a></li>
                                <!-- <li><a href="<?php echo e(route('insurance-durations.index')); ?>"key="t-topbar-light"><?php echo app('translator')->get('translation.Insurance Duration'); ?></a></li> -->
                            </ul>
                        </li>

                        <li>
                            <a href="javascript: void(0);" class="has-arrow"
                                key="t-vertical"><?php echo app('translator')->get('Business Master'); ?></a>
                            <ul class="sub-menu" aria-expanded="true">
                                <li><a href="<?php echo e(route('business-categories.index')); ?>"key="t-light-sidebar"><?php echo app('translator')->get('translation.Business Category'); ?></a></li>
                                <li><a href="<?php echo e(route('business-models.index')); ?>"key="t-compact-sidebar"><?php echo app('translator')->get('translation.Business Model'); ?></a></li>
                            </ul>
                        </li>

                        <li>
                            <a href="javascript: void(0);" class="has-arrow"
                                key="t-zones"><?php echo app('translator')->get('Finance Master'); ?></a>
                            <ul class="sub-menu" aria-expanded="true">
                            <li><a href="<?php echo e(route('billing-types.index')); ?>" key="t-topbar-light"><?php echo app('translator')->get('translation.Billing Type'); ?></a></li>     
                            <li><a href="<?php echo e(route('payment-types.index')); ?>" key="t-topbar-light"><?php echo app('translator')->get('Payment Type'); ?></a></li>
                            <li><a href="<?php echo e(route('taxation-profile.index')); ?>" key="t-topbar-light"><?php echo app('translator')->get('Taxation'); ?></a></li>
                            <li><a href="<?php echo e(route('tax-percentage.index')); ?>" key="t-topbar-light"><?php echo app('translator')->get('translation.Tax Percentage'); ?></a></li>
                            </ul>
                        </li>

                        <li>
                            <a href="javascript: void(0);" class="has-arrow"
                                key="t-zones"><?php echo app('translator')->get('Location Master'); ?></a>
                            <ul class="sub-menu" aria-expanded="true">
                                <li><a href="<?php echo e(route('zones.index')); ?>" key="t-zones"><?php echo app('translator')->get('Zone'); ?></a></li>
                                <li><a href="<?php echo e(route('states.index')); ?>"key="t-topbar-light"><?php echo app('translator')->get('translation.State'); ?></a></li>
                                <li><a href="<?php echo e(route('districts.index')); ?>"key="t-boxed-width"><?php echo app('translator')->get('translation.District'); ?></a></li>
                                <li><a href="<?php echo e(route('cities.index')); ?>"key="t-preloader"><?php echo app('translator')->get('translation.City'); ?></a></li>
                                <li><a href="<?php echo e(route('location-classifications.index')); ?>" key="t-topbar-light"><?php echo app('translator')->get('translation.Location Classification'); ?></a></li>
                                <li><a href="<?php echo e(route('location.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.Operation Location'); ?></a></li>
                            </ul>
                        </li>

                        <li>
                            <a href="javascript: void(0);" class="has-arrow"
                                key="t-zones"><?php echo app('translator')->get('Mobile Form Master'); ?></a>
                            <ul class="sub-menu" aria-expanded="true">
                            <li><a href="<?php echo e(route('form-field-group.index')); ?>"key="t-topbar-light"><?php echo app('translator')->get('translation.Form Field Group'); ?></a></li>
                            <li><a href="<?php echo e(route('form-field-type.index')); ?>"key="t-topbar-light"><?php echo app('translator')->get('translation.Form Field Type'); ?></a></li>
                            </ul>
                        </li>

                        <li>
                            <a href="javascript: void(0);" class="has-arrow"
                                key="t-zones"><?php echo app('translator')->get('Operation Master'); ?></a>
                            <ul class="sub-menu" aria-expanded="true">
                                <li><a href="<?php echo e(route('activity-status.index')); ?>" key="t-topbar-light"><?php echo app('translator')->get('translation.Activity Status'); ?></a></li>
                                <li><a href="<?php echo e(route('master.angel-service.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.Angel Service'); ?></a></li>
                                <li><a href="<?php echo e(route('delivery-types.index')); ?>" key="t-topbar-light"><?php echo app('translator')->get('Delivery Type'); ?></a></li>
                                <li><a href="<?php echo e(route('designation.index')); ?>" key="t-topbar-light"><?php echo app('translator')->get('Designation'); ?></a></li>
                                <li><a href="<?php echo e(route('duration.index')); ?>" key="t-topbar-light"><?php echo app('translator')->get('translation.Duration'); ?></a></li>
                                <li><a href="<?php echo e(route('service-types.index')); ?>" key="t-topbar-light"><?php echo app('translator')->get('Service Type'); ?></a></li>
                                <li><a href="<?php echo e(route('sop-categories.index')); ?>" key="t-topbar-light"><?php echo app('translator')->get('translation.SOP Category'); ?></a></li>
                                <li><a href="<?php echo e(route('verification-mode.index')); ?>" key="t-topbar-light"><?php echo app('translator')->get('Verification Mode'); ?></a></li>
                                <li><a href="<?php echo e(route('verification-types.index')); ?>" key="t-topbar-light"><?php echo app('translator')->get('Verification Parameter'); ?></a></li>
                            </ul>
                        </li>

                        <li>
                            <a href="javascript: void(0);" class="has-arrow"
                                key="t-zones"><?php echo app('translator')->get('Staff Master'); ?></a>
                            <ul class="sub-menu" aria-expanded="true">
                            <li><a href="<?php echo e(route('admin.customers', 'Staff')); ?>" key="t-tui-staff"><?php echo app('translator')->get('Staff'); ?></a></li>
                            <li><a href="<?php echo e(route('permissions.index')); ?>" key="t-topbar-light"><?php echo app('translator')->get('Staff Permission'); ?></a></li>
                            <li><a href="<?php echo e(route('roles.index')); ?>" key="t-topbar-light"><?php echo app('translator')->get('Staff Role'); ?></a></li>    
                            </ul>
                        </li>
                    </ul>
                </li>

                <li>
                    <a href="javascript: void(0);" class="has-arrow waves-effect">
                        <i class="fas fa-users"></i>
                        <span key="t-dashboards"><?php echo app('translator')->get('translation.Vendor Management'); ?></span>
                    </a>
                    <ul class="sub-menu" aria-expanded="false">
                        <li><a href="<?php echo e(route('vendor-category.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.Vendor Category'); ?></a></li>
                        <li><a href="<?php echo e(route('vendor-oem.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.Vendor OEM'); ?></a></li>

                        <li><a href="<?php echo e(route('vehicles.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.Vehicle Dealer'); ?></a></li>
                        <li><a href="<?php echo e(route('battery.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.Battery Dealer'); ?></a></li>
                        <li><a href="<?php echo e(route('charging-station.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.Charging Station Dealer'); ?></a></li>
                        <li><a href="<?php echo e(route('ev-rental.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.EV Rental'); ?></a></li>
                        <li><a href="<?php echo e(route('manpower.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.Manpower Vendor'); ?></a></li>
                        <li><a href="<?php echo e(route('service-workshop.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.Service Workshop'); ?></a></li>
                    </ul>
                </li>

                <li>
                    <a href="javascript: void(0);" class="has-arrow waves-effect">
                        <i class="bx bxs-buildings"></i>
                        <span key="t-dashboards"><?php echo app('translator')->get('translation.Assets Management'); ?></span>
                    </a>
                    <ul class="sub-menu" aria-expanded="false">
                        <li><a href="<?php echo e(route('asset.vehicles.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('Vehicle'); ?></a></li>
                        <li><a href="<?php echo e(route('asset.battery.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.Battery'); ?></a></li>
                        <li><a href="<?php echo e(route('asset.charger.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.Charger'); ?></a></li>
                        <li><a href="<?php echo e(route('asset.charging-equipment.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.Charging Equipment'); ?></a></li>
                        <li><a href="<?php echo e(route('asset.charging-station.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.Charging Station'); ?></a></li>
                        <!--<li><a href="<?php echo e(route('assets.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.Asset List'); ?></a></li>
                        <li><a href="<?php echo e(route('assets.categories')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.Asset Categories'); ?></a></li>-->
                    </ul>
                </li>

                <li>
                    <a href="javascript: void(0);" class="has-arrow waves-effect">
                        <i class="mdi mdi-hand-pointing-right"></i>
                        <span key="t-dashboards"><?php echo app('translator')->get('Subscription Service'); ?></span>
                    </a>
                    <ul class="sub-menu" aria-expanded="false">
                        <li><a href="<?php echo e(route('subscription-plan.vehicles.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('Vehicle'); ?></a></li>
                        <li><a href="<?php echo e(route('subscription-plan.battery.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.Battery Swap'); ?></a></li>
                        <li><a href="<?php echo e(route('subscription-plan.charging-equipment.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.Charging Equipment'); ?></a></li>
                        <li><a href="<?php echo e(route('subscription-plan.angel-service.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.Angel Service'); ?></a></li>
                        <li><a href="<?php echo e(route('subscription-plan.value-added-service.index')); ?>" key="t-full-calendar"><?php echo app('translator')->get('translation.Value Added Service'); ?></a></li>
                    </ul>
                </li>

                <li>
                    <a href="javascript: void(0);" class="has-arrow waves-effect">
                        <i class="bx bx-cart-alt"></i>
                        <span key="t-dashboards"><?php echo app('translator')->get('translation.Order Management'); ?></span>
                    </a>
                    <ul class="sub-menu" aria-expanded="false">
                        <li><a href="<?php echo e(route('orders.vehicle.index')); ?>" key="t-full-calendar"><?php echo app('translator')->get('EV Order'); ?></a></li>
                        <li><a href="<?php echo e(route('orders.battery-swap.index')); ?>" key="t-full-calendar"><?php echo app('translator')->get('translation.Battery Swap'); ?></a></li>
                        <li><a href="<?php echo e(route('orders.charging-station.index')); ?>" key="t-full-calendar"><?php echo app('translator')->get('translation.Charging Station'); ?></a></li>
                        <li><a href="<?php echo e(route('orders.angel-service.index')); ?>" key="t-full-calendar"><?php echo app('translator')->get('translation.Angel Service'); ?></a></li>
                    </ul>
                </li>


                <li>
                    <a href="javascript: void(0);" class="has-arrow waves-effect">
                        <i class="bx bxs-user-detail"></i>
                        <span key="t-users"><?php echo app('translator')->get('Rider Management'); ?></span>
                    </a>
                    <ul class="sub-menu" aria-expanded="false">
                        <li><a href="<?php echo e(route('admin.customers', 'Corporate Client')); ?>" key="t-tui-staff"><?php echo app('translator')->get('Client'); ?></a></li>
                       <!-- <li><a href="<?php echo e(route('admin.customers', 'Corporate Rider')); ?>" key="t-tui-customers"><?php echo app('translator')->get('B2B Rider'); ?></a></li>-->
                        <li><a href="<?php echo e(route('admin.customers', 'Rider')); ?>" key="t-tui-customers"><?php echo app('translator')->get('Rider'); ?></a></li>
                        <!-- <li><a href="<?php echo e(route('plreport')); ?>" key="t-tui-customers"><?php echo app('translator')->get('3PL'); ?></a></li> -->

                    </ul>
                </li>

                <li>
                    <a href="javascript: void(0);" class="has-arrow waves-effect">
                        <i class="bx bxs-user-detail"></i>
                        <span key="t-users"><?php echo app('translator')->get('3PL Management'); ?></span>
                    </a>
                    <ul class="sub-menu" aria-expanded="false">
                        <li><a href="<?php echo e(route('plreport')); ?>" key="t-tui-customers"><?php echo app('translator')->get('3PL Flipkart Attendance'); ?></a></li>
                        <li><a href="<?php echo e(route('user.3plreport')); ?>" key="t-tui-customers"><?php echo app('translator')->get('3PL Flipkart Work'); ?></a></li>

                    </ul>
                </li>

                

                 <li>
                    <a href="javascript: void(0);" class="has-arrow waves-effect">
                        <i class="bx bxs-user-detail"></i>
                        <span key="t-cms"><?php echo app('translator')->get('translation.Content Management'); ?></span>
                    </a>
                    <ul class="sub-menu" aria-expanded="false">
                        <li><a href="<?php echo e(route('cms.forms.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('Form'); ?></a></li>
                        <li><a href="<?php echo e(route('cms.input-attribute.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('Form Field Attribute'); ?></a></li>
                        <li><a href="<?php echo e(route('cms.tab-menu.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.Form Field Tab Menu'); ?></a></li>
                        <li><a href="<?php echo e(route('cms.tab-menu-input.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('Tab Menu Input'); ?></a></li>
                        <li><a href="<?php echo e(route('cms.menu.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.Menu'); ?></a></li>
                        <li><a href="<?php echo e(route('cms.announcement.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.Announcement'); ?></a></li>
                        <li><a href="<?php echo e(route('cms.banner.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.Banner'); ?></a></li>
                        <li><a href="<?php echo e(route('cms.incidental-info.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.Incidental Information'); ?></a></li>
                        <li><a href="<?php echo e(route('onboard.edit', ['onboard' => 1])); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.Onboard'); ?></a></li>
                        <li><a href="<?php echo e(route('cms.walkaround-checklist.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.Walkaround Checklist'); ?></a></li>
                        <li><a href="<?php echo e(route('cms.emergency-service.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.Emergency Service'); ?></a></li>
                        <li><a href="<?php echo e(route('cms.faq.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.FAQ'); ?></a></li>
                        <li><a href="<?php echo e(route('cms.feedback-rating.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.Feedback Rating'); ?></a></li>
                        <li><a href="<?php echo e(route('cms.terms-condition.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.Terms & Condition'); ?></a></li>

                    </ul>
                </li> 

                <li>
                    <a href="javascript: void(0);" class="has-arrow waves-effect">
                        <i class="fas fa-handshake"></i>
                        <span key="t-dashboards"><?php echo app('translator')->get('Purchase Service'); ?></span>
                    </a>
                    <ul class="sub-menu" aria-expanded="false">
                        <li><a href="<?php echo e(route('purchased-service.vehicles.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('Vehicle'); ?></a></li>
                        <li><a href="<?php echo e(route('purchased-service.battery.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.Battery'); ?></a></li>
                        <li><a href="<?php echo e(route('purchased-service.charging-station.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.Charging Station'); ?></a></li>
                        <li><a href="<?php echo e(route('purchased-service.manpower.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.Manpower'); ?></a></li>
                    </ul>
                </li>

                
                <li>
                    <a href="javascript: void(0);" class="has-arrow waves-effect">
                        <i class="mdi mdi-lightbulb-group-outline"></i>
                        <span key="t-dashboards"><?php echo app('translator')->get('Marketing'); ?></span>
                    </a>
                    <ul class="sub-menu" aria-expanded="false">
                        <li><a href="<?php echo e(route('marketing.cashback.index')); ?>" key="t-full-calendar"><?php echo app('translator')->get('translation.Cashback'); ?></a></li>
                        <li><a href="<?php echo e(route('marketing.discount.index')); ?>" key="t-full-calendar"><?php echo app('translator')->get('translation.Discount'); ?></a></li>
                        <li><a href="<?php echo e(route('marketing.reward.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.Reward'); ?></a></li>
                    </ul>
                </li>

                <li>
                    <a href="javascript: void(0);" class="has-arrow waves-effect">
                        <i class="bx bxs-user-detail"></i>
                        <span key="t-cms"><?php echo app('translator')->get('Notification'); ?></span>
                    </a>
                    <ul class="sub-menu" aria-expanded="false">
                        <li><a href="<?php echo e(route('email-templates.index')); ?>" key="t-tui-calendar"><?php echo app('translator')->get('translation.Email Notification'); ?></a></li>
                        <li><a href="#sms" key="t-tui-calendar"><?php echo app('translator')->get('SMS Notification'); ?></a></li>
                    </ul>
                </li>

                <li>
                    <a href="javascript: void(0);" class="has-arrow waves-effect">
                        <i class="bx bx-calendar"></i>
                        <span key="t-dashboards"><?php echo app('translator')->get('Report'); ?></span>
                    </a>
                    <ul class="sub-menu" aria-expanded="true">
                        <li>
                            <a href="javascript: void(0);" class="has-arrow"
                                key="t-zones"><?php echo app('translator')->get('3PL'); ?></a>
                            <ul class="sub-menu" aria-expanded="true">
                                <li><a href="<?php echo e(route('flipkart.report')); ?>" key="t-zones"><?php echo app('translator')->get('Flipkart'); ?></a></li>
                                <li><a href="<?php echo e(route('attendance.report')); ?>"key="t-topbar-light"><?php echo app('translator')->get('Attendance'); ?></a></li>
                            </ul>
                        </li>
                    </ul>
                </li>

                <li>
                    <a href="<?php echo e(route('settings.index')); ?>" class="waves-effect">
                    <i class="bx bx-cog"></i>
                        <span key="t-file-manager"><?php echo app('translator')->get('Setting'); ?></span>
                    </a>
                </li>
            </ul>
        </div>
        <!-- Sidebar -->
    </div>
</div>
<!-- Left Sidebar End --><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\layouts\sidebar.blade.php ENDPATH**/ ?>