

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('Add Email Notification'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<!-- select2 css -->
<link href="<?php echo e(URL::asset('/assets/libs/select2/select2.min.css')); ?>" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.css')); ?>" rel="stylesheet" type="text/css" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<?php $__env->startComponent('components.breadcrumb'); ?>
<?php $__env->slot('li_1'); ?> Notification <?php $__env->endSlot(); ?>
<?php $__env->slot('title'); ?> Add Email Notification <?php $__env->endSlot(); ?>
<?php echo $__env->renderComponent(); ?>

<div class="row">
    <div class="col-12">
        
    <form  class="needs-validation" id="email_template_form" action="<?php echo e(route('email-templates.store')); ?>" method="post" enctype="multipart/form-data" novalidate>
    <?php echo csrf_field(); ?>
        <div class="card">
            <div class="card-body">
                <h4 class="card-title">Basic Information</h4>
                <p class="card-title-desc">Fill all information below</p>
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="mb-3">
                                <label for="Title">Title</label>
                                <input id="title" name="title" type="text" class="form-control" placeholder="Title" required>
                                <div  id="title_errors"  class="invalid-feedback">
                                    Required
                                </div>
                            </div>
                            <div class="mb-3">
                                <label for="subject">Subject</label>
                                <input id="subject" name="subject" type="text" class="form-control" placeholder="Subject"  required>
                                <div  id="subject_errors"  class="invalid-feedback">
                                    Required
                                </div>
                            </div>
                        </div>

                        <div class="col-sm-6">
                            
                        <div class="mb-3">
                                <label for="template_key"> Template Key</label>
                                <input id="template_key" name="template_key" type="text" class="form-control" placeholder="Manufacturer Template Key" required>
                                <div  id="template_key_errors"  class="invalid-feedback">
                                    Required
                                </div>
                            </div>
                            <div class="mb-3">
                                <label for="duration"></label>
                                <div class="form-check form-radio-primary mb-3 user-verify-field" >
                                    <input class="form-check-input"  name="status"  value="1"  type="radio" id="verify">
                                    <label class="form-check-label" for="verify">Activate</label>
                                </div>
                            </div>
                        </div>
                    </div>

            </div>
        </div>

        <div class="card">
            <div class="card-body">
                <h4 class="card-title mb-3">Mail Content</h4>

                <textarea class="form-control" id="elm1" rows="5" name="mail_content" placeholder="Asset Description"></textarea>
            </div>

        </div> <!-- end card-->

        <div class="d-flex flex-wrap gap-2">
            <button type="submit" class="btn btn-primary waves-effect waves-light">Save Changes</button>
            <a href="<?php echo e(route('email-templates.index')); ?>" class="btn btn-secondary waves-effect waves-light">Cancel</a>
        </div>
    </form>
    </div>
</div>
<!-- end row -->

<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!--tinymce js-->
    <script src="<?php echo e(URL::asset('/assets/libs/tinymce/tinymce.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/form-editor.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js')); ?>"></script>

    <script src="<?php echo e(URL::asset('/assets/js/pages/form-validation.init.js')); ?>"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        
        $( "#email_template_form" ).submit(function( event ) {
            event.preventDefault();
            actionUrl = "<?php echo e(route('email-templates.validate')); ?>";
            form = $( "#email_template_form" );
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: form.serialize(), // serializes the form's elements.
                success: function(data){ 
                    $('.needs-validation').addClass('validated');
                    form.unbind().submit(); 
                },
                error: function (data) {
                    console.log('An error occurred.');
                    response = data.responseJSON;
                    if(response.status == false){
                        $.each(response.errors, function(i, item) {
                             $('#'+i+'_errors').html(response.errors[i]); 
                            $('#'+i+'_errors').css('display', 'block');
                        });
                    }
                },
            });
        });
    });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\mail_templates\create.blade.php ENDPATH**/ ?>