

<?php $__env->startSection('title'); ?> <?php $__env->startTranslation(); ?> <?php echo e($slug); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
    <!-- DataTables -->
    <link href="<?php echo e(URL::asset('/assets/libs/datatables/datatables.min.css')); ?>" rel="stylesheet" type="text/css" />
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>


<div class="row content-panel-header">
        <div class="col-sm-4 page-title-box">
            <h4 class="mb-sm-0 font-size-18"><?php echo e($slug); ?></h4>
        </div>

        
        <div class="col-sm-8">
            <div class="text-sm-end">
                <a href="<?php echo e(route('add_customer_form', $slug)); ?>" class="btn btn-primary waves-effect waves-light"><i class="mdi mdi-plus me-1"></i>  Add New </a>
            </div>
        </div>
    </div>



    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="row mb-2">
                    <div class="col-sm-2">
                        </div>
                        <div class="col-sm-2">
                            
                        </div>
                        <div class="col-sm-2">
                            
                        </div>
                        
                        <div class="col-sm-4">
                            
                        </div>
                        <div class="col-sm-2">
                            <input type="search" id="search" name="search" class="form-control" placeholder="Search">
                        </div>
                     <!-- end col-->
                    </div>

                    <div class="table-responsive">
                        <table id="user_datatable" class="table align-middle table-nowrap">
                            <thead>
                                <tr>
                                    <th>  Id </th>
                                
                                    <?php if($slug == 'Corporate Client'): ?>
                                    <th> Corporate Name </th>
                                    <?php else: ?>
                                    <th> User Name </th>
                                    <?php endif; ?>
                                    <th> Email </th>
                                    <th> Phone Number </th>
                                   
                                    <th> Wallet Balance </th>
                                
                                 
                                    <th> Status </th>
                                    <th> Created At </th>
                                    <th> Updated At </th>
                                    <th> Action </th>
                                </tr>
                            </thead>
                        </table>
                    </div>
                    
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!-- Required datatable js -->
    <script src="<?php echo e(URL::asset('/assets/libs/datatables/datatables.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/jszip/jszip.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/pdfmake/pdfmake.min.js')); ?>"></script>
    <!-- Datatable init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/datatables.init.js')); ?>"></script>
    <script type="text/javascript">
        $(document).ready(function(){
            showDataTable();
            $('#category_id').on('change', function() {
                $('#category_id_input').val($(this).val());
                showDataTable();
            });
            $("#search").change(function(){
                showDataTable();
            });
            
        });

        
        function showDataTable() {
            $("#user_datatable").DataTable().destroy();
            var table = $('#user_datatable').DataTable( {
                serverSide: true,
                processing: true,
                searching:false,
                paging: true,
                "ajax": {
                    "url": "<?php echo e(route('users.tab-customers', $slug)); ?>",
                    "type": "POST",
                    'data': {
                        "category_id": $('#category_id').val(),
                        "search": $('#search').val(),
                        "_token": "<?php echo e(csrf_token()); ?>"
                    }
                },
                dom: 'Blfrtip',
                "columns": [
                    { "data": "id" },
             
                    { "data": "name" },
                    { "data": "email" },
                    { "data": "phone_number" },
                    { "data": "wallet_balance" },
                    { "data": "status" },
                    { "data": "created_at" },
                    { "data": "updated_at" },
                    { "data": "action" },

                ],
                "buttons":[

                ],
            });
            //table.draw(); 
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\users\riders\customers.blade.php ENDPATH**/ ?>