

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('translation.Insurance Durations'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<!-- select2 css -->
<link href="<?php echo e(URL::asset('/assets/libs/select2/select2.min.css')); ?>" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.css')); ?>" rel="stylesheet" type="text/css" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<?php $__env->startComponent('components.breadcrumb'); ?>
<?php $__env->slot('li_1'); ?> Insurance Durations <?php $__env->endSlot(); ?>
<?php $__env->slot('title'); ?> Insurance Duration <?php $__env->endSlot(); ?>
<?php echo $__env->renderComponent(); ?>

<div class="row">
    <div class="col-12">
        
    <form  class="needs-validation" id="insurance_duration_form" action="<?php echo e(route('insurance-durations.update', ['insurance_duration' => $insuranceDuration->id])); ?>" method="post" enctype="multipart/form-data" novalidate>
    <?php echo method_field('PUT'); ?>
    <?php echo csrf_field(); ?>
    <input type="hidden" name="id" value="<?php echo e($insuranceDuration->id); ?>" />
        <div class="card">
            <div class="card-body">
                <div class="card-title content-card-title">Edit Insurance Durations</div>
                <div class="mb-3 row">
                    <label class="col-md-3 col-form-label" for="insurance_duration">Name the Insurance Duration</label>
                    <div class="col-md-6">
                        <input id="insurance_duration" name="insurance_duration" type="text" class="form-control" placeholder="Insurance Duration" value="<?php echo e($insuranceDuration->insurance_duration); ?>" required>
                        <div  id="insurance_type_errors"  class="invalid-feedback">
                             Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="duration_by_days" class="col-md-3 col-form-label">Business Category</label>
                    <div class="col-md-6">
                        <select name="duration_by_days" id="duration_by_days" class="form-select" required="">
                            <option value="">Select...</option>
                            <option value="1" <?php echo e($insuranceDuration->duration_by_days == "1"? 'selected' : ''); ?>>30</option>
                            <option value="90" <?php echo e($insuranceDuration->duration_by_days == "90"? 'selected' : ''); ?>>90</option>
                            <option value="180" <?php echo e($insuranceDuration->duration_by_days == "180"? 'selected' : ''); ?>>180</option>
                            <option value="360" <?php echo e($insuranceDuration->duration_by_days == "360"? 'selected' : ''); ?>>360</option>
                        </select>
                        <div id="duration_by_days_errors" class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="card btn-card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2 btn-sm-end">
                    <button type="submit" class="btn btn-primary waves-effect waves-light">Update</button>
                </div>
            </div>
        </div>
    </form>
    </div>
</div>
<!-- end row -->

<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!-- select 2 plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/select2/select2.min.js')); ?>"></script>

    <!-- dropzone plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/ecommerce-select2.init.js')); ?>"></script>
    <!--tinymce js-->
    <script src="<?php echo e(URL::asset('/assets/libs/tinymce/tinymce.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/form-editor.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js')); ?>"></script>

    <script src="<?php echo e(URL::asset('/assets/js/pages/form-validation.init.js')); ?>"></script>
    
    <script src="<?php echo e(URL::asset('/assets/js/custom.js')); ?>"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        
        $( "#insurance_duration_form" ).submit(function( event ) {
            event.preventDefault();
            actionUrl = "<?php echo e(route('insurance-duration.validate')); ?>";
            form = $( "#insurance_duration_form" );
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: form.serialize(), // serializes the form's elements.
                success: function(data){ 
                    $('.needs-validation').addClass('validated');
                    form.unbind().submit(); 
                },
                error: function (data) {
                    console.log('An error occurred.');
                    response = data.responseJSON;
                    if(response.status == false){
                       
                        validationErrors(response);
                    }
                },
            });
        });
    });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\master\insurance_durations\edit.blade.php ENDPATH**/ ?>