

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('translation.Tab Menus'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<!-- select2 css -->
<link href="<?php echo e(URL::asset('/assets/libs/select2/select2.min.css')); ?>" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.css')); ?>" rel="stylesheet" type="text/css" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<?php $__env->startComponent('components.breadcrumb'); ?>
<?php $__env->slot('li_1'); ?> Tab Menus <?php $__env->endSlot(); ?>
<?php $__env->slot('title'); ?> Edit Tab Menus <?php $__env->endSlot(); ?>
<?php echo $__env->renderComponent(); ?>

<div class="row">
    <div class="col-12">
        
    <form  class="needs-validation" id="edit_form" action="<?php echo e(route('cms.tab-menu.update', ['tab_menu' => $formField->id] )); ?>" method="post" enctype="multipart/form-data" novalidate>
    <?php echo method_field('put'); ?>
    <?php echo csrf_field(); ?>
    <input name="id" type="hidden"  value="<?php echo e($formField->id); ?>" />
    
        <div class="card">
            <div class="card-body">
                <h5>Tab Menus Details</h5><br>
                <div class="mb-3 row">
                    <label for="form_id" class="col-md-2 col-form-label">Select Form Slug</label>
                    <div class="col-md-6">
                        <select id="form_id" name="form_id" class="form-select" required>
                            <option value=''>Select...</option>
                            <?php $__currentLoopData = $forms; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $form): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($form->id); ?>"<?php echo e($form->id == $formField->form_id ? 'selected' : ''); ?>><?php echo e($form->slug); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                        </select>
                        <div  id="form_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="form_field_id" class="col-md-2 col-form-label">Form Fields</label>
                    <div class="col-md-6">
                        <select id="form_field_id" name="form_field_id" class="form-select" data-selected="<?php echo e($formField->id); ?>" required>
                            <option value=''>Select...</option>
                        </select>
                        <div  id="form_field_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="repeater" enctype="multipart/form-data">
                    <div class="mb-3 row">
                        <div class="col-md-10">
                            <h5>Add Menu</h5>
                        </div>
                        <div class="col-md-2">
                            <input data-repeater-create type="button"  class="menu-list-add-btn btn btn-primary waves-effect waves-light" value="Add Menu" />
                        </div>
                    </div>
                    <div data-repeater-list="menu-list" class="menu-list">
                        
                        <?php if($formField->formFieldTabMenu): ?>
                        <?php $__currentLoopData = $formField->formFieldTabMenu; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tabMenu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div data-repeater-item class="row">
                            <div class="mb-3 row">
                                <label for="menu" class="col-md-2 col-form-label">Tab Menu</label>
                                <div class="col-md-6">
                                    <input type="hidden" name="menu_id" value="<?php echo e($tabMenu->id); ?>" />
                                    <input type="text" id="menu" class="form-control" name="menu" placeholder="Tab Menu" required value="<?php echo e($tabMenu->menu); ?>" />
                                    <div  id="menu_errors"  class="invalid-feedback">
                                        Tab Menu Required
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php else: ?>
                        <div data-repeater-item class="row">
                            <div class="mb-3 row">
                                <label for="menu" class="col-md-2 col-form-label">Tab Menu</label>
                                <div class="col-md-6">
                                    <input type="text" id="menu" class="form-control" name="menu" placeholder="Tab Menu" required />
                                    <div  id="menu_errors"  class="invalid-feedback">
                                        Tab Menu Required
                                    </div>
                                </div>
                            </div>
                        </div>

                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2">
                    <button type="submit" class="btn btn-primary waves-effect waves-light">Save Changes</button>
                </div>
            </div>
        </div>
    </form>
    </div>
</div>
<!-- end row -->

<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!-- select 2 plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/select2/select2.min.js')); ?>"></script>

    <!-- dropzone plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/ecommerce-select2.init.js')); ?>"></script>
    <!--tinymce js-->
    <script src="<?php echo e(URL::asset('/assets/libs/tinymce/tinymce.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/form-editor.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js')); ?>"></script>

    <script src="<?php echo e(URL::asset('/assets/js/pages/form-validation.init.js')); ?>"></script>

    <script src="<?php echo e(URL::asset('/assets/libs/jquery-repeater/jquery-repeater.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/js/pages/form-repeater.int.js')); ?>"></script>
    
    <script src="<?php echo e(URL::asset('/assets/js/custom.js')); ?>"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        
        
        var token = "<?php echo e(csrf_token()); ?>";
        actionUrl = "<?php echo e(route('cms.form-fields-by-form')); ?>";
        updateFormFieldByForm(actionUrl, token);
        $('#form_id').on('change', function() {
            updateFormFieldByForm(actionUrl, token);
        });
    });
    
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\cms\tab_menu\edit.blade.php ENDPATH**/ ?>