

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('FLIPKART REPORT'); ?> <?php $__env->stopSection(); ?>
<?php $__env->startSection('css'); ?>
    <!-- DataTables -->
    <link href="<?php echo e(URL::asset('/assets/libs/datatables/datatables.min.css')); ?>" rel="stylesheet" type="text/css" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<h2></h2>
    <?php if(session()->has('success')): ?>
        <div class="alert alert-success">
            <?php echo e(session()->get('success')); ?>

        </div>
    <?php endif; ?>

    <?php $__env->startComponent('components.breadcrumb'); ?>
   
        <?php $__env->slot('title'); ?> 3PL - Flipkart Final Report  <?php $__env->endSlot(); ?>
    <?php echo $__env->renderComponent(); ?>
  
    <div class="panel panel-default">
        <div class="panel-body">
            
            <form action="<?php echo e(route('filterflipkart')); ?>" method="get">
                 <div class="row">
                    <div class="col-md-3 form-group">
                        <label for="">Date From</label>
                        <input type="date" name="date_from" class="form-control"  value="<?php echo e($request->date_from ?? null); ?>">
                     </div>
                     <div class="col-md-3 form-group">
                        <label for="">Date From</label>
                        <input type="date" name="date_to" class="form-control"  value="<?php echo e($request->date_to ?? null); ?>">
                     </div>
                     <div class="col-md-2 form-group" style="margin-top:25px;">
                        <input type="submit" class="btn btn-primary" value="Get">
                     </div>

                     <div class="col-md-2 form-group" style="margin-top:25px;">
                     <a href="<?php echo e(route('flipkart.report')); ?>" key="t-zones"><button class="btn btn-warning">Clear Filter </a></button>
                 </div>

</div>
            </form>
            <br><br>

           
            <table id="datatable-buttons" class="table align-middle table-nowrap">
                            <thead>
                                <tr>
                                    <th>AgentName</th>
                                    <th>EmployeeID</th>
                                    <th>Total Shipment</th>
                                    <th>COD</th>
                                    <th>PP</th>
                                    <th>Rvp</th>
                                    <th>COD Price</th>
                                    <th>Delivered</th>
                                    <th>Pending</th>
                                </tr>
                            </thead>
                            <tbody>
               
                                <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $userData): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($userData['name']); ?></td>
                                        <td><?php echo e($userData['employee_id']); ?></td>
                                        <td><?php echo e($userData['total_shipments']); ?></td>
                                        <td><?php echo e($userData['cod_count']); ?></td>
                                        <td><?php echo e($userData['pp_count']); ?></td>
                                        <td><?php echo e($userData['rvp_count']); ?></td>
                                        <td><?php echo e($userData['cod_total']); ?></td>
                                        <td><?php echo e($userData['total_delivery']); ?></td>
                                        <td><?php echo e($userData['non_delivery']); ?></td> <!-- Add data for Total Hours if available -->
 
                                        <!-- Add data for Total Hours if available -->
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
        </div>
    </div>
    <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <title><?php echo e(config('app.name', 'Laravel')); ?></title>
    <!-- <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css"> -->
</head>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.3/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
</body>
<?php $__env->startSection('script'); ?>
    <!-- Required datatable js -->
    <script src="<?php echo e(URL::asset('/assets/libs/datatables/datatables.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/jszip/jszip.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/pdfmake/pdfmake.min.js')); ?>"></script>
    <!-- Datatable init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/datatables.init.js')); ?>"></script>
    <!-- <script src="https://cdn.datatables.net/searchpanes/2.1.0/js/dataTables.searchPanes.min.js"></script>
    <script src="https://cdn.datatables.net/searchpanes/2.1.0/js/searchPanes.bootstrap4.min.js"></script>
    <script src="https://cdn.datatables.net/select/1.5.0/js/dataTables.select.min.js"></script> -->
<?php $__env->stopSection(); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\report\3pl\flipkart\index.blade.php ENDPATH**/ ?>