<div class="form-group <?php echo e($errors->has('vendor_id') ? 'has-error' : ''); ?>">
    <label for="vendor_id" class="control-label"><?php echo e('Vendor Id'); ?></label>
    <input class="form-control" name="vendor_id" type="number" id="vendor_id" value="<?php echo e(isset($post->vendor_id) ? $post->vendor_id : ''); ?>" >
    <?php echo $errors->first('vendor_id', '<p class="help-block">:message</p>'); ?>

</div>
<div class="form-group <?php echo e($errors->has('category_id') ? 'has-error' : ''); ?>">
    <label for="category_id" class="control-label"><?php echo e('Category Id'); ?></label>
    <input class="form-control" name="category_id" type="number" id="category_id" value="<?php echo e(isset($post->category_id) ? $post->category_id : ''); ?>" >
    <?php echo $errors->first('category_id', '<p class="help-block">:message</p>'); ?>

</div>
<div class="form-group <?php echo e($errors->has('name') ? 'has-error' : ''); ?>">
    <label for="name" class="control-label"><?php echo e('Name'); ?></label>
    <input class="form-control" name="name" type="text" id="name" value="<?php echo e(isset($post->name) ? $post->name : ''); ?>" >
    <?php echo $errors->first('name', '<p class="help-block">:message</p>'); ?>

</div>
<div class="form-group <?php echo e($errors->has('model_name') ? 'has-error' : ''); ?>">
    <label for="model_name" class="control-label"><?php echo e('Model Name'); ?></label>
    <input class="form-control" name="model_name" type="text" id="model_name" value="<?php echo e(isset($post->model_name) ? $post->model_name : ''); ?>" >
    <?php echo $errors->first('model_name', '<p class="help-block">:message</p>'); ?>

</div>
<div class="form-group <?php echo e($errors->has('model_number') ? 'has-error' : ''); ?>">
    <label for="model_number" class="control-label"><?php echo e('Model Number'); ?></label>
    <input class="form-control" name="model_number" type="text" id="model_number" value="<?php echo e(isset($post->model_number) ? $post->model_number : ''); ?>" >
    <?php echo $errors->first('model_number', '<p class="help-block">:message</p>'); ?>

</div>
<div class="form-group <?php echo e($errors->has('registered_number') ? 'has-error' : ''); ?>">
    <label for="registered_number" class="control-label"><?php echo e('Registered Number'); ?></label>
    <input class="form-control" name="registered_number" type="text" id="registered_number" value="<?php echo e(isset($post->registered_number) ? $post->registered_number : ''); ?>" >
    <?php echo $errors->first('registered_number', '<p class="help-block">:message</p>'); ?>

</div>
<div class="form-group <?php echo e($errors->has('brand') ? 'has-error' : ''); ?>">
    <label for="brand" class="control-label"><?php echo e('Brand'); ?></label>
    <input class="form-control" name="brand" type="text" id="brand" value="<?php echo e(isset($post->brand) ? $post->brand : ''); ?>" >
    <?php echo $errors->first('brand', '<p class="help-block">:message</p>'); ?>

</div>
<div class="form-group <?php echo e($errors->has('duration') ? 'has-error' : ''); ?>">
    <label for="duration" class="control-label"><?php echo e('Duration'); ?></label>
    <input class="form-control" name="duration" type="text" id="duration" value="<?php echo e(isset($post->duration) ? $post->duration : ''); ?>" >
    <?php echo $errors->first('duration', '<p class="help-block">:message</p>'); ?>

</div>
<div class="form-group <?php echo e($errors->has('duration_type') ? 'has-error' : ''); ?>">
    <label for="duration_type" class="control-label"><?php echo e('Duration Type'); ?></label>
    <input class="form-control" name="duration_type" type="text" id="duration_type" value="<?php echo e(isset($post->duration_type) ? $post->duration_type : ''); ?>" >
    <?php echo $errors->first('duration_type', '<p class="help-block">:message</p>'); ?>

</div>
<div class="form-group <?php echo e($errors->has('asset_type') ? 'has-error' : ''); ?>">
    <label for="asset_type" class="control-label"><?php echo e('Asset Type'); ?></label>
    <input class="form-control" name="asset_type" type="text" id="asset_type" value="<?php echo e(isset($post->asset_type) ? $post->asset_type : ''); ?>" >
    <?php echo $errors->first('asset_type', '<p class="help-block">:message</p>'); ?>

</div>
<div class="form-group <?php echo e($errors->has('cost') ? 'has-error' : ''); ?>">
    <label for="cost" class="control-label"><?php echo e('Cost'); ?></label>
    <input class="form-control" name="cost" type="text" id="cost" value="<?php echo e(isset($post->cost) ? $post->cost : ''); ?>" >
    <?php echo $errors->first('cost', '<p class="help-block">:message</p>'); ?>

</div>
<div class="form-group <?php echo e($errors->has('description') ? 'has-error' : ''); ?>">
    <label for="description" class="control-label"><?php echo e('Description'); ?></label>
    <textarea class="form-control" rows="5" name="description" type="textarea" id="description" ><?php echo e(isset($post->description) ? $post->description : ''); ?></textarea>
    <?php echo $errors->first('description', '<p class="help-block">:message</p>'); ?>

</div>
<div class="form-group <?php echo e($errors->has('image') ? 'has-error' : ''); ?>">
    <label for="image" class="control-label"><?php echo e('Image'); ?></label>
    <textarea class="form-control" rows="5" name="image" type="textarea" id="image" ><?php echo e(isset($post->image) ? $post->image : ''); ?></textarea>
    <?php echo $errors->first('image', '<p class="help-block">:message</p>'); ?>

</div>
<div class="form-group <?php echo e($errors->has('weight') ? 'has-error' : ''); ?>">
    <label for="weight" class="control-label"><?php echo e('Weight'); ?></label>
    <input class="form-control" name="weight" type="text" id="weight" value="<?php echo e(isset($post->weight) ? $post->weight : ''); ?>" >
    <?php echo $errors->first('weight', '<p class="help-block">:message</p>'); ?>

</div>
<div class="form-group <?php echo e($errors->has('size') ? 'has-error' : ''); ?>">
    <label for="size" class="control-label"><?php echo e('Size'); ?></label>
    <input class="form-control" name="size" type="text" id="size" value="<?php echo e(isset($post->size) ? $post->size : ''); ?>" >
    <?php echo $errors->first('size', '<p class="help-block">:message</p>'); ?>

</div>
<div class="form-group <?php echo e($errors->has('return_policy') ? 'has-error' : ''); ?>">
    <label for="return_policy" class="control-label"><?php echo e('Return Policy'); ?></label>
    <textarea class="form-control" rows="5" name="return_policy" type="textarea" id="return_policy" ><?php echo e(isset($post->return_policy) ? $post->return_policy : ''); ?></textarea>
    <?php echo $errors->first('return_policy', '<p class="help-block">:message</p>'); ?>

</div>
<div class="form-group <?php echo e($errors->has('status') ? 'has-error' : ''); ?>">
    <label for="status" class="control-label"><?php echo e('Status'); ?></label>
    <select name="status" class="form-control" id="status" >
    <?php $__currentLoopData = json_decode('{0: 0, 1: 1}', true); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $optionKey => $optionValue): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <option value="<?php echo e($optionKey); ?>" <?php echo e((isset($post->status) && $post->status == $optionKey) ? 'selected' : ''); ?>><?php echo e($optionValue); ?></option>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</select>
    <?php echo $errors->first('status', '<p class="help-block">:message</p>'); ?>

</div>


<div class="form-group">
    <input class="btn btn-primary" type="submit" value="<?php echo e($formMode === 'edit' ? 'Update' : 'Create'); ?>">
</div>
<?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\orders\vehicle\form.blade.php ENDPATH**/ ?>