

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('Battery Subscription'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<!-- select2 css -->
<link href="<?php echo e(URL::asset('/assets/libs/select2/select2.min.css')); ?>" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="<?php echo e(URL::asset('/assets/css/custom-dropzone.css')); ?>" rel="stylesheet" type="text/css" />
<style>
    .nav-tabs .nav-link.active span.tab-title{
        color:#50DDE2;
    }
    .tab-title{
        color:#000;
    }
    .tab-header{
        margin-bottom: 50px;
    }
    </style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<div class="row content-panel-header">
    <div class="col-sm-4 page-title-box">
        <h4 class="mb-sm-0 font-size-18">Battery Swap - subscriptions details</h4>
    </div>
</div>

<div class="row">
    <div class="col-12">
        
    <?php if($battery->id): ?>   
    <form  class="needs-validation" id="edit_form" action="<?php echo e(route('subscription-plan.battery.update', ['battery' => $battery->id] )); ?>" method="post" enctype="multipart/form-data" novalidate>
    <?php echo method_field('put'); ?>
    <?php else: ?>
    <form  class="needs-validation" id="create_form" action="<?php echo e(route('subscription-plan.battery.store')); ?>" method="post" enctype="multipart/form-data" novalidate>
    <?php endif; ?>
    <?php echo csrf_field(); ?>


    <input name="id" type="hidden"  value="<?php echo e($battery->id); ?>" />
   
        <div class="card">
            <div class="card-body">
                <div class="card-title content-card-title">Create / Edit  Battery Subscription Details</div>
                <div class="mb-3 row">
                    <label for="plan_name" class="col-md-2 col-form-label">Plan Name</label>
                    <div class="col-md-6">
                        <input id="plan_name" name="plan_name" type="text" class="form-control" placeholder="Plan Name" value="<?php echo e($battery->plan_name); ?>" required>
                        <div  id="plan_name_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row"> 
                    <label for="business_category_id" class="col-md-2 col-form-label">Business Category</label>
                    <div class="col-md-6">
                        <select id="business_category_id" name="business_category_id" class="form-select" required>
                            <option value=''>Select...</option>
                                <?php $__currentLoopData = $businessCategoryList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $businessCategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($businessCategory->id); ?>" <?php echo e($battery->business_category_id ==  $businessCategory->id ? 'selected' : ''); ?>><?php echo e($businessCategory->business_category); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                        </select>
                        <div  id="business_category_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row"> 
                    <label for="business_model_id" class="col-md-2 col-form-label">Business Model</label>
                    <div class="col-md-6">
                        <select id="business_model_id" name="business_model_id" class="form-select" required>
                            <option value=''>Select...</option>
                                <?php $__currentLoopData = $businessModelsList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $businessModels): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($businessModels->id); ?>" <?php echo e($battery->business_model_id ==  $businessModels->id ? 'selected' : ''); ?>><?php echo e($businessModels->business_model); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                        </select>
                        <div  id="business_model_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <h4 class="card-title">Subscription Policy</h4>
                <div>
                    <!-- Nav tabs -->
                    <ul class="nav nav-tabs" role="tablist">
                        <li class="nav-item">
                            <a class="nav-link active" data-bs-toggle="tab" href="#product_tab" role="tab">
                                <span class="d-none d-sm-block tab-title">Product</span>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" data-bs-toggle="tab" href="#base_plan_tab" role="tab">
                                <span class="tab-title d-none d-sm-block">Base Plan</span>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" data-bs-toggle="tab" href="#location_regions_tab" role="tab">
                                <span class="tab-title d-none d-sm-block">Location / Regions</span>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" data-bs-toggle="tab" href="#terms_condition_tab" role="tab">
                                <span class="tab-title d-none d-sm-block">Terms & Condition</span>
                            </a>
                        </li>
                    </ul>
                    <!-- Tab panes -->
                    <div class="tab-content p-3 text-muted">
                        <!-- User Details -->
                        <!--<h3>Product</h3>
                        <section>-->
                        <div class="tab-pane active" id="product_tab" role="tabpanel">
                            <div class="tab-header">
                                <h5 class="tab-title">Product</h5>
                                <small>Select the product that you want to create subscription for</small>
                            </div>

                            <div class="mb-3 row">
                                <input id="category_id" name="category_id" type="hidden"  value="2">
                                <label for="oem_id" class="col-md-2 col-form-label">Asset Type</label>
                                <div class="col-md-6">
                                    <select id="asset_type_id" name="asset_type_id" class="form-select" required>
                                        <option value=''>Select...</option>
                                            <?php $__currentLoopData = $productTypeList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $productType): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($productType->id); ?>" <?php echo e($battery->asset_type_id ==  $productType->id ? 'selected' : ''); ?>><?php echo e($productType->product_type); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                    </select>
                                    <div id="asset_type_id_errors" class="invalid-feedback">
                                    </div>
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <input id="category_id" name="category_id" type="hidden"  value="2">
                                <label for="oem_id" class="col-md-2 col-form-label">Select OEM</label>
                                <div class="col-md-6">
                                    <select id="oem_id" name="oem_id" class="form-select" data-selected="<?php echo e($battery->oem_id); ?>" required>
                                        <option value=''>Select...</option>
                                    </select>
                                    <div  id="oem_id_errors"  class="invalid-feedback">
                                        Required
                                    </div>
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="model_name" class="col-md-2 col-form-label">Battery Model Name <span class="required-sym">*</span></label>
                                <div class="col-md-6">
                                    <select id="model_name" name="model_name" class="form-select" required>
                                        <option value=''>Select...</option>
                                        <?php $__currentLoopData = $assetList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $asset): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($asset->model_name); ?>"  <?php echo e($battery->model_name == $asset->model_name ? 'selected' : ''); ?>><?php echo e($asset->model_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                    </select>
                                    <div  id="model_name_errors"  class="invalid-feedback">
                                        Required
                                    </div>
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="battery_type" class="col-md-2 col-form-label">Battery Type<span class="required-sym">*</span></label>
                                <div class="col-md-6">
                                    <select id="battery_type" name="battery_type" class="form-select" required>
                                        <option value=''>Select...</option>
                                        <?php $__currentLoopData = $assetList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $asset): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($asset->battery_type); ?>" <?php echo e($battery->battery_type ==  $asset->battery_type ? 'selected' : ''); ?>><?php echo e($asset->battery_type); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                    </select>
                                    <div  id="battery_type_errors"  class="invalid-feedback">
                                        Required
                                    </div>
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="kwh_units" class="col-md-2 col-form-label">KWH Units<span class="required-sym">*</span></label>
                                <div class="col-md-6">
                                    <select id="kwh_units" name="kwh_units" class="form-select" required>
                                        <option value=''>Select...</option>
                                        <?php $__currentLoopData = $assetList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $asset): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($asset->kwh_units); ?>" <?php echo e($battery->kwh_units ==  $asset->kwh_units ? 'selected' : ''); ?>><?php echo e($asset->kwh_units); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                    </select>
                                    <div  id="kwh_units_errors"  class="invalid-feedback">
                                        Required
                                    </div>
                                </div>
                            </div>
                            <?php 
                                $partIds = isset($battery->parts) ? $battery->parts : [];
                                $partId = '';
                                if($partIds){
                                    foreach($partIds as  $parts){
                                        $partId = $partId .  ',' .$parts->part_id;
                                    }
                                }
                            ?>
                            <div class="mb-3 row">
                                <label for="part_id" class="col-md-2 col-form-label">Asset Parts</label>
                                <div class="col-md-6">
                                    <select id="part_id" name="part_id[]" class="form-select  select2 select2-multiple" data-selected="<?php echo e($partId); ?>"  multiple />
                                        <option value=''>Select...</option>
                                    </select>
                                    <div  id="part_id_errors"  class="invalid-feedback">
                                        Required
                                    </div>
                                </div>
                            </div>
                            <?php 
                                $vAServiceTypeIds = isset($battery->vaService) ? $battery->vaService : [];
                                $vAServiceTypeId = '';
                                $vAServiceTypeIdArray = [];
                                if($vAServiceTypeIds){
                                    foreach($vAServiceTypeIds as  $vAServiceTypes){
                                        $vAServiceTypeId = $vAServiceTypeId .  ',' .$vAServiceTypes->va_service_type_id;
                                        $vAServiceTypeIdArray[] = $vAServiceTypes->va_service_type_id;
                                    }
                                }
                            ?>
                            <div class="mb-3 row">
                                <label for="va_service_type_id" class="col-md-2 col-form-label">Value Added Service</label>
                                <div class="col-md-6">
                                    <select id="va_service_type_id" name="va_service_type_id[]" class="form-select  select2 select2-multiple" data-selected="<?php echo e($vAServiceTypeId); ?>"  multiple />
                                        <option value=''>Select...</option>
                                        <?php $__currentLoopData = $vAServiceTypeList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vAServiceType): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($vAServiceType->id); ?>"  <?php echo e(in_array($vAServiceType->id, $vAServiceTypeIdArray)  ? 'selected' : ''); ?>><?php echo e($vAServiceType->va_service_type); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                    </select>
                                    <div  id="part_id_errors"  class="invalid-feedback">
                                        Required
                                    </div>
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="product_overview" class="col-md-2 col-form-label">Product Overview</label>
                                <div class="col-md-6">
                                    <textarea class="form-control" name="product_overview" id="product_overview" placeholder="Product Overview" required><?php echo e($battery->product_overview); ?></textarea>
                                    <div  id="product_overview_errors"  class="invalid-feedback">
                                        Required
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!--</section>
                        <h3>Product</h3>
                        <section>-->
                            
                        
                        <div class="tab-pane" id="base_plan_tab" role="tabpanel">
                            
                            <div class="tab-header">
                                <h5 class="tab-title">Base Plan Price</h5>
                                <small>The cost or amount of money that a subscriber will pay</small>
                            </div>
                            <div class="mb-3 row">
                                <label for="fixed_price" class="col-md-2 col-form-label">Fixed Price <span class="required-sym">*</span></label>
                                <div class="col-md-6">
                                    <input id="fixed_price" name="fixed_price" type="text" class="form-control" placeholder="Fixed Price" value="<?php echo e($battery->fixed_price); ?>" required>
                                </div>
                            </div>
                            <div class="mb-3 row" >
                                <label for="fixed_price_taxation_profile_id" class="col-md-2 col-form-label">Taxation Profile for Fixed Price</label>
                                <div class="col-md-6">
                                    <select id="fixed_price_taxation_profile_id" name="fixed_price_taxation_profile_id" class="fixed_price_taxation_profile_id form-select" >
                                        <option value=''>Select...</option>
                                            <?php $__currentLoopData = $taxationProfileList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $taxationProfile): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($taxationProfile['id'] ?? ''); ?>" data-percentage="<?php echo e($taxationProfile['tax-percentage']); ?>" <?php echo e($battery->fixed_price_taxation_profile_id == $taxationProfile['id'] ? 'selected' :''); ?> ><?php echo e($taxationProfile['taxation_profile']); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>  
                                    </select>
                                    <small class="fixed-price-tax-percentage"></small>
                                </div>
                                <div  id="fixed_price_taxation_profile_id_errors"  class="invalid-feedback">
                                    Required
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="convenience_price" class="col-md-2 col-form-label">Convenience price</label>
                                <div class="col-md-6">
                                    <input type="radio" name="have_convenience_price"  id="have_convenience_price1" value="Yes" <?php echo e($battery?->have_convenience_price == 'Yes' ? 'checked' : ''); ?> />
                                    <label for="have_convenience_price1">Yes</label>
                                    <input type="radio" name="have_convenience_price"  id="have_convenience_price2" value="No" <?php echo e($battery?->have_convenience_price == 'No' ? 'checked' : ''); ?> />
                                    <label for="have_convenience_price2">No</label>
                                    <div class="have_convenience_price_yes_fields" style="<?php echo e($battery?->have_convenience_price == 'Yes' ? '' : 'display:none;'); ?>" >
                                        <input id="convenience_price" name="convenience_price" type="text" class="form-control" placeholder="Convenience price" value="<?php echo e($battery?->convenience_price); ?>" />
                                        <small>Please enter the amount with decimals. e.g : 199.00 / 99.50</small>
                                    </div>
                                </div>
                            </div>
                            <div class="mb-3 row have_convenience_price_yes_fields" style="<?php echo e($battery?->have_convenience_price == 'Yes' ? '' : 'display:none;'); ?>" >
                                <label for="convenience_price_taxation_profile_id" class="col-md-2 col-form-label">Taxation Profile for Convenience price</label>
                                <div class="col-md-6">
                                    <select id="convenience_price_taxation_profile_id" name="convenience_price_taxation_profile_id" class="convenience_price_taxation_profile_id form-select" >
                                        <option value=''>Select...</option>
                                            <?php $__currentLoopData = $taxationProfileList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $taxationProfile): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($taxationProfile['id'] ?? ''); ?>" data-percentage="<?php echo e($taxationProfile['tax-percentage']); ?>" <?php echo e($battery->convenience_price_taxation_profile_id == $taxationProfile['id'] ? 'selected' :''); ?> ><?php echo e($taxationProfile['taxation_profile']); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>  
                                    </select>
                                    <small class="convenience-price-tax-percentage"></small>
                                </div>
                                <div  id="convenience_price_taxation_profile_id_errors"  class="invalid-feedback">
                                    Required
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="delivery_charge" class="col-md-2 col-form-label">Delivery Charge</label>
                                <div class="col-md-6">
                                    <input type="radio" name="have_delivery_charge"  id="have_delivery_charge1" value="Yes" <?php echo e($battery?->have_delivery_charge == 'Yes' ? 'checked' : ''); ?> />
                                    <label for="have_delivery_charge1">Yes</label>
                                    <input type="radio" name="have_delivery_charge"  id="have_delivery_charge2" value="No" <?php echo e($battery?->have_delivery_charge == 'No' ? 'checked' : ''); ?>/>
                                    <label for="have_delivery_charge2">No</label>
                                    <div class="have_delivery_charge_yes_fields" style="<?php echo e($battery?->have_delivery_charge == 'Yes' ? '' : 'display:none;'); ?>" >
                                        <input id="delivery_charge" name="delivery_charge" type="text" class="form-control" placeholder="Delivery Chargee" value="<?php echo e($battery?->delivery_charge); ?>">
                                        <small>Please enter the amount with decimals. e.g : 199.00 / 99.50</small>
                                    </div>
                                </div>
                            </div>
                            
                            <div class="mb-3 row have_delivery_charge_yes_fields" style="<?php echo e($battery?->have_delivery_charge == 'Yes' ? '' : 'display:none;'); ?>" >
                                <label for="delivery_charge_taxation_profile_id" class="col-md-2 col-form-label">Taxation Profile for Delivery Charge</label>
                                <div class="col-md-6">
                                    <select id="delivery_charge_taxation_profile_id" name="delivery_charge_taxation_profile_id" class="delivery_charge_taxation_profile_id form-select" >
                                        <option value=''>Select...</option>
                                            <?php $__currentLoopData = $taxationProfileList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $taxationProfile): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($taxationProfile['id'] ?? ''); ?>" data-percentage="<?php echo e($taxationProfile['tax-percentage']); ?>" <?php echo e($battery->delivery_charge_taxation_profile_id == $taxationProfile['id'] ? 'selected' :''); ?> ><?php echo e($taxationProfile['taxation_profile']); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>  
                                    </select>
                                    <small class="delivery-charge-tax-percentage"></small>
                                </div>
                                <div  id="delivery_charge_taxation_profile_id_errors"  class="invalid-feedback">
                                    Required
                                </div>
                            </div>
                            <div class="tab-header">
                                <h5 class="tab-title">Renewal Type</h5>
                                <small>Based on the choice the customer will be able to use this product</small>
                            </div>
                                
                            <div class="mb-3 row">
                                <div class="col-md-12">
                                    <div class="form-check form-switch form-switch-lg mb-3" dir="ltr">
                                        <input class="form-check-input" type="radio" id="prepaid" value="Prepaid" name="base_plan" <?php echo e($battery->base_plan == "Prepaid" ? 'checked' :''); ?>/>
                                        <label class="form-check-label" for="prepaid">Prepaid</label><small> (The user will pay the with or without offer before every usage)</small>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-check form-switch form-switch-lg mb-3" dir="ltr">
                                        <input class="form-check-input" type="radio" id="auto_renewing" value="Auto Renewing" name="base_plan"  <?php echo e($battery->base_plan == "Auto Renewing" ? 'checked' : ''); ?> />
                                        <label class="form-check-label" for="auto_renewing">Auto Renewing</label><small> (The user will pay the fixed price once and the plan will auto renew after a fixed period)</small>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-check form-switch form-switch-lg mb-3" dir="ltr">
                                        <input class="form-check-input" type="radio" id="re_subscribe" value="Re-Subscribe" name="base_plan"  <?php echo e($battery->base_plan == "Re-Subscribe" ? 'checked' :''); ?> />
                                        <label class="form-check-label" for="re_subscribe">Re-Subscribe</label><small> (The user will use the product until the wallet money is available. Once the wallet does not have enough balance, the product will lock)</small>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-check form-switch form-switch-lg mb-3" dir="ltr">
                                        <input class="form-check-input" type="radio" id="freemium" value="Freemium" name="base_plan" <?php echo e($battery->base_plan == "Freemium" ? 'checked' :''); ?> />
                                        <label class="form-check-label" for="freemium">Freemium</label><small> (Allow to use the product for FREE for limited period. Once the period is over, thye plan should change to premium)</small>
                                    </div>
                                </div>
                            </div>
                            
                            <div class="tab-header prepaid_fields">
                                <h5 class="tab-title">Pre-Paid</h5>
                                <small>The user will pay the with or without offer before every usage</small>
                            </div>
                            <div class="mb-3 row prepaid_fields">
                                <label for="prepaid_billing_cycle_id" class="col-md-2 col-form-label">Billing Cycle</label>
                                <div class="col-md-6">
                                    <select id="prepaid_billing_cycle_id" name="prepaid_billing_cycle_id" class="form-select">
                                        <option value=''>Select...</option>
                                            <?php $__currentLoopData = $durationList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $duration): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($duration->id); ?>"  <?php echo e($battery->billing_period_id == $duration->id ? 'selected' :''); ?> ><?php echo e($duration->days); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                    </select>
                                    <small>Each user will be qable to use the product in these n umber of days</small>
                                </div>
                            </div>
                            <div class="mb-3 row prepaid_fields" style="<?php echo e($battery?->base_plan == 'Prepaid' ? '' : 'display:none;'); ?>">
                                <label for="prepaid_grace_time_hr" class="col-md-2 col-form-label">Grace Time</label>
                                <div class="col-md-6">
                                    <input type="radio" name="prepaid_grace_time_hr"  id="prepaid_grace_time_hr1" value="Yes" <?php echo e($battery?->grace_time_hr == 'Yes' ? 'checked' :''); ?> />
                                    <label for="prepaid_grace_time_hr1">Yes</label>
                                    <input type="radio" name="prepaid_grace_time_hr"  id="prepaid_grace_time_hr2" value="No" <?php echo e($battery?->grace_time_hr == 'No' ? 'checked' :''); ?> />
                                    <label for="prepaid_grace_time_hr2">No</label>
                                    <div class="prepaid_grace_time_hr_yes_fiels" style="<?php echo e($battery?->grace_time_hr == 'Yes' ? '' : 'display:none;'); ?>">
                                        <input id="prepaid_grace_time" name="prepaid_grace_time" type="text" class="form-control" placeholder="Grace Time in Hrs" value="<?php echo e($battery?->grace_time); ?>" />
                                        <small>The hrs that customer can use the bike befor locking</small>
                                    </div>
                                </div>
                            </div>
                            <div class="mb-3 row prepaid_fields"  style="<?php echo e($battery?->base_plan == 'Prepaid' ? '' : 'display:none;'); ?>">
                                <label for="prepaid_lock_bike" class="col-md-2 col-form-label">Lock Bike</label>
                                <div class="col-md-6 row" style="margin-top: 10px;">
                                    <div class="col-md-2">
                                        <input type="radio" name="prepaid_lock_bike"  id="prepaid_lock_bike1" value="0"  <?php echo e($battery?->lock_bike == '0' ? 'checked' :''); ?> />
                                        <label for="prepaid_lock_bike1" >No</label>
                                    </div>
                                    <div class="col-md-5">
                                        <input type="radio" name="prepaid_lock_bike"  id="prepaid_lock_bike2" value="1"  <?php echo e($battery?->lock_bike == '1' ? 'checked' :''); ?> />
                                        <label for="prepaid_lock_bike2">Manual (From Intellicar)</label>
                                    </div>
                                    <div class="col-md-3">
                                        <input type="radio" name="prepaid_lock_bike"  id="prepaid_lock_bike3" value="2"  <?php echo e($battery?->lock_bike == '2' ? 'checked' :''); ?> />
                                        <label for="re_subscribe_lock_bike3">Automatic</label>
                                    </div>
                                </div>
                            </div>
                            
                            <div class="tab-header auto_renewing_fields"  style="<?php echo e($battery?->base_plan == 'Auto Renewing' ? '' : 'display:none;'); ?>">
                                <h5 class="tab-title">Auto Renewing</h5>
                                <small>The will pay the fixed price once and the plan will auto renew after a fixed period</small>
                            </div>
                            <div class="mb-3 row auto_renewing_fields" style="<?php echo e($battery?->base_plan == 'Auto Renewing' ? '' : 'display:none;'); ?>">
                                <label for="auto_renewing_billing_period_id" class="col-md-2 col-form-label">Billing Period</label>
                                <div class="col-md-6">
                                    <select id="auto_renewing_billing_period_id" name="auto_renewing_billing_period_id" class="form-select">
                                        <option value=''>Select...</option>
                                            <?php $__currentLoopData = $durationList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $duration): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($duration->id); ?>"  <?php echo e($battery?->billing_period_id == $duration->id ? 'selected' :''); ?> ><?php echo e($duration->duration); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                    </select>
                                    <small>The duration at which the cutomer will be charged with this amount</small>
                                </div>
                            </div>
                            <div class="mb-3 row auto_renewing_fields"  style="<?php echo e($battery?->base_plan == 'Auto Renewing' ? '' : 'display:none;'); ?>">
                                <label for="auto_renewing_grace_time" class="col-md-2 col-form-label">Grace Time</label>
                                <div class="col-md-6">
                                    <input id="auto_renewing_grace_time" name="auto_renewing_grace_time" type="text" class="form-control" placeholder="Grace Time" value="<?php echo e($battery?->grace_time); ?>" />
                                    <small>Grace period allows user to use the product even when the subscription is over and allow to pay with in the grace period. Billing cycle starts at the end of every subscription period</small>
                                </div>
                            </div>
                            

                            <div class="tab-header re_subscribe_fields"  style="<?php echo e($battery?->base_plan == 'Re-Subscribe' ? '' : 'display:none;'); ?>">
                                <h5 class="tab-title">Re-Subscribe</h5>
                                <small>The user will use the product until the wallet money is available. Once the wallet does not have enough balance, the product will lock</small>
                            </div>
                            <div class="mb-3 row re_subscribe_fields "  style="<?php echo e($battery?->base_plan == 'Re-Subscribe' ? '' : 'display:none;'); ?>">
                                <label for="re_subscribe_grace_time_hr" class="col-md-2 col-form-label">Grace Time</label>
                                <div class="col-md-6">
                                    <input type="radio" name="re_subscribe_grace_time_hr"  id="re_subscribe_grace_time_hr1" value="Yes" <?php echo e($battery?->grace_time_hr == 'Yes' ? 'checked' :''); ?> />
                                    <label for="re_subscribe_grace_time_hr1">Yes</label>
                                    <input type="radio" name="re_subscribe_grace_time_hr"  id="re_subscribe_grace_time_hr2" value="No" <?php echo e($battery?->grace_time_hr == 'No' ? 'checked' :''); ?> />
                                    <label for="re_subscribe_grace_time_hr2">No</label>
                                    <div class="re_subscribe_grace_time_hr_yes_fiels"  style="<?php echo e($battery?->grace_time_hr == 'Yes' ? '' : 'display:none;'); ?>">
                                        <input id="re_subscribe_grace_time" name="re_subscribe_grace_time" type="text" class="form-control" placeholder="Grace Time in Hrs" value="<?php echo e($battery?->grace_time); ?>" />
                                        <small>The hrs that customer can use the bike befor locking</small>
                                    </div>
                                </div>
                            </div>
                            <div class="mb-3 row re_subscribe_fields"  style="<?php echo e($battery?->base_plan == 'Re-Subscribe' ? '' : 'display:none;'); ?>">
                                <label for="re_subscribe_lock_bike" class="col-md-2 col-form-label">Lock Bike</label>
                                <div class="col-md-6 row" style="margin-top: 10px;">
                                    <div class="col-md-2">
                                        <input type="radio" name="re_subscribe_lock_bike"  id="re_subscribe_lock_bike1" value="0" <?php echo e($battery?->lock_bike == '0' ? 'checked' :''); ?>  />
                                        <label for="re_subscribe_lock_bike1">No</label>
                                    </div>
                                    <div class="col-md-5">
                                        <input type="radio" name="re_subscribe_lock_bike"  id="re_subscribe_lock_bike2" value="1" <?php echo e($battery?->lock_bike == '1' ? 'checked' :''); ?>  />
                                        <label for="re_subscribe_lock_bike2">Manual (From Intellicar)</label>
                                    </div>
                                    <div class="col-md-3">
                                        <input type="radio" name="re_subscribe_lock_bike"  id="re_subscribe_lock_bike3" value="2" <?php echo e($battery?->lock_bike == '2' ? 'checked' :''); ?> />
                                        <label for="re_subscribe_lock_bike3">Automatic</label>
                                    </div>
                                </div>
                            </div>
                            

                            <div class="tab-header freemium_fields"  style="<?php echo e($battery?->base_plan == 'Frremium' ? '' : 'display:none;'); ?>">
                                <h5 class="tab-title">Freemium</h5>
                                <small>Allow to use the product for FREE for limited period. Once the period is over, thye plan should change to premium</small>
                            </div>
                            <div class="mb-3 row freemium_fields" style="<?php echo e($battery?->base_plan == 'Frremium' ? '' : 'display:none;'); ?>">
                                <label for="freemium_free_usages_id" class="col-md-2 col-form-label">Free Usages</label>
                                <div class="col-md-6">
                                    <select id="freemium_free_usages_id" name="freemium_free_usages_id" class="form-select">
                                        <option value=''>Select...</option>
                                            <?php $__currentLoopData = $durationList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $duration): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($duration->id); ?>"  <?php echo e($battery?->billing_period_id == $duration->id ? 'selected' :''); ?> ><?php echo e($duration->days); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                    </select>
                                    <small>Each user will be qable to use the product in these n umber of days</small>
                                </div>
                            </div>
                            <div class="mb-3 row freemium_fields"  style="<?php echo e($battery?->base_plan == 'Frremium' ? '' : 'display:none;'); ?>">
                                <label for="freemium_grace_time_hr" class="col-md-2 col-form-label">Grace Time</label>
                                <div class="col-md-6">
                                    <input type="radio" name="freemium_grace_time_hr"  id="freemium_grace_time_hr1" value="Yes" <?php echo e($battery?->grace_time_hr == 'Yes' ? 'checked' :''); ?> />
                                    <label for="freemium_grace_time_hr1">Yes</label>
                                    <input type="radio" name="freemium_grace_time_hr"  id="freemium_grace_time_hr2" value="No" <?php echo e($battery?->grace_time_hr == 'No' ? 'checked' :''); ?> />
                                    <label for="freemium_grace_time_hr2">No</label>
                                    <div class="freemium_grace_time_hr_yes_fiels"  style="<?php echo e($battery?->grace_time_hr == 'Yes' ? '' : 'display:none;'); ?>">
                                        <input id="freemium_grace_time" name="freemium_grace_time" type="text" class="form-control" placeholder="Grace Time in Hrs" value="<?php echo e($battery?->grace_time); ?>" />
                                        <small>The hrs that customer can use the bike befor locking</small>
                                    </div>
                                </div>
                            </div>
                            <div class="mb-3 row freemium_fields"  style="<?php echo e($battery?->base_plan == 'Frremium' ? '' : 'display:none;'); ?>">
                                <label for="freemium_lock_bike" class="col-md-2 col-form-label">Lock Bike</label>
                                <div class="col-md-6 row" style="margin-top: 10px;">
                                    <div class="col-md-2">
                                        <input type="radio" name="freemium_lock_bike"  id="freemium_lock_bike1" value="0" <?php echo e($battery?->lock_bike == '0' ? 'checked' :''); ?> />
                                        <label for="freemium_lock_bike1">No</label>
                                    </div>
                                    <div class="col-md-5">
                                        <input type="radio" name="freemium_lock_bike"  id="freemium_lock_bike2" value="1" <?php echo e($battery?->lock_bike == '1' ? 'checked' :''); ?> />
                                        <label for="freemium_lock_bike2">Manual (From Intellicar)</label>
                                    </div>
                                    <div class="col-md-3">
                                        <input type="radio" name="freemium_lock_bike"  id="freemium_lock_bike3" value="2" <?php echo e($battery?->lock_bike == '2' ? 'checked' :''); ?> />
                                        <label for="freemium_lock_bike3">Automatic</label>
                                    </div>
                                </div>
                            </div>

                        </div>
                        
                        <!--</section>
                        <h3>Product</h3>
                        <section>-->
                        <div class="tab-pane" id="location_regions_tab" role="tabpanel">
                            
                            <div class="repeater" enctype="multipart/form-data">
                                <div data-repeater-list="location_regions_list" class="location_regions_tab">
                                    <div class="row">
                                        <div class="tab-header col-md-10 ">
                                            <h5 class="tab-title">Location / Regions</h5>
                                            <small>The location where the plan is applicable</small>
                                        </div>
                                        
                                        <div class="col-md-2">
                                            <input data-repeater-create type="button"  class="add_location btn btn-primary waves-effect waves-light" value="Add Location" />
                                        </div>
                                    </div>
                                    <?php if(isset($battery->location[0])): ?>
                                    <?php $__currentLoopData = $battery->location; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $locationReg): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div data-repeater-item class="row asset_part_item">
                                        <div class="mb-3 row">
                                            <label for="location_id" class="col-md-2 col-form-label">Choose Location</label>
                                            <div class="col-md-6">
                                                <input name="battery_location_id" type="hidden"  value="<?php echo e($locationReg->id); ?>" />

                                                <select id="location_id" name="location_id" class="form-select">
                                                    <option value=''>Select...</option>
                                                        <?php $__currentLoopData = $locationList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $location): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($location->id); ?>" <?php echo e($locationReg->location_id == $location->id ? 'selected' :''); ?>><?php echo e($location->location); ?></option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                                </select>
                                                <small>Please choose the location</small>
                                            </div>
                                        </div>
                                        <div class="mb-3 row">
                                            <label for="base_price" class="col-md-2 col-form-label">Location Base Price</label>
                                            <div class="col-md-6">
                                                <input id="base_price" name="base_price" type="text" class="form-control" placeholder="Base Price" value="<?php echo e($locationReg->base_price); ?>" required>
                                                <small>Add the amount as required to the location and cliend relationship</small>
                                            </div>
                                        </div>
                                        
                                        <div class="mb-3 row" >
                                            <label for="base_price_taxation_profile_id" class="col-md-2 col-form-label">Taxation Profile for Location Base Price</label>
                                            <div class="col-md-6">
                                                <select id="base_price_taxation_profile_id" name="base_price_taxation_profile_id" class="base_price_taxation_profile_id form-select" >
                                                    <option value=''>Select...</option>
                                                        <?php $__currentLoopData = $taxationProfileList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $taxationProfile): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($taxationProfile['id'] ?? ''); ?>" data-percentage="<?php echo e($taxationProfile['tax-percentage']); ?>" <?php echo e($locationReg->base_price_taxation_profile_id == $taxationProfile['id'] ? 'selected' :''); ?> ><?php echo e($taxationProfile['taxation_profile']); ?></option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>  
                                                </select>
                                                <small class="base-price-tax-percentage"></small>
                                            </div>
                                            <div  id="base_price_taxation_profile_id_errors"  class="invalid-feedback">
                                                Required
                                            </div>
                                        </div>
                                        <div class="mb-3 row  have_convenience_price_yes_fields"  style="<?php echo e($battery?->have_convenience_price == 'Yes' ? '' : 'display:none;'); ?>"s>
                                            <label for="convenience_fee" class="col-md-2 col-form-label">Convenience Fee</label>
                                            <div class="col-md-6">
                                                <input id="convenience_fee" name="convenience_fee" type="text" class="convenience_fee form-control" placeholder="Convenience Fee" value="<?php echo e($locationReg->convenience_fee); ?>">
                                                <small>Add the amount as required to the location and client relationship</small>
                                            </div>
                                        </div>
                                        <div class="mb-3 row" >
                                            <label for="convenience_fee_taxation_profile_id" class="col-md-2 col-form-label">Taxation Profile for Convenience Fee</label>
                                            <div class="col-md-6">
                                                <select id="convenience_fee_taxation_profile_id" name="convenience_fee_taxation_profile_id" class="convenience_fee_taxation_profile_id form-select" >
                                                    <option value=''>Select...</option>
                                                        <?php $__currentLoopData = $taxationProfileList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $taxationProfile): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($taxationProfile['id'] ?? ''); ?>" data-percentage="<?php echo e($taxationProfile['tax-percentage']); ?>" <?php echo e($locationReg->convenience_fee_taxation_profile_id == $taxationProfile['id'] ? 'selected' :''); ?> ><?php echo e($taxationProfile['taxation_profile']); ?></option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>  
                                                </select>
                                                <small class="convenience-fee-tax-percentage"></small>
                                                <div  id="convenience_fee_taxation_profile_id_errors"  class="invalid-feedback">
                                                    Required
                                                </div>
                                            </div>
                                        </div>
                                        <div class="mb-3 row  have_delivery_charge_yes_fields" style="<?php echo e($battery?->have_delivery_charge == 'Yes' ? '' : 'display:none;'); ?>" >
                                            <label for="delivery_fee" class="col-md-2 col-form-label">Delivery Fee</label>
                                            <div class="col-md-6">
                                                <input id="delivery_fee" name="delivery_fee" type="text" class="delivery_fee form-control" placeholder="Delivery Fee" value="<?php echo e($locationReg->delivery_fee); ?>">
                                                <small>Add the amount as required to the location and client relationship</small>
                                            </div>
                                        </div>
                                        <div class="mb-3 row" >
                                            <label for="delivery_fee_taxation_profile_id" class="col-md-2 col-form-label">Taxation Profile for Delivery Fee</label>
                                            <div class="col-md-6">
                                                <select id="delivery_fee_taxation_profile_id" name="delivery_fee_taxation_profile_id" class="delivery_fee_taxation_profile_id form-select" >
                                                    <option value=''>Select...</option>
                                                        <?php $__currentLoopData = $taxationProfileList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $taxationProfile): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($taxationProfile['id'] ?? ''); ?>" data-percentage="<?php echo e($taxationProfile['tax-percentage']); ?>" <?php echo e($locationReg->delivery_fee_taxation_profile_id == $taxationProfile['id'] ? 'selected' :''); ?> ><?php echo e($taxationProfile['taxation_profile']); ?></option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>  
                                                </select>
                                                <small class="delivery-fee-tax-percentage"></small>
                                                <div  id="delivery_fee_taxation_profile_id_errors"  class="invalid-feedback">
                                                    Required
                                                </div>
                                            </div>
                                        </div>
                                        <div class="mb-3 row ">
                                            <div class="col-md-8">
                                            </div>
                                            <div class="col-md-4">
                                                <input data-repeater-delete type="button" class="delete-location btn btn-primary-borderd" value="Delete Location"  data-id="<?php echo e($locationReg->id); ?>" data-url="<?php echo e(route('subscription-plan.battery.delete-location', $locationReg->id)); ?>"/>
                                            </div>
                                        </div>
                                    </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php else: ?>
                                    <div data-repeater-item class="row asset_part_item">
                                        <div class="mb-3 row">
                                            <label for="location_id" class="col-md-2 col-form-label">Choose Location</label>
                                            <div class="col-md-6">
                                                <select id="location_id" name="location_id" class="form-select">
                                                    <option value=''>Select...</option>
                                                        <?php $__currentLoopData = $locationList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $location): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($location->id); ?>"><?php echo e($location->location); ?></option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                                </select>
                                                <small>Please choose the location</small>
                                            </div>
                                        </div>
                                        <div class="mb-3 row">
                                            <label for="base_price" class="col-md-2 col-form-label">Base Price</label>
                                            <div class="col-md-6">
                                                <input id="base_price" name="base_price" type="text" class="form-control" placeholder="Base Price" required>
                                                <small>Add the amount as required to the location and cliend relationship</small>
                                            </div>
                                        </div>
                                        <div class="mb-3 row" >
                                            <label for="base_price_taxation_profile_id" class="col-md-2 col-form-label">Taxation Profile for Location Base Price</label>
                                            <div class="col-md-6">
                                                <select id="base_price_taxation_profile_id" name="base_price_taxation_profile_id" class="base_price_taxation_profile_id form-select" >
                                                    <option value=''>Select...</option>
                                                        <?php $__currentLoopData = $taxationProfileList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $taxationProfile): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($taxationProfile['id'] ?? ''); ?>" data-percentage="<?php echo e($taxationProfile['tax-percentage']); ?>"  ><?php echo e($taxationProfile['taxation_profile']); ?></option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>  
                                                </select>
                                                <small class="base-price-tax-percentage"></small>
                                            </div>
                                            <div  id="base_price_taxation_profile_id_errors"  class="invalid-feedback">
                                                Required
                                            </div>
                                        </div>
                                        <div class="mb-3 row">
                                            <label for="taxation_profile_id" class="col-md-2 col-form-label">Taxation Profile</label>
                                            <div class="col-md-6">
                                                <select id="taxation_profile_id" name="taxation_profile_id" class="taxation_profile_id form-select" required>
                                                    <option value=''>Select...</option>
                                                        <?php $__currentLoopData = $taxationProfileList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $taxationProfile): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($taxationProfile['id']); ?>" data-percentage="<?php echo e($taxationProfile['tax-percentage']); ?>" ><?php echo e($taxationProfile['taxation_profile']); ?></option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>  
                                                </select>
                                                <small class="tax-percentage"></small>
                                            </div>
                                        </div>
                                        <div class="mb-3 row">
                                            <label for="convenience_fee" class="col-md-2 col-form-label">Convenience Fee</label>
                                            <div class="col-md-6">
                                                <input id="convenience_fee" name="convenience_fee" type="text" class="convenience_fee form-control" placeholder="Convenience Fee" >
                                                <small>Add the amount as required to the location and client relationship</small>
                                            </div>
                                        </div>
                                        <div class="mb-3 row" >
                                            <label for="convenience_fee_taxation_profile_id" class="col-md-2 col-form-label">Taxation Profile for Convenience Fee</label>
                                            <div class="col-md-6">
                                                <select id="convenience_fee_taxation_profile_id" name="convenience_fee_taxation_profile_id" class="convenience_fee_taxation_profile_id form-select" >
                                                    <option value=''>Select...</option>
                                                        <?php $__currentLoopData = $taxationProfileList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $taxationProfile): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($taxationProfile['id'] ?? ''); ?>" data-percentage="<?php echo e($taxationProfile['tax-percentage']); ?>"  ><?php echo e($taxationProfile['taxation_profile']); ?></option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>  
                                                </select>
                                                <small class="convenience-fee-tax-percentage"></small>
                                                <div  id="convenience_fee_taxation_profile_id_errors"  class="invalid-feedback">
                                                    Required
                                                </div>
                                            </div>
                                        </div>
                                        <div class="mb-3 row">
                                            <label for="delivery_fee" class="col-md-2 col-form-label">Delivery Fee</label>
                                            <div class="col-md-6">
                                                <input id="delivery_fee" name="delivery_fee" type="text" class="delivery_fee form-control" placeholder="Delivery Fee" >
                                                <small>Add the amount as required to the location and client relationship</small>
                                            </div>
                                        </div>
                                        <div class="mb-3 row" >
                                            <label for="delivery_fee_taxation_profile_id" class="col-md-2 col-form-label">Taxation Profile for Delivery Fee</label>
                                            <div class="col-md-6">
                                                <select id="delivery_fee_taxation_profile_id" name="delivery_fee_taxation_profile_id" class="delivery_fee_taxation_profile_id form-select" >
                                                    <option value=''>Select...</option>
                                                        <?php $__currentLoopData = $taxationProfileList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $taxationProfile): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($taxationProfile['id'] ?? ''); ?>" data-percentage="<?php echo e($taxationProfile['tax-percentage']); ?>"  ><?php echo e($taxationProfile['taxation_profile']); ?></option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>  
                                                </select>
                                                <small class="delivery-fee-tax-percentage"></small>
                                                <div  id="delivery_fee_taxation_profile_id_errors"  class="invalid-feedback">
                                                    Required
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <input data-repeater-delete type="button" class="btn btn-primary-borderd" value="Delete" />
                                            </div>
                                        </div>
                                    </div>
                                    <?php endif; ?>

                                </div>
                            </div>
                        </div>
                        
                        <!--</section>
                        <h3>Product</h3>
                        <section>-->
                        <div class="tab-pane" id="terms_condition_tab" role="tabpanel">
                            
                            <div class="repeater" enctype="multipart/form-data">
                                <div data-repeater-list="terms_condition_list" class="terms_condition_tab">
                                    <div class="row">
                                    <div class="tab-header col-md-10 ">
                                        <h5 class="tab-title">Terms & Condition</h5>
                                        <small>Set Terms and condition for this plan</small>
                                    </div>
                                    
                                    <div class="col-md-2">
                                        <input data-repeater-create type="button"  class="add_terms btn btn-primary waves-effect waves-light" value="Add Terms & Condition" />
                                    </div>
                                    </div>
                                    
                                    <?php if(isset($battery->terms[0])): ?>
                                    <?php $__currentLoopData = $battery->terms; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $terms): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                    <div data-repeater-item class="row asset_part_item">
                                        <div class="mb-3 row">
                                            <label for="image" class="col-md-2 col-form-label">Image</label>
                                            <div class="col-md-6">
                                                <input name="terms_conditionn_id" type="hidden"  value="<?php echo e($terms->id); ?>" />
                                               <div class="<?php echo e($terms->image ? ' ' :'collapse '); ?>terms_image /">
                                                <img src="<?php echo e('/storage' .$terms->image); ?>" style="width: 80px;" />
                                                <input  type="button" class="terms-condition-image btn btn-primary-borderd" value="Delete Image" data-id="<?php echo e($terms->id); ?>" data-url="<?php echo e(route('subscription-plan.battery.terms-condition-image', $terms->id)); ?>" />
                                                </div>
                                               <div class="<?php echo e($terms->image ? 'collapse ' :''); ?>terms_image_field ">
                                                <input type="file" name="image" class="form-control" id="image" />
                                                <small>Choose an image of zice 200 x 200 to upload as icon</small>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="mb-3 row">
                                            <label for="terms_condition" class="col-md-2 col-form-label">T & C Text</label>
                                            <div class="col-md-6">
                                                <input id="terms_condition" name="terms_condition" type="text" class="form-control" placeholder="T & C Text" value="<?php echo e($terms->terms_condition); ?>" />
                                                <small></small>
                                            </div>
                                            <div class="col-md-4">
                                                <input data-repeater-delete type="button" class="terms-condition btn btn-primary-borderd" value="Delete Terms & Condition" data-id="<?php echo e($terms->id); ?>" data-url="<?php echo e(route('subscription-plan.battery.terms-condition', $terms->id)); ?>" />
                                            </div>
                                        </div>
                                    </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php else: ?>
                                    <div data-repeater-item class="row asset_part_item">
                                        <div class="mb-3 row">
                                            <label for="image" class="col-md-2 col-form-label">Image</label>
                                            <div class="col-md-6">
                                                <input type="file" name="image" class="form-control" id="image" />
                                                <small>Choose an image of zice .. to upload as icon</small>
                                            </div>
                                        </div>
                                        <div class="mb-3 row">
                                            <label for="terms_condition" class="col-md-2 col-form-label">T & C Text</label>
                                            <div class="col-md-6">
                                                <input id="terms_condition" name="terms_condition" type="text" class="form-control" placeholder="T & C Text" />
                                                <small></small>
                                            </div>
                                            <div class="col-md-4">
                                                <input data-repeater-delete type="button" class="btn btn-primary-borderd" value="Delete" />
                                            </div>
                                        </div>
                                    </div>
                                    <?php endif; ?>

                                </div>
                            </div>
                            
                
                        </div>
                        <!--</section>-->
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2" style="float: right;">
                    <a href="<?php echo e(route('subscription-plan.battery.index')); ?>" type="button" class="save_changes btn btn-secondary waves-effect waves-light">Cancel</a>
                    <button type="submit" class="save_changes btn btn-primary waves-effect waves-light">Save Changes</button>
                </div>
            </div>
        </div> 
    
   </form>
    </div>
</div>
<!-- end row -->

<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!-- select 2 plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/select2/select2.min.js')); ?>"></script>

    <!-- dropzone plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.js')); ?>"></script>

<!-- init js -->
<script src="<?php echo e(URL::asset('/assets/js/pages/ecommerce-select2.init.js')); ?>"></script>
<!--tinymce js-->
<script src="<?php echo e(URL::asset('/assets/libs/tinymce/tinymce.min.js')); ?>"></script>

<!-- init js -->
<script src="<?php echo e(URL::asset('/assets/js/pages/form-editor.init.js')); ?>"></script>
<script src="<?php echo e(URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js')); ?>"></script>

<script src="<?php echo e(URL::asset('/assets/js/pages/form-validation.init.js')); ?>"></script>
<script src="<?php echo e(URL::asset('/assets/libs/jquery-repeater/jquery-repeater.min.js')); ?>"></script>

<script src="<?php echo e(URL::asset('/assets/js/pages/form-repeater.int.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/js/custom.js')); ?>"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        
        var actionUrl = "<?php echo e(route('vendor-oem.oem-by-category')); ?>";
        var token = "<?php echo e(csrf_token()); ?>";
        updateVendorOemOption(actionUrl, token);
        
        actionUrl = "<?php echo e(route('asset.asset-battery-list')); ?>";
        updateAssetPartsByAssetModel(actionUrl, token);

        $('#model_name').on('change', function() {
            actionUrl = "<?php echo e(route('asset.asset-battery-list')); ?>";
            updateAssetPartsByAssetModel(actionUrl, token);
        });
        
        $('.freemium_fields').hide();
        $('.auto_renewing_fields').hide();
        $('.prepaid_fields').hide();
        $('.re_subscribe_fields').hide();
        base_plan_change($('input[type=radio][name=base_plan]:checked').val());
        $('input[type=radio][name=base_plan]').on('change', function() { 
            base_plan_change($(this).val());
        });
        $('input[type=radio][name=prepaid_grace_time_hr]').on('change', function() {
            if($(this).val() == 'Yes'){
                $('.prepaid_grace_time_hr_yes_fiels').show();
            }else{
                $('.prepaid_grace_time_hr_yes_fiels').hide();
            }

        });
        $('input[type=radio][name=re_subscribe_grace_time_hr]').on('change', function() {
            if($(this).val() == 'Yes'){
                $('.re_subscribe_grace_time_hr_yes_fiels').show();
            }else{
                $('.re_subscribe_grace_time_hr_yes_fiels').hide();
            }

        });
        $('input[type=radio][name=freemium_grace_time_hr]').on('change', function() {
            if($(this).val() == 'Yes'){
                $('.freemium_grace_time_hr_yes_fiels').show();
            }else{
                $('.freemium_grace_time_hr_yes_fiels').hide();
            }

        });
        $('input[type=radio][name=have_convenience_price]').on('change', function() {
            if($(this).val() == 'Yes'){
                $('.have_convenience_price_yes_fields').show();
            }else{
                $('.have_convenience_price_yes_fields').hide();
            }

        });
        $('#convenience_price').on('change', function() {
            convenience_fee = $('.convenience_fee').val();
            if(convenience_fee == ''){
                $('.convenience_fee').val($(this).val());
            }
        });
        $('input[type=radio][name=have_delivery_charge]').on('change', function() {
            if($(this).val() == 'Yes'){
                $('.have_delivery_charge_yes_fields').show();
            }else{
                $('.have_delivery_charge_yes_fields').hide();
            }

        });
        $('#delivery_charge').on('change', function() {
            
            deliveryCharge = $('.delivery_fee ').val();
            if(deliveryCharge == ''){
                $('.delivery_fee ').val($(this).val());
            }
        });
        $('#fixed_price').on('change', function() {
            
            base_price = $('.base_price ').val();
            if(base_price == ''){
                $('.base_price ').val($(this).val());
            }
        });
        $(document).on('change', '.taxation_profile_id', function(event) {
            taxPercentage = $(this).find(":selected").attr('data-percentage');
            if(taxPercentage != ''){
                $(this).next().text( taxPercentage);
            }
        });
        $(document).on('click', '.add_location', function(event) {
            event.preventDefault();
            var total = $('.have_convenience_price_yes_fields').length;
            var have_convenience_price =  $('input[type=radio][name=have_convenience_price]:checked').val();
            var have_delivery_charge =  $('input[type=radio][name=have_delivery_charge]:checked').val();
            
            $(".have_convenience_price_yes_fields").each(function(index) {
                if (index === total - 1 &&  have_convenience_price == 'Yes') {
                    $(this).show();
                }else{
                    $(this).hide();
                }
                if (index === total - 1 &&  have_delivery_charge == 'Yes') {
                    $(this).show();
                }else{
                    $(this).hide();
                }
            });
        });
        $( "#edit_form" ).submit(function( event ) {
            event.preventDefault();
            actionUrl = "<?php echo e(route('subscription-plan.battery.validate')); ?>";
            form = $( "#edit_form" );
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: form.serialize(), // serializes the form's elements.
                success: function(data){ 
                    $('.needs-validation').addClass('validated');
                    form.unbind().submit();
                   
                },
                error: function (data) {
                    console.log('An error occurred.');
                    response = data.responseJSON;
                    if(response.mode == false){
                        var error_id = ''
                        $.each(response.errors, function(i, item) {
                            if(error_id == ''){
                                error_id = '#'+i+'_errors';
                            }
                            $('#'+i+'_errors').html(response.errors[i]); 
                            $('#'+i+'_errors').css('display', 'block');
                        });
                        
                        if(error_id != ''){
                            $([document.documentElement, document.body]).animate({
                                scrollTop: $(error_id).offset().top - 500
                            },1);
                        }
                    }
                },
            });
        });
        
        $(document).on('click', '.delete-location', function(event) {
            event.preventDefault();
            id = $(this).attr('data-id');
            actionUrl = $(this).attr('data-url');
            $.ajax({
                type: "GET",
                url: actionUrl,
                success: function(data){ 
                    $(this).parent('.row').addClass('collapse');
                },
                error: function (data) {
                    
                },
            });
        });
        $(document).on('click', '.terms-condition', function(event) {
            event.preventDefault();
            id = $(this).attr('data-id');
            actionUrl = $(this).attr('data-url');
            $.ajax({
                type: "GET",
                url: actionUrl,
                success: function(data){ 
                    $(this).parent('.row').addClass('collapse');
                },
                error: function (data) {
                    
                },
            });
        });
        
        $(document).on('click', '.terms-condition-image', function(event) {
            event.preventDefault();
            button = $(this);
            id = $(this).attr('data-id');
            actionUrl = $(this).attr('data-url');
            $.ajax({
                type: "GET",
                url: actionUrl,
                success: function(data){
                    fieldDiv = button.next('div.terms_image_field ');
                    fieldDiv.removeClass('collapse')
                    console.log(fieldDiv);
                },
                error: function (data) {
                    
                },
            });
        });
        
    });
    
    function base_plan_change(base_plan){
        if(base_plan == 'Freemium'){
            $('.freemium_fields').show();
            $('.auto_renewing_fields').hide();
            $('.prepaid_fields').hide();
            $('.re_subscribe_fields').hide();
        }else if(base_plan == 'Re-Subscribe'){
            $('.re_subscribe_fields').show();                
            $('.auto_renewing_fields').hide();
            $('.prepaid_fields').hide();
            $('.freemium_fields').hide();
        }else if(base_plan == 'Auto Renewing'){
            $('.re_subscribe_fields').hide();                
            $('.auto_renewing_fields').show();
            $('.prepaid_fields').hide();
            $('.freemium_fields').hide();
        }else if(base_plan == 'Prepaid'){ 
            $('.re_subscribe_fields').hide();                
            $('.auto_renewing_fields').hide();
            $('.prepaid_fields').show();
            $('.freemium_fields').hide();
        }
    }

    function updateAssetPartsByAssetModel(actionUrl,  token){
        console.log('updateAssetPartsByAssetModel');
        let model_name =  $('#model_name').find("option:selected").val();
        if(model_name){
            $.ajax({
                type: "POSt",
                url: actionUrl,
                data: {
                    "model_name" : model_name,
                    "with" : "parts",
                    "_token": token
                },
                success: function(data){ 
                    if(data['data']){
                        let sel = $("#part_id");
                        dataSelected = sel.attr('data-selected');
                        sel.find('option').remove().end();
                        sel.append('<option value="">Select...</option>');
                        $.each(data['data'], function(index, item) {
                            selected ='';
                            var dataSelectedArray = dataSelected.split(',');
                            // $.each(dataSelectedArray, function(indexS, selectedPart) {
                            //     if(selectedPart == index ){
                            //         selected = 'selected';
                            //     }else{
                            //         selected='';
                            //     }
                            // });
                            if($.inArray(index, dataSelectedArray) != -1) {
                                selected = 'selected';
                            }
                            if(item){
                                sel.append('<option value="'+ index +'" '+selected+'>'+ item +'</option>');
                            }
                        });
                    }
                },
                error: function (data) {
                    console.log(actionUrl+' Failes.');
                },
            });
        }
        
    }
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\subscription_plan\battery\edit.blade.php ENDPATH**/ ?>