

<?php $__env->startSection('title'); ?> <?php echo app('translator')->get('translation.Tab Menu Inputs'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<!-- select2 css -->
<link href="<?php echo e(URL::asset('/assets/libs/select2/select2.min.css')); ?>" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.css')); ?>" rel="stylesheet" type="text/css" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<?php $__env->startComponent('components.breadcrumb'); ?>
<?php $__env->slot('li_1'); ?> Tab Menu Inputs <?php $__env->endSlot(); ?>
<?php $__env->slot('title'); ?> Add Tab Menu Inputs <?php $__env->endSlot(); ?>
<?php echo $__env->renderComponent(); ?>

<div class="row">
    <div class="col-12">
        
    <form  class="needs-validation" id="create_form" action="<?php echo e(route('cms.tab-menu-input.store')); ?>" method="post" enctype="multipart/form-data" novalidate>
    <?php echo csrf_field(); ?>
        <div class="card">
            <div class="card-body">
                <h5>Tab Menu Inputs Details</h5><br>
                <div class="mb-3 row">
                    <label for="form_id" class="col-md-2 col-form-label">Select Form Slug</label>
                    <div class="col-md-6">
                        <select id="form_id" name="form_id" class="form-select" required>
                            <option value=''>Select...</option>
                            <?php $__currentLoopData = $forms; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $form): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($form->id); ?>"><?php echo e($form->slug); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                        </select>
                        <div  id="form_id_errors"  class="invalid-feedback">
                            Form Slug Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="form_field_id" class="col-md-2 col-form-label">Form Fields</label>
                    <div class="col-md-6">
                        <select id="form_field_id" name="form_field_id" class="form-select" required>
                            <option value=''>Select...</option>
                        </select>
                        <div  id="form_field_id_errors"  class="invalid-feedback">
                            Form Fields Required
                        </div>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="tab_menu_id" class="col-md-2 col-form-label">Tab Menu</label>
                    <div class="col-md-6">
                        <select id="tab_menu_id" name="tab_menu_id" class="form-select" required>
                            <option value=''>Select...</option>
                        </select>
                        <div  id="tab_menu_id_errors"  class="invalid-feedback">
                            Form Fields Required
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="repeater" enctype="multipart/form-data">
                    <div class="mb-3 row">
                        <div class="col-md-10">
                            <h5>Inputs</h5>
                        </div>
                        <div class="col-md-2">
                            <input data-repeater-create type="button"  class="input-list-add-btn btn btn-primary waves-effect waves-light" value="Add Inputs" />
                        </div>
                    </div>
                    <hr>
                    <div data-repeater-list="input-list" class="input-list">
                        <div data-repeater-item class="card data-item">
                            <div class="card-body">
                                <div class="mb-3 row">
                                    <label for="field_name" class="col-md-2 col-form-label">Field Name</label>
                                    <div class="col-md-6">
                                        <input type="text" id="field_name" name="field_name" class="form-control" placeholder="Enter Your Field Name" />
                                        <div  id="field_name_errors"  class="invalid-feedback">
                                            Required
                                        </div>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="type_id" class="col-md-2 col-form-label">Field Type</label>
                                    <div class="col-md-6">                            
                                        <select class="form-control type_id" name="type_id"  data-placeholder="Field Type" id="type_id">
                                            <option value="">Choose...</option>
                                            <?php $__currentLoopData = $formFieldTypes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $formFieldType): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($formFieldType->id); ?>"   data-option="<?php echo e($formFieldType->add_option); ?>" > <?php echo e($formFieldType->field_type); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                        </select>
                                        <div  id="type_id_errors"  class="invalid-feedback">
                                            Required
                                        </div>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="field_title" class="col-md-2 col-form-label">Field Title</label>
                                    <div class="col-md-6">
                                        <input type="text" id="field_title" name="field_title" class="form-control" placeholder="Enter Your Field Title" />
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label for="place_holder" class="col-md-2 col-form-label">Place Holder</label>
                                    <div class="col-md-6">
                                        <input id="place_holder" name="place_holder" type="text" class="form-control" placeholder="Place Holder" >
                                    </div>
                                </div>
                                
                                <div class="mb-3 row option-field" style="display:none;">
                                    <label for="place_holder" class="col-md-2 col-form-label">Options</label>
                                    <div class="col-md-6">
                                        <textarea id="option" name="option" type="text" row="2" class="form-control" placeholder="option1,option2,..." ></textarea>
                                    </div>
                                </div>
                                
                                <div class="mb-3 row">
                                    <label for="have_condition" class="col-md-2 col-form-label">Have Condition</label>
                                    <div class="col-md-6">
                                        <input class="form-check-input have_condition" type="radio" name="have_condition" value="Yes" >
                                        <label class="form-check-label" for="have_condition1">Yes</label>
                                        <input class="form-check-input have_condition" type="radio" name="have_condition" value="No"  >
                                        <label class="form-check-label" for="have_condition2">No</label>
                                    </div>
                                    
                                    <div class="condition-field-form" style="display:none">
                                        <div class="mb-3 row">
                                            <label for="condition_field_name" class="col-md-4 col-form-label">Condition Field Name <i class="fas fa-question-circle" data-toggle="tooltip" data-placement="top" title="Should equal to any above field name"></i></label>
                                            <div class="col-md-6">
                                                <input type="text" id="condition_field_name" name="condition_field_name" class="form-control" placeholder="Condition Field Name"  value=""  />
                                            </div>
                                        </div>
                                        <div class="mb-3 row">
                                            <label for="equal_value" class="col-md-4 col-form-label">Equal Value</label>
                                            <div class="col-md-6">
                                                <input type="text" id="equal_value" name="equal_value" class="form-control" placeholder="Equal Value"  />
                                            </div>
                                        </div>
                                        <div class="mb-3 row">
                                            <label for="field_id_type" class="col-md-4 col-form-label">Condition Field Type</label>
                                            <div class="col-md-6">
                                                <input type="text" id="field_id_type" name="field_id_type" class="form-control" placeholder="Equal Value" />
                                            </div>
                                        </div>
                                        <div class="mb-3 row">
                                            <label for="equal_value_type" class="col-md-4 col-form-label">Equal Value Type</label>
                                            <div class="col-md-6">
                                                <input type="text" id="equal_value_type" name="equal_value_type" class="form-control" placeholder="Equal"  />
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="mb-3 row ">
                                    <label for="priority" class="col-md-2 col-form-label">Priority</label>
                                    <div class="col-md-6 priority-div">
                                        <select id="priority" name="priority" class="priority form-select">
                                            <option value=''>Select...</option>
                                            <?php $__currentLoopData = range(1,20); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value='<?php echo e($option); ?>'><?php echo e($option); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                        <div  id="priority_errors"  class="invalid-feedback">
                                            Required
                                        </div>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <div class="col-lg-10">
                                    </div>
                                    <div class="col-lg-2 align-self-center" style="margin-top: -70px;">
                                        <div class="d-grid">
                                            <input data-repeater-delete type="button" class="btn btn-primary-borderd" value="Delete" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2">
                    <button type="submit" class="btn btn-primary waves-effect waves-light">Save Changes</button>
                </div>
            </div>
        </div>
    </form>
    </div>
</div>
<!-- end row -->

<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <!-- select 2 plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/select2/select2.min.js')); ?>"></script>

    <!-- dropzone plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/dropzone/dropzone.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/ecommerce-select2.init.js')); ?>"></script>
    <!--tinymce js-->
    <script src="<?php echo e(URL::asset('/assets/libs/tinymce/tinymce.min.js')); ?>"></script>

    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/form-editor.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js')); ?>"></script>

    <script src="<?php echo e(URL::asset('/assets/js/pages/form-validation.init.js')); ?>"></script>

    <script src="<?php echo e(URL::asset('/assets/libs/jquery-repeater/jquery-repeater.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/js/pages/form-repeater.int.js')); ?>"></script>

    <script src="<?php echo e(URL::asset('/assets/js/custom.js')); ?>"></script>
    <script type="text/javascript">
    $(document).ready(function(){
        
        $(document).on("change", ".have_condition", function(){
            parentDiv = $(this).parents('.data-item');
            conditionField = parentDiv.find(".condition-field-form");
            if($(this).val() == 'Yes'){
                conditionField.show();
            }else{
                conditionField.hide();
            }
        }).trigger('change');
        $(document).on("change", ".type_id", function(){
            //addAption = $(this). attr('data-option');
            addAption = $(this).find("option:selected").attr('data-option');
            if(addAption == 'Yes'){
                parentDiv = $(this).parents('.data-item');
                optionField = parentDiv.find(".option-field");
                optionField.show();
            }else{
                parentDiv = $(this).parents('.data-item');
                optionField = parentDiv.find(".option-field");
                optionField.hide();
            }
        });
        
        var token = "<?php echo e(csrf_token()); ?>";
        $('#form_id').on('change', function() {
            actionUrl = "<?php echo e(route('cms.form-fields-by-form')); ?>";
            updateFormFieldByForm(actionUrl, token);
        });
        $('#form_field_id').on('change', function() {
            actionUrl = "<?php echo e(route('cms.tab-menu-by-form-field')); ?>";
            updateTabMenuieldByFormField(actionUrl, token);
        });
    });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\cms\tab_menu_input\create.blade.php ENDPATH**/ ?>