

<?php $__env->startSection('title'); ?> <?php $__env->startTranslation(); ?>  Add <?php echo e($slug); ?> <?php $__env->stopSection(); ?>

<?php $__env->startSection('css'); ?>
<!-- select2 css -->
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

<link href="<?php echo e(URL::asset('/assets/libs/select2/select2.min.css')); ?>" rel="stylesheet" type="text/css" />
<style>
    .nav-tabs .nav-link.active span.tab-title{
        color:#50DDE2;
    }
    .tab-title{
        color:#000;
    }
    .tab-header{
        margin-bottom: 50px;
    }
    .select2 {
        width: 100% !important;
    }
</style>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

<?php $__env->startComponent('components.breadcrumb'); ?>
<?php $__env->slot('title'); ?> <?php echo e($slug); ?> <?php $__env->endSlot(); ?> 
<?php echo $__env->renderComponent(); ?>

<div class="row">
    <?php if($user->id ?? null): ?>
    <form  class="needs-validation" id="edit_form" action="<?php echo e(route('update_customer', ['id' => $user->id,  'slug' =>  $slug])); ?>" method="post" enctype="multipart/form-data" novalidate>
    
    <?php else: ?>
    <form  class="needs-validation" id="edit_form" action="<?php echo e(route('add_customer', ['slug' => $slug])); ?>" method="post" enctype="multipart/form-data" novalidate>

    <?php endif; ?>
    <?php echo csrf_field(); ?>
    <input  name="id" type="hidden"value="<?php echo e($user->id ?? null); ?>" />
        <div class="card">
            <div class="card-body">
                <h5></h5>
                <?php if($slug == 'Rider'): ?>
    <div class="mb-3 row"> 
        <label for="businesscategory" class="col-md-2 col-form-label">Business Category<span class="req-sym">*</span></label>
        <div class="col-md-6">
            <select id="businesscategory" name="business_category_id" class="form-select" required>
                <option value=''>Select...</option>
                <?php $__currentLoopData = $businessCategoryList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $businessModels): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($businessModels->id); ?>" <?php echo e($user && $user->userData && $user->userData->business_category_id == $businessModels->id ? 'selected' : ''); ?>>
                        <?php echo e($businessModels->business_category ?? null); ?>

                    </option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
            </select>
            <div id="business_model_id_errors" class="invalid-feedback">
                Required
            </div>
        </div>
    </div>

    <div class="mb-3 row"> 
        <label for="business_model_id" class="col-md-2 col-form-label">Business Model<span class="req-sym">*</span></label>
        <div class="col-md-6">
       <?php if($user->business_category_id == '' ): ?>
       <select name="business_model_id" class="form-select" required>
                <?php $__currentLoopData = $businessModelsList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $businessModel): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($businessModel->id); ?>" <?php echo e($user && $user->userData && $user->userData->business_model_id == $businessModel->id ? 'selected' : ''); ?>>
                        <?php echo e($businessModel->business_model ?? null); ?>

                    </option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </select>
        <?php else: ?>
                <!--<input class="form-control" name="business_model_id" type="text" placeholder="Type here"  id="name" value="<?php echo e($user->userData->business_model_id ?? null); ?> " readonly required/>-->
            <select name="business_model_id" class="form-select" required>
                <?php $__currentLoopData = $businessModelsList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $businessModel): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($businessModel->id); ?>" <?php echo e($user && $user->userData && $user->userData->business_model_id == $businessModel->id ? 'selected' : ''); ?>>
                        <?php echo e($businessModel->business_model ?? null); ?>

                    </option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </select>
            <?php endif; ?>

           <div id="business_model_id_errors" class="invalid-feedback">
                Required
            </div>
        </div>
    </div>
            <?php endif; ?>
                <div class="mb-3 row">
                    <label for="name" class="col-md-2 col-form-label">Name<span class="req-sym">*</span></label>
                    <div class="col-md-6">
                        <input class="form-control" name="name" type="text" placeholder="Type here"  id="name" value="<?php echo e($user->name ?? null); ?>" required/>
                        <div  id="name_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <?php if($slug == 'Corporate Client'): ?>
                
                <div class="mb-3 row">
                    <label for="business_location_id" class="col-md-2 col-form-label">Business Location</label>                    
                    <div class="col-md-6">
                        <select id="business_location_id" name="business_location_id" class="form-select" />
                            <option value=''>Select...</option>
                            <?php $__currentLoopData = $locationList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $location): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($location->id); ?>" <?php echo e($user->userCorporate->business_location_id ?? null == $location->id ? 'selected' : '' ?? null); ?>><?php echo e($location->location ?? null); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                        </select>
                    </div>
                </div> 
                <?php endif; ?>
                <?php if($slug == 'Rider'): ?>
                <div class="mb-3 row" id="employee_id">
                    <label for="employee_id" class="col-md-2 col-form-label">Employee ID</label>
                    <div class="col-md-6">
                        <input class="form-control" name="employee_id" type="text" placeholder="Type here"  id="employee_id"  value="<?php echo e($user->userData->employee_id ?? null); ?>" />
                    </div>
                </div>
                <!-- <div class="mb-3 row">
                    <label for="b2b_client" class="col-md-2 col-form-label">B2B Client</label>
                    <div class="col-md-6">
                        <input class="form-control" name="b2b_client" type="text" placeholder="Type here" value="<?php echo e($user->userData->b2b_client ?? null); ?>" id="b2b_client" />
                    </div>
                </div> -->
                <?php endif; ?>
                
                <?php if($slug == 'Staff'): ?>

                <div class="mb-3 row">
                    <label for="employee_id" class="col-md-2 col-form-label">Employee ID</label>
                    <div class="col-md-6">
                    <div class="mb-3 row">
                        <div class="col-md-2">
                            GZ
                        </div>
                        <div class="col-md-5">
                            <input class="form-control" name="contact_type" type="text" placeholder="Type here"  id="employee_id" />
                        </div>
                        <div class="col-md-5">
                            <input class="form-control" name="contact_type_number" type="text" placeholder="Type here"  id="employee_id" />
                        </div>
                    </div>
                    </div>
                </div>

                <div class="mb-3 row"> 
                    <label for="designation_id" class="col-md-2 col-form-label">Designation<span class="req-sym">*</span></label>
                    <div class="col-md-6">
                        <select id="designation_id" name="designation_id" class="form-select">
                            <option value=''>Select...</option>
                                <?php $__currentLoopData = $designationList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $designation): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($designation->id ?? null); ?>"  ><?php echo e($designation->designation); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                        </select>
                        <div  id="designation_id_errors"  class="invalid-feedback">
                            Required
                        </div>
                    </div>
                </div>
                <?php endif; ?>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <!-- <h4 class="card-title mb-4">Basic Wizard</h4> -->

                <?php if($slug != 'Staff' && $slug != 'Corporate Client'): ?>
                    
                <!-- Nav tabs -->
                <ul class="nav nav-tabs" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link active" data-bs-toggle="tab" href="#contact_details" role="tab">
                            <span class="d-none d-sm-block tab-title">Contact Details</span>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" data-bs-toggle="tab" href="#kyc_verification" role="tab">
                            <span class="tab-title d-none d-sm-block">KYC verification</span>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" data-bs-toggle="tab" href="#subscription_plan" role="tab">
                            <span class="tab-title d-none d-sm-block">Subscription Plan</span>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" data-bs-toggle="tab" href="#payout_history" role="tab">
                            <span class="tab-title d-none d-sm-block">Payout History</span>
                        </a>
                    </li>
                </ul>
                <?php else: ?>

                <h5>Contact Details</h5>

                <?php endif; ?>

                <div class="tab-content p-3 text-muted">
                    <div class="tab-pane active" id="contact_details" role="tabpanel">
                        <!-- Contact Details -->
                        <?php if($slug != 'Staff'  && $slug != 'Corporate Client'): ?>

                        <div class="mb-3 row">
                            <label for="location_id" class="col-md-2 col-form-label">Location<span class="req-sym">*</span></label>
                            <div class="col-md-6">
                                <select id="location_id" name="location_id" class="form-select" required>
                                    <option value=''>Select...</option>
                                    <?php $__currentLoopData = $locationList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $location): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($location->id); ?>" <?php echo e($user?->address?->location_id == $location->id ? 'selected' : ''); ?>><?php echo e($location->location); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                </select>
                                <div  id="location_id_errors"  class="invalid-feedback">
                                    Required
                                </div>
                            </div>
                        </div>
                        <?php endif; ?>
                        <div class="mb-3 row">
                            <label for="phone_number" class="col-md-2 col-form-label">Mobile Number<span class="req-sym">*</span></label>
                            <div class="col-md-6">
                                <input class="form-control" name="phone_number" type="text" placeholder="Type here"  id="phone_number" value="<?php echo e($user->phone_number ?? null); ?>" required/>
                                <div  id="phone_number_errors"  class="invalid-feedback">
                                    Required
                                </div>
                            </div>
                        </div>
                        <div class="mb-3 row">
                            <label for="email" class="col-md-2 col-form-label">Email<span class="req-sym">*</span></label>
                            <div class="col-md-6">
                                <input class="form-control" name="email" value="<?php echo e($user->email ?? null); ?>" type="text" placeholder="Type here"  id="email" required/>
                                <div  id="email_errors"  class="invalid-feedback">
                                    Email Required
                                </div>
                            </div>
                        </div>
                        <div class="mb-3 row">
                            <label for="country" class="col-md-2 col-form-label">Country<span class="req-sym">*</span></label>
                            <div class="col-md-6">
                                <input class="form-control" name="country" type="text" placeholder="Type here"  value="<?php echo e($user->country ?? null); ?>" id="country" required/>
                                <div  id="email_errors"  class="invalid-feedback">
                                    Country Required
                                </div>
                            </div>
                        </div>
                        <div class="mb-3 row">
                            <label for="postal_code" class="col-md-2 col-form-label">Pin Code<span class="req-sym">*</span></label>
                            <div class="col-md-6">
                                <input class="form-control" name="postal_code"  value="<?php echo e($user->postal_code ?? null); ?>"  type="text" placeholder="Type here"  id="postal_code" required/>
                                <div  id="postal_code_errors"  class="invalid-feedback">
                                    Country Required
                                </div>
                            </div>
                        </div>
                        <div class="mb-3 row">
                            <label for="city_id" class="col-md-2 col-form-label">City<span class="req-sym">*</span></label>
                            <div class="col-md-6">
                                <select id="city_id" name="city_id" class="form-select" required>
                                    <option value=''>Select...</option>
                                    <?php $__currentLoopData = $cities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $city): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($city->id); ?>"><?php echo e($city->city); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                </select>
                                <div  id="city_id_errors"  class="invalid-feedback">
                                    Required
                                </div>
                            </div>
                        </div>
                        <div class="mb-3 row">
                            <label for="district_id" class="col-md-2 col-form-label">District<span class="req-sym">*</span></label>
                            <div class="col-md-6">
                                <select id="district_id" name="district_id" class="form-select" required>
                                    <option value=''>Select...</option>
                                </select>
                                <div  id="district_id_errors"  class="invalid-feedback">
                                    Required
                                </div>
                            </div>
                        </div>
                        <div class="mb-3 row">
                            <label for="state_id" class="col-md-2 col-form-label">State<span class="req-sym">*</span></label>
                            <div class="col-md-6">
                                <select id="state_id" name="state_id" class="form-select" required>
                                    <option value=''>Select...</option>
                                </select>
                                <div  id="state_id_errors"  class="invalid-feedback">
                                    Required
                                </div>
                            </div>
                        </div>
                        <div class="mb-3 row">
                            <label for="zone_id" class="col-md-2 col-form-label">Zone<span class="req-sym">*</span></label>
                            <div class="col-md-6">
                                <select id="zone_id" name="zone_id" class="form-select" required>
                                    <option value=''>Select...</option>
                                </select>
                                <div  id="zone_id_errors"  class="invalid-feedback">
                                    Required
                                </div>
                            </div>
                        </div>
                        <div class="mb-3 row">
                            <label for="address" class="col-md-2 col-form-label">Address</label>
                            <div class="col-md-6">
                                <input id="address" name="address"  value="<?php echo e($user->address?? null); ?>"  type="text" class="form-control" placeholder="Type here" />
                            </div>
                        </div>
                        
                    </div>
                    <div class="tab-pane" id="kyc_verification" role="tabpanel">
                    <?php if($verificationParams): ?>
                        <?php $__currentLoopData = $verificationParams; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $verificationParam): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php if($verificationParam?->role?->name == $slug): ?>
                            <div class="mb-3 row">
                                <label for="doc_number" class="col-md-2 col-form-label"><?php echo e($verificationParam->verification_parameter); ?></label>
                                <div class="col-md-6">
                                    <input type="hidden" name="doc_name[]" value="<?php echo e($verificationParam->verification_parameter); ?>" />
                                    <input type="text" name="doc_number[]" class="form-control" id="doc_number" placeholder="Type here"  />
                                </div>
                            </div>
                                <?php if($verificationParam->proof_required == 'Yes'): ?>
                                    <div class="mb-3 row">
                                        <label for="doc_front_page" class="col-md-2 col-form-label">Upload Image (Front)</label>
                                        <div class="col-md-6">
                                            <?php if($userDocuments && isset($userDocuments[$verificationParam->verification_parameter])): ?>
                                                <?php if($userDocuments[$verificationParam->verification_parameter]['doc_front_page'] != ''): ?>
                                                <img src="<?php echo e('/storage'.  $userDocuments[$verificationParam->verification_parameter]['doc_front_page']); ?>" style="width: 100px;"/>
                                                <?php else: ?>
                                                <input type="file" name="doc_front_page[<?php echo e($verificationParam->verification_parameter); ?>]" class="form-control" id="doc_front_page" />
                                                <?php endif; ?>
                                            <?php else: ?>
                                            <input type="file" name="doc_front_page[<?php echo e($verificationParam->verification_parameter); ?>]" class="form-control" id="doc_front_page" />
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label for="doc_back_page" class="col-md-2 col-form-label">Upload Image (Back)</label>
                                        <div class="col-md-6">
                                            <?php if($userDocuments && isset($userDocuments[$verificationParam->verification_parameter])): ?>
                                                <?php if($userDocuments[$verificationParam->verification_parameter]['doc_back_page'] != ''): ?>
                                                <img src="<?php echo e('/storage'.  $userDocuments[$verificationParam->verification_parameter]['doc_back_page']); ?>" style="width: 100px;"/>
                                                <?php else: ?>
                                                <input type="file" name="doc_back_page[<?php echo e($verificationParam->verification_parameter); ?>]" class="form-control" id="doc_back_page"  />
                                                <?php endif; ?>
                                            <?php else: ?>
                                            <input type="file" name="doc_back_page[<?php echo e($verificationParam->verification_parameter); ?>]" class="form-control" id="doc_back_page"  />
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                <?php endif; ?>
                            <?php endif; ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php endif; ?>
                    </div> 

                    <div class="tab-pane" id="subscription_plan" role="tabpanel">

                    <div class="repeater" enctype="multipart/form-data">
                            <div data-repeater-list="subscription_plan_list" class="subscription_plan_tab">
                                <div class="row">
                                <div class="col-md-12">
                                    <input data-repeater-create type="button"  class="add_subs_btn btn btn-primary waves-effect waves-light" value="Add Subscription Plan" style="float: right;" />
                                </div>
                                </div>                                
                                <?php if($user->userSubscription ?? null): ?>
                                <?php $__currentLoopData = $user->userSubscription; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $userSubscription): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div data-repeater-item class="row subscription_plan_item">
                                    <h4>Subscription Plan</h4>
                                    <div class="mb-3 row">
                                        <label for="order_id" class="col-md-2 col-form-label">Order ID</label>
                                        <div class="col-md-6">
                                            <input  name="user_subscription_plan_id" type="hidden"value="<?php echo e($userSubscription->id ?? null); ?>" />

                                            <input class="order_id form-control" id="order_id" name="order_id" type="text" placeholder="Type here" value="<?php echo e($userSubscription->order_id ?? null); ?>" />
                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label for="subscription_plan_id" class="col-md-2 col-form-label">Subscription Plan<span class="req-sym">*</span></label>
                                        <div class="col-md-6">
                                            <select id="subscription_plan_id" name="subscription_plan_id" class="subscription_plan_id form-select">
                                                <option value=''>Select...</option>
                                                <?php $__currentLoopData = $subscriptionPlans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subscriptionPlan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($subscriptionPlan->id); ?>" <?php echo e($userSubscription->subscription_plan_id ?? null == $subscriptionPlan->id ? 'selected' : ''); ?>><?php echo e($subscriptionPlan->plan_name); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                            </select>
                                            <div  id="subscription_plan_id_errors"  class="invalid-feedback">
                                                Required
                                            </div>
                                        </div>
                                    </div> 
                                    <div class="mb-3 row">
                                        <label for="asset_type_id" class="col-md-2 col-form-label">Asset Typessss<span class="req-sym">*</span></label>
                                        <div class="col-md-6">
                                            <select id="asset_type_id" name="asset_type_id" class="asset_type_id form-select">
                                                <option value=''>Select...</option>
                                                <?php $__currentLoopData = $assetTypeList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $assetType): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($assetType->id); ?>" <?php echo e($userSubscription->asset_type_id ?? null == $assetType->id ? 'selected' : ''); ?>><?php echo e($assetType->product_type); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                            </select>
                                            <div  id="asset_type_id_errors"  class="invalid-feedback">
                                                Required
                                            </div>
                                        </div>
                                    </div> 
                                    <div class="mb-3 row">
                                        <label for="model_name" class="col-md-2 col-form-label">Vehicle Models<span class="req-sym">*</span></label>
                                        <div class="col-md-6">
                                            <select id="vehicle_model" name="model_name" class="model_name form-select" data-selected="<?php echo e($userSubscription->model_name ?? null); ?>"  required />
                                                <option value=''>Select...</option>
                                                <?php $__currentLoopData = $vehicles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vehicle): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                                    <option value="<?php echo e($vehicle->id); ?>" ><?php echo e($vehicle->oem_model ?? null); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                            <div  id="model_name_errors"  class="invalid-feedback">
                                                Required
                                            </div>
                                        </div>
                                    </div> 

                                    <div class="mb-3 row">
                                        <label for="registration_number" class="col-md-2 col-form-label">ssRegistration Numbersssss<span class="req-sym">*</span></label>
                                        <div class="col-md-6">
                                     
                                        </div>
                                    </div> 
                                    
                                    <div class="mb-3 row">
                                        <label for="vin_number" class="col-md-2 col-form-label">VIN Numberss</label>
                                        <div class="col-md-6">
                                        <!-- <select id="" name="" class="form-control" required>
                                            <option value=''>Select...</option>
                                         </select> -->
                                         <input type="text" name="vin_number"  class="form-control">
                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label for="battery_model_name" class="col-md-2 col-form-label">Battery</label>
                                        <div class="col-md-6">
                                            <select id="battery_model_name" name="battery_model_name" class="battery_model_name form-select" data-selected="<?php echo e($userSubscription->battery_model_name ?? null); ?>"  required>
                                                <option value=''>Select...</option>
                                                <?php $__currentLoopData = $batteryList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $battery): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($battery->model_name); ?>"  <?php echo e($battery->model_name == $userSubscription->battery_model_name? 'selected' : ''); ?>><?php echo e($battery->model_name); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                            </select>
                                            <div  id="battery_model_name_errors"  class="invalid-feedback">
                                                Required
                                            </div>
                                        </div>
                                    </div> 
                                    <div class="mb-3 row">
                                        <label for="battery_model_number" class="col-md-2 col-form-label">Battery Serial Number</label>
                                        <div class="col-md-6">
                                        <select id="" name="battery_model_number" class="form-control" required>
                                            <option value=''>Select...</option>
                                         </select>
                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label for="charger_model_name" class="col-md-2 col-form-label">Charger</label>
                                        <div class="col-md-6">
                                            <select id="charger_model_name" name="charger_model_name" class="charger_model_name form-select" data-selected="<?php echo e($userSubscription->charger_model_name); ?>" >
                                                <option value=''>Select...</option>
                                                <?php $__currentLoopData = $chargerList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $charger): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($charger->model_name); ?>"  <?php echo e($charger->model_name == $userSubscription->charger_model_name ? 'selected' : ''); ?>><?php echo e($charger->model_name); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                            </select>
                                            <div  id="charger_model_name_errors"  class="invalid-feedback">
                                                Required
                                            </div>
                                        </div>
                                    </div> 
                                    <div class="mb-3 row">
                                        <label for="charger_model_number" class="col-md-2 col-form-label">Charger Serial Number</label>
                                        <div class="col-md-6">
                                            <input class="charger_model_number form-control" id="charger_model_number" name="charger_model_number" type="text" placeholder="Type here"   value="<?php echo e($userSubscription->charger_model_number); ?>" />
                                        </div>
                                    </div>
                                    <?php 
                                        $partIds = isset($userSubscription->userSubscriptionParts) ? $userSubscription->userSubscriptionParts : [];
                                        $partId = '';
                                        $chargerId = '';
                                        if($partIds){
                                            foreach($partIds as  $parts){
                                                if($parts->part_type == 'battery'){
                                                    $partId = $partId .  ',' .$parts->part_id;
                                                }elseif($parts->part_type == 'charger'){
                                                    $chargerId = $parts->part_id;
                                                }
                                            }
                                        }
                                    ?>
                                    <!-- <div class="mb-3 row">
                                        <label for="battery" class="col-md-2 col-form-label">Batteries</label>
                                        <div class="col-md-6">
                                            <select id="battery" name="part_id[battery][]" class="battery select2 form-control select2-multiple"  data-selected="<?php echo e($partId); ?>"  multiple />
                                                <option value=''>Select...</option>
                                            </select>
                                            <div  id="battery_errors"  class="invalid-feedback">
                                                Required
                                            </div>
                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label for="charger" class="col-md-2 col-form-label">Charger</label>
                                        <div class="col-md-6">
                                            <select id="charger" name="part_id[charger]" class="charger form-control" data-selected=",<?php echo e($chargerId); ?>"/>
                                                <option value=''>Select...</option>
                                            </select>
                                            <div  id="charger_errors"  class="invalid-feedback">
                                                Required
                                            </div>
                                        </div>
                                    </div>  -->
                                    <?php 
                                        $vAServiceTypeIds = isset($userSubscription->userSubscriptionVAService) ? $userSubscription->userSubscriptionVAService : [];
                                        $vAServiceTypeId = '';
                                        $vAServiceTypeIdArray = [];
                                        if($vAServiceTypeIds){
                                            foreach($vAServiceTypeIds as  $vAServiceTypes){
                                                $vAServiceTypeId = $vAServiceTypeId .  ',' .$vAServiceTypes->va_service_type_id;
                                                $vAServiceTypeIdArray[] = $vAServiceTypes->va_service_type_id;
                                            }
                                        }
                                    ?>
                                    <div class="mb-3 row">
                                        <label for="va_service_type_id" class="col-md-2 col-form-label">Value Added Service</label>
                                        <div class="col-md-6">
                                            <select id="va_service_type_id" name="[va_service_type_id][]" class="va_service_type_id form-select  select2 select2-multiple" multiple />
                                                <option value=''>Select...</option>
                                                <?php $__currentLoopData = $vAServiceTypeList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vAServiceType): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($vAServiceType->id); ?>"  <?php echo e(in_array($vAServiceType->id, $vAServiceTypeIdArray)  ? 'selected' : ''); ?>><?php echo e($vAServiceType->va_service_type); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                            </select>
                                            <div  id="va_service_type_id_errors"  class="invalid-feedback">
                                                Required
                                            </div>
                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label for="cost" class="col-md-2 col-form-label">Cost<span class="req-sym">*</span></label>
                                        <div class="col-md-6">
                                            <input class="form-control" name="cost" type="text" placeholder="Type here"  id="cost"  value="<?php echo e($userSubscription->cost); ?>" />
                                        </div>
                                    </div>
                                    <div class="mb-3 row billing_cycle_field">
                                        <label for="billing_cycle" class="col-md-2 col-form-label">Billing Cycle<span class="req-sym">*</span></label>
                                        <div class="col-md-6">
                                            <input class="form-control billing_cycle" name="billing_cycle" type="text" placeholder="Type here"  id="billing_cycle" value="<?php echo e($userSubscription->billing_cycle); ?>"/>
                                            <small>Type in Days</small>
                                        </div>
                                    </div> 
                                    <div class="mb-3 row">
                                        <label for="billing_type_id" class="col-md-2 col-form-label">Billing Type<span class="req-sym">*</span></label>
                                        <div class="col-md-6">
                                            <select id="billing_type_id" name="billing_type_id" class="form-select" />
                                                <option value=''>Select...</option>
                                                <?php $__currentLoopData = $billingTypeList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $billingType): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($billingType->id); ?>"  <?php echo e($userSubscription->billing_type_id == $billingType->id ? 'selected' : ''); ?>><?php echo e($billingType->billing_type); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                            </select>
                                        </div>
                                    </div> 
                                </div> 
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                <?php else: ?>
                                <div data-repeater-item class="row subscription_plan_item">
                                    <h4>Subscription Plan</h4>
                                    <div class="mb-3 row">
                                        <label for="subscription_plan_id" class="col-md-2 col-form-label">Subscription Plan<span class="req-sym">*</span></label>
                                        <div class="col-md-6">
                                            <select id="subscription_plan_id" name="subscription_plan_id" class="subscription_plan_id form-select">
                                                <option value=''>Select...</option>
                                                <?php $__currentLoopData = $subscriptionPlans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subscriptionPlan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($subscriptionPlan->id); ?>"><?php echo e($subscriptionPlan->plan_name); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                            </select>
                                            <div  id="subscription_plan_id_errors"  class="invalid-feedback">
                                                Required
                                            </div>
                                        </div>
                                    </div> 
                                    <div class="mb-3 row">
                                        <label for="asset_type_id" class="col-md-2 col-form-label">Asset Type<span class="req-sym">*</span></label>
                                        <div class="col-md-6">
                                            <select id="asset_type_id" name="asset_type_id" class="asset_type_id form-select" >
                                                <option value=''>Select...</option>
                                                <?php $__currentLoopData = $assetTypeList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $assetType): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($assetType->id); ?>"><?php echo e($assetType->product_type); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                            </select>
                                            <div  id="asset_type_id_errors"  class="invalid-feedback">
                                                Required
                                            </div>
                                        </div>
                                    </div> 
                                   
                                    <div class="mb-3 row">
                                        <label for="model_name" class="col-md-2 col-form-label">Vehicle Model<span class="req-sym">*</span></label>
                                        <div class="col-md-6">
                                            <select id="vehicle_model" name="model_name" class="model_name form-select" data-selected="<?php echo e($userSubscriptions->model_name ?? null); ?>"  required />
                                            <option value=''>Select...</option>
                                                <?php $__currentLoopData = $vehicles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vehicle): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($vehicle->id); ?>"  ><?php echo e($vehicle->vehicle_oem_model ?? null); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                            <div  id="model_name_errors"  class="invalid-feedback">
                                                Required
                                            </div>
                                        </div>
                                    </div> 
                                    <div class="mb-3 row">
                                        <label for="registration_number" class="col-md-2 col-form-label">Registration Number<span class="req-sym">*</span></label>
                                        <div class="col-md-6">
                                            
                                            <select id="vehicle_regist"  name="registration_number" class="form-select" required>
                                            <option value=''>Select...</option>
                                                </select>
                                        </div>
                                    </div> 









                                    
                                    <div class="mb-3 row">
                                        <label for="vin_number" class="col-md-2 col-form-label">VIN Number</label>
                                        <div class="col-md-6">
                                        <select id="" name="vin_numbers" class="form-control" required>
                                            <option value=''>Select...</option>
                                         </select>  
                                      </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label for="battery_model_name" class="col-md-2 col-form-label">Battery</label>
                                        <div class="col-md-6">
                                            <select id="battery_model_name" name="battery_model_name" class="battery_model_name form-select" data-selected="<?php echo e($userSubscriptions->battery_model_name ?? null); ?>"  required>
                                                <option value=''>Select...</option>
                                                <?php $__currentLoopData = $batteryList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $battery): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($battery->model_name); ?>"  ><?php echo e($battery->model_name ?? null); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                            </select>
                                            <div  id="battery_model_name_errors"  class="invalid-feedback">
                                                Required
                                            </div>
                                        </div>
                                    </div> 
                                    <div class="mb-3 row">
                                        <label for="battery_model_number" class="col-md-2 col-form-label">Battery Serial Number</label>
                                        <div class="col-md-6">
                                    

                                         <select name="battery_model_number" class="form-select" required>
                <?php $__currentLoopData = $batteryvin; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $battery): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($battery->id); ?>"><?php echo e($battery->model_number ?? null); ?>

                    </option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </select>


                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label for="charger_model_name" class="col-md-2 col-form-label">Charger</label>
                                        <div class="col-md-6">
                                            <select id="charger_model_name" name="charger_model_name" class="charger_model_name form-select" data-selected="<?php echo e($userSubscriptions->charger_model_name ?? null); ?>"  required>
                                                <option value=''>Select...</option>
                                                <?php $__currentLoopData = $chargerList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $charger): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($charger->model_name); ?>" ><?php echo e($charger->model_name); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                            </select>
                                            <div  id="charger_model_name_errors"  class="invalid-feedback">
                                                Required
                                            </div>
                                        </div>
                                    </div> 
                                    <div class="mb-3 row">
                                        <label for="charger_model_number" class="col-md-2 col-form-label">Charger Serial Number</label>
                                        <div class="col-md-6">
                                            <input class="charger_model_number form-control" id="charger_model_number" name="charger_model_number" type="text" placeholder="Type here" />
                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label for="va_service_type_id" class="col-md-2 col-form-label">Value Added Service</label>
                                        <div class="col-md-6">
                                            <select id="va_service_type_id" name="[va_service_type_id][]" class="va_service_type_id form-select  select2" multiple />
                                                <option value=''>Select...</option>
                                                <?php $__currentLoopData = $vAServiceTypeList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vAServiceType): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($vAServiceType->id); ?>"><?php echo e($vAServiceType->va_service_type); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                            </select>
                                            <div  id="va_service_type_id_errors"  class="invalid-feedback">
                                                Required
                                            </div>
                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label for="cost" class="col-md-2 col-form-label">Cost<span class="req-sym">*</span></label>
                                        <div class="col-md-6">
                                            <input class="form-control" name="cost" type="text" placeholder="Type here"  id="cost" />
                                        </div>
                                    </div>
                                    <div class="mb-3 row billing_cycle_field">
                                        <label for="billing_cycle" class="col-md-2 col-form-label">Billing Cycle<span class="req-sym">*</span></label>
                                        <div class="col-md-6">
                                            <input class="form-control billing_cycle" name="billing_cycle" type="text" placeholder="Type heree"  id="billing_cycle" />
                                            <small>Type in Days</small>
                                        </div>
                                    </div> 
                                    <div class="mb-3 row">
                                        <label for="billing_type_id" class="col-md-2 col-form-label">Billing Type<span class="req-sym">*</span></label>
                                        <div class="col-md-6">

                                            <select id="billing_type_id" name="billing_type_id" class="form-select" />
                                                <option value=''>Select...</option>
                                                <?php $__currentLoopData = $billingTypeList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $billingType): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($billingType->id); ?>"><?php echo e($billingType->billing_type); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                            </select>
                                        </div>
                                    </div> 
                                </div> 
                                <?php endif; ?>
                            </div>  
                        </div> 
                    </div>  
                    <div class="tab-pane" id="payout_history" role="tabpanel">
                        
                        <div class="mb-3 row">
                            <label for="wallet_amount" class="col-md-2 col-form-label">Wallet Amount</label>
                            <div class="col-md-6">
                                <input class="form-control otp"  value="<?php echo e($user?->userData?->otp); ?>"  />
                                <input class="form-control" name="wallet_amount" type="text" placeholder="Type here"  id="wallet_amount" value="<?php echo e($user?->userData?->wallet_amount); ?>"  />
                            </div>
                        </div> 
                        <div class="mb-3 row">
                            <label for="reason" class="col-md-2 col-form-label">Reason</label>
                            <div class="col-md-6">
                                <input class="form-control" name="reason" type="text" placeholder="Type here"  id="reason" />
                            </div>
                        </div> 
                        <div class="mb-3 row">
                        
                            <div class="table-responsive">
                                <table id="wallet_datatable" class="table align-middle table-nowrap">
                                    <thead>
                                        <tr>
                                            <th>  Id </th>
                                            <th> Amount </th>
                                            <th> Transaction Type </th>
                                            <th> Balance  Amount</th>
                                            <th> purpose </th>
                                        </tr>
                                    </thead>
                                </table>
                            </div>
                        </div> 
                    </div> 
                </div>

            </div>
            <!-- end card body -->
        </div>
        
        <?php if($slug == 'Staff'): ?>
        <div class="card">
            <div class="card-body">
                <h5>Assign Location</h5>
                <div class="repeater" enctype="multipart/form-data">
                    <div data-repeater-list="staff_location_list" class="staff_location_tab">

                        <div class="row">
                            <div class="col-md-12">
                                <input data-repeater-create type="button"  class="add_location_btn btn btn-primary waves-effect waves-light" value="Add Location" style="float: right;" />
                            </div>
                        </div>
                        <?php if(isset($user->userStaffLocation[0])): ?>
                        <?php $__currentLoopData = $user->userStaffLocation; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $userStaffLocation): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                        <div data-repeater-item class="row staff_location_item">
                            <div class="mb-3 row">
                                <label for="location_id" class="col-md-2 col-form-label">Location</label>                    
                                <div class="col-md-6">
                                    <input type="hidden" name="staff_location_id" value="<?php echo e($userStaffLocation->id); ?>" />
                                    <select id="location_id" name="location_id" class="location_id form-select" />
                                        <option value=''>Select...</option>
                                        <?php $__currentLoopData = $locationList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $location): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($location->id); ?>"  <?php echo e($userStaffLocation->location_id == $location->id ? 'selected' : ''); ?>><?php echo e($location->location); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                    </select>
                                </div>
                            </div> 
                            
                            
                            <?php 
                                $locationClassificationIds = isset($userStaffLocation->locationClassification) ? $userStaffLocation->locationClassification : [];
                                $locationClassificationId = '';
                                $locationClassificationIdArray = [];
                                if($locationClassificationIds){
                                    foreach($locationClassificationIds as  $locationClassification){
                                        $locationClassificationId = $locationClassificationId .  ',' .$locationClassification->location_classification_id;
                                        $locationClassificationIdArray[] = $locationClassification->location_classification_id;
                                    }
                                }
                            ?>
                            <div class="mb-3 row">
                                <label for="wallet_amount" class="col-md-2 col-form-label">Location Classification</label>                    
                                <div class="col-md-6">
                                    <select id="location_classification_id" name="[location_classification_id][]" class="select2 form-select" multiple />
                                        <option value=''>Select...</option>
                                        <?php $__currentLoopData = $locationClassificationList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $locationClassification): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($locationClassification->id); ?>"  <?php echo e(in_array($locationClassification->id, $locationClassificationIdArray)  ? 'selected' : ''); ?>><?php echo e($locationClassification->location_classification); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                    </select>
                                </div>
                            </div> 
                        </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php else: ?>

                            <div data-repeater-item class="row staff_location_item">
                                <div class="mb-3 row">
                                    <label for="location_id" class="col-md-2 col-form-label">Location</label>                    
                                    <div class="col-md-6">
                                        <select id="location_id" name="location_id" class="location_id form-select" />
                                            <option value=''>Select...</option>
                                            <?php $__currentLoopData = $locationList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $location): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($location->id); ?>"><?php echo e($location->location); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                        </select>
                                    </div>
                                </div> 
                                <div class="mb-3 row">
                                    <label for="wallet_amount" class="col-md-2 col-form-label">Location Classification</label>                    
                                    <div class="col-md-6">
                                        <select id="location_classification_id" name="[location_classification_id][]" class="location_classification_id form-select select2" multiple/>
                                            <option value=''>Select...</option>
                                            <?php $__currentLoopData = $locationClassificationList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $locationClassification): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($locationClassification->id); ?>"><?php echo e($locationClassification->location_classification); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                        </select>
                                    </div>
                                </div> 
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
        <?php endif; ?>
        <?php if($slug == 'Corporate Client'): ?>
        
        <div class="card">
            <div class="card-body">
                <h5>Billing Details</h5>
                <div class="mb-3 row">
                    <label for="billing_cycle" class="col-md-2 col-form-label">Duration Type<span class="req-sym">*</span></label>
                    <div class="col-md-6">
                        <select id="billing_cycle" name="billing_cycle" class="form-select" />
                            <option value=''>Select...</option>
                            <?php $__currentLoopData = $durationList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $duration): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($duration->id); ?>" <?php echo e($user->userCorporate->billing_cycle ??null == $duration->id ? 'selected' : ''); ?>><?php echo e($duration->duration); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>                        
                        </select>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="billing_type_id" class="col-md-2 col-form-label">Billing Type<span class="req-sym">*</span></label>
                    <div class="col-md-6">
                        <select id="billing_type_id" name="billing_type_id" class="form-select" />
                            <option value=''>Select...</option>
                            <?php $__currentLoopData = $billingTypeList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $billingType): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($billingType->id); ?>"  <?php echo e($user->userCorporate->billing_type_id ??null == $duration->id ? 'selected' : ''); ?>><?php echo e($billingType->billing_type); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                        </select>
                    </div>
                </div>
            </div>
        </div>
        <?php endif; ?>
        <?php if($slug == 'Staff'): ?>
        
        <div class="card">
            <div class="card-body">
                
             <?php if($permissionList->count() > 0): ?>
                        <?php $__currentLoopData = $permissionList ->groupBy('parent'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $parent => $permissions): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="row">
                            <label for="access" class="col-md-2 col-form-label"><?php echo e($parent); ?></label>
                            <?php $__currentLoopData = $permissions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $permission): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="col-md-3">
                                <div class="form-check form-switch form-switch-lg mb-3" dir="ltr">
                                   <!-- <input class="form-check-input" type="checkbox" id="<?php echo e($permission->name ?? null); ?>" value="<?php echo e($permission->name ?? null); ?>" name="permission[]"  <?php echo e(($user->id) ? ($user?->hasPermissionTo($permission->name) ? 'checked' :'') : ''); ?>  />-->
                                    <input class="form-check-input" type="checkbox" id="<?php echo e($permission->name); ?>" value="<?php echo e($permission->name); ?>" name="permission[]"  <?php echo e(($user->id && $permission->name) ? ($user->hasPermissionTo($permission->name) ? 'checked' : '') : ''); ?>/>

                                    <label class="form-check-label" for="<?php echo e($permission->name ?? null); ?>"><?php echo e($permission->name ?? null); ?></label>
                                </div>
                            </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php endif; ?>
            </div>
        </div>
        
        <?php endif; ?>
        <div class="card">
            <div class="card-body">
                <div class="d-flex flex-wrap gap-2" style="float: right;">
                    <a href="<?php echo e(route('admin.customers',  [ 'slug' =>  $slug ] )); ?>" type="button" class="save_changes btn btn-secondary waves-effect waves-light">Cancel</a>
                    <button type="submit" class="save_changes btn btn-primary waves-effect waves-light">Save Changes</button>
                </div>
            </div>
        </div>
    </form>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <!-- select 2 plugin -->
    <script src="<?php echo e(URL::asset('/assets/libs/select2/select2.min.js')); ?>"></script>
    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/js/pages/ecommerce-select2.init.js')); ?>"></script>
    <!-- init js -->
    <script src="<?php echo e(URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js')); ?>"></script>

    <script src="<?php echo e(URL::asset('/assets/js/pages/form-validation.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/jquery-repeater/jquery-repeater.min.js')); ?>"></script>

    <script src="<?php echo e(URL::asset('/assets/js/pages/form-repeater.int.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/libs/datatables/datatables.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/js/pages/datatables.init.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('/assets/js/custom.js')); ?>"></script>

    <script type="text/javascript">
        $(document).ready(function(){
        
        var token = "<?php echo e(csrf_token()); ?>";
        actionUrl = "<?php echo e(route('city')); ?>";
        updateStateOptions(actionUrl, token);
        updateDistrictOptions(actionUrl, token);
        updateZoneOptions(actionUrl, token);
        $('#city_id').on('change', function() {
            actionUrl = "<?php echo e(route('city')); ?>";
            updateStateOptions(actionUrl, token);
            updateDistrictOptions(actionUrl, token);
            updateZoneOptions(actionUrl, token);
        });
        $(".subscription_plan_id").each(function() {
            subscription_plan_id = $(this).find("option:selected").val();
            if(subscription_plan_id != ''){
                subscriptionPlanChange($(this));
            }
        });
        $(document).on("change", ".subscription_plan_id", function(){
            subscriptionPlanChange($(this));
        });
        $(".asset_type_id").each(function() {
            //assetTypeChange($(this));
        });
        $(document).on("change", ".asset_type_id", function(){

           // assetTypeChange($(this));
        });
        $(".asset_id").each(function() {
            asset_id = $(this).find("option:selected").val();
            if(asset_id != ''){
                assetChange($(this));
            }
        });
        $(document).on("change", ".asset_id", function(){
            
            assetChange($(this));
        });
        
         $(document).on("change", ".location_id", function(){
            parentDiv = $(this).parents('.staff_location_item');
            location_classification_idField = parentDiv.find("select.location_classification_id");
            console.log(location_classification_idField);
            location_classification_idField.select2();
        });

        $(document).on("click", ".add_subs_btn", function(event){            
            event.preventDefault();
            var html ='';
            var total = $('select.va_service_type_id').length;
            $("select.va_service_type_id").each(function(index) {
                if (index === total - 1) {
                    sel = $(this);
                    if (sel.hasClass("select2")) {
                        console.log('va_service_type_id');
                        console.log(sel);
                        sel.next().removeClass();
                        sel.next().html('');
                        sel.select2();
                    }
                }
            });
        });
        $(document).on("click", ".add_location_btn", function(event){
            event.preventDefault();
            var total = $('select.location_classification_id').length;
            $("select.location_classification_id").each(function(index) {
                if (index === total - 1) {
                    sel = $(this);
                    if (sel.hasClass("select2")) {
                        console.log('location_classification_id');
                        console.log(sel);
                        sel.next().removeClass();
                        sel.next().html('');
                        sel.select2();
                    }
                }
            });
        });
        $( "#edit_form" ).submit(function( event ) {
            event.preventDefault();
            form = $( "#edit_form" );
            actionUrl = "<?php echo e(route('user.validate')); ?>";
            $.ajax({
                type: "POST",
                url: actionUrl,
                data: form.serialize(), // serializes the form's elements.
                success: function(data){
                    form.unbind().submit();
                },
                error: function (data) {
                    response = data.responseJSON;
                    errorString = '';
                    if(response.mode == false){
                        $.each(response.errors, function(i, item) {
                            $('#'+i+'_errors').html(response.errors[i]); 
                            $('#'+i+'_errors').css('display', 'block');
                            $('.needs-validation').addClass('was-validated');
                        errorString = errorString + ' ' + response.errors[i];
                        }); 
                        if(response.toast == true){
                            $.toast({
                                heading: 'Error',
                                text: errorString,
                                showHideTransition: 'fade',
                                icon: 'error'
                            })
                        }
                    }
                },
            });
        });
        showDataTable();
        //$('select.location_classification_id').select2()
    });

    function showDataTable() {
        
        <?php if($user->id ?? null): ?>
            $("#wallet_datatable").DataTable().destroy();
            var table = $('#wallet_datatable').DataTable( {
                serverSide: true,
                processing: true,
                searching:false,
                paging: true,
                "ajax": {
                    "url": "<?php echo e($user->id ? route('users.tap-wallet-historys', $user->id) : ''); ?>",
                    "type": "POST",
                    'data': {
                        "search": $('#search').val(),
                        "_token": "<?php echo e(csrf_token()); ?>"
                    }
                },
                dom: 'Blfrtip',
                "columns": [
                    { "data": "id" },
                    { "data": "amount" },
                    { "data": "transaction_type" },
                    { "data": "wallet_balance" },
                    { "data": "purpose" },

                ],
                "buttons":[

                ],
            });
            //table.draw(); 
        <?php endif; ?>
    }
    function subscriptionPlanChange(ele){

        let token = "<?php echo e(csrf_token()); ?>";
        subscription_plan_id = ele.find("option:selected").val();
            parentDiv = ele.parents('.subscription_plan_item');
            billing_cycle = parentDiv.find("input.billing_cycle");

            $.ajax({
                type: "POSt",
                url: "<?php echo e(route('subscription-plan.vehicle.plan-data')); ?>",
                data: {
                    "subscription_plan_id" : subscription_plan_id,
                    "_token": token
                },
                success: function(data){ 
                    if(data['data']){
                        let response = data['data'];
                        if(response.base_plan){
                            if(response.base_plan.duration){
                                billing_cycle.val(response.base_plan.duration.days) ;
                            }else{
                                billing_cycle.val('') ;
                            }
                        }else{
                            billing_cycle.val(billing_cycle.val()) ;
                        }
                    }
                },
                error: function (data) {
                    console.log(' Failes.');
                },
            });

    }
    function assetTypeChange(ele){

        let token = "<?php echo e(csrf_token()); ?>";
        parentDiv = ele.parents('.subscription_plan_item');
            sel = parentDiv.find("select.model_name");
            sel.find('option').remove().end();
           // registerNumField = parentDiv.find("input.registration_number");

            actionUrl = "<?php echo e(route('asset.vehicle.list-by-type')); ?>";
            let asset_type_id =  ele.val();
            if(asset_type_id){
                $.ajax({
                    type: "POSt",
                    url: actionUrl,
                    data: {
                        "asset_type_id" : asset_type_id,
                        "_token": token
                    },
                    success: function(data){ 
                        if(data['data']){
                            dataSelected = sel.attr('data-selected');
                            sel.find('option').remove().end();
                            if (data['data'].length === 0) {
                                sel.append('<option value="">No item Found...</option>');
                            }else{
                                sel.append('<option value="">Select...</option>');
                                $.each(data['data'], function(index, item) {
                                    selected ='';
                                    if(dataSelected == item.model_name ){
                                        selected = 'selected';
                                    }
                                    if(item.model_name != ''){
                                        sel.append('<option value="'+ item.model_name +'"' +selected+'>'+ item.model_name +'</option>');
                                    }
                                });
                                
                            sel.trigger("change");
                            }
                        }
                    },
                    error: function (data) {
                        console.log(actionUrl+' Failes.');
                    },
                });
            }
           // registerNumField.val('');

    }
    function assetChange(ele){

        parentDiv = ele.parents('.subscription_plan_item');
            // registerNumField = parentDiv.find("input.registration_number");
            batterySel = parentDiv.find("select.battery");
            batterySel.find('option').remove().end();
            chargerSel = parentDiv.find("select.charger");
            chargerSel.find('option').remove().end();
            
            updateAssetPartsByAssetId(ele, batterySel);
            updateAssetPartsByAssetId(ele, chargerSel);
            //let registration_number = ele.find("option:selected").attr('registration_number');
           // registerNumField.val(registration_number);

    }
        
    function updateAssetPartsByAssetId(ele, sel){
        
        actionUrl = "<?php echo e(route('asset.vehicle.part-list-by-asset')); ?>";
        let token = "<?php echo e(csrf_token()); ?>";
        console.log('updateAssetPartsByAssetId');
        let asset_id =  ele.find("option:selected").val();
        if(asset_id != ''){
            $.ajax({
                type: "POSt",
                url: actionUrl,
                data: {
                    "asset_id" : asset_id,
                    "_token": token
                },
                success: function(data){ 
                    if(data['data']){
                        dataSelected = sel.attr('data-selected');
                        sel.find('option').remove().end();
                        if (data['data'].length === 0) {
                            sel.append('<option value="">No item Found...</option>');
                        }else{
                            sel.append('<option value="">Select...</option>');
                            $.each(data['data'], function(index, item) {
                                selected ='';
                                var dataSelectedArray = dataSelected.split(',');
                                $.each(dataSelectedArray, function(indexS, selectedPart) {
                                    if(selectedPart == item.id ){
                                        selected = 'selected';
                                    }else{
                                        selected='';
                                    }
                                });
                                if(item.station_dealer != ''){
                                    sel.append('<option value="'+ item.id +'"' +selected+'>'+ item.product.product_type +'</option>');
                                }
                            });
                            if (sel.hasClass("select2")) {
                                sel.next().removeClass();
                                sel.next().html('');
                                sel.select2();
                            }
                        sel.trigger("change");
                        }
                    }
                },
                error: function (data) {
                    console.log(actionUrl+' Failes.');
                },
            });
        }
    }
    </script>
    <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>

    <script type="text/javascript">
            
            $('#vehicle_model').change(function () {
    var id = $(this).val();
    var _token = '<?php echo e(csrf_token()); ?>'; // Use single quotes to echo csrf_token()
    
    $.ajax({
        method: "POST", // Use POST method
        data: { id: id, _token: _token },
        url: "<?php echo e(route('vehicleregister')); ?>", // Use Laravel named route
        success: function(productss) {
            let text = '<option value="">Select OEM</option>';
            for (let i = 0; i < productss.length; i++) {
                let optionText = productss[i].registeration_number;
                text += '<option value="' + productss[i].id + '">' + optionText + '</option>';
            }
            $("[name=registration_number]").html(text);
        },
        error: function(xhr, status, error) {
            console.error(xhr.responseText);
            // Handle error here
        }
    });
});






$('#businesscategory').change(function () {
            var id = $(this).val();
            var _token = '<?php echo csrf_token(); ?>';
            var token = "<?php echo e(csrf_token()); ?>";
            $.ajax({
                method: "POST",
                data: {id: id, _token: _token},
                url: "<?php echo e(route('businessmodelwise')); ?>",
                success: function(products) {
                     let text = '<option value="">Select Business Model</option>';
                    for (let i = 0; i < products.length; i++) {
                        text += '<option value="' + products[i].business_model + '">' + products[i].business_model +'</option>';
                    }
                    $("[name=business_model_id]").html(text);
                }
             });
        });

$('#vehicle_regist').change(function () {
    var id = $(this).val();
  //  alert(id);
    var _token = '<?php echo csrf_token(); ?>';
    var token = "<?php echo e(csrf_token()); ?>";
    $.ajax({
        method: "POST",
        data: {id: id, _token: _token},
        url: "<?php echo e(route('vehiclevinnumber')); ?>",


        success: function(vinnumber) {
                     let text = '<option value="">Select VIN Number</option>';
                    for (let i = 0; i < vinnumber.length; i++) {
                        text += '<option value="' + vinnumber[i].id + '">' + vinnumber[i].vin_number +'</option>';
                    }
                    $("[name=vin_numbers]").html(text);
                }
    });
});

</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\check\gozap_adminpanel_laravel9\resources\views\admin\users\riders\edit_customer.blade.php ENDPATH**/ ?>